/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2018-06-25 16:31:54Z
 *****************************************************************************/

#include "rsbtc.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsRepCap rsbtc_RsRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "Path",
        "P1,P2,P3,P4,P5",
        "1,2,3,4,5"
       },
       {
        "Group",
        "G1,G2,G3,G4,G5,G6,G7,G8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "Layer",
        "A,B,C",
        "A,B,C"
       },
       {
        "AfList",
        "L1,L2,L3,L4,L5",
        "1,2,3,4,5"
       },
       {
        "AfFreq",
        "AF1,AF2,AF3,AF4,AF5,AF6,AF7,AF8,AF9,AF10,AF11,AF12,AF13,AF14,AF15,AF16,AF17,AF18,AF19,AF20,AF21,AF22,AF23,AF24,AF25",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25"
       },
       {
        "G8A",
        "G8A1,G8A2,G8A3,G8A4,G8A5,G8A6",
        "G8A1,G8A2,G8A3,G8A4,G8A5,G8A6"
       },
       {
        "Block",
        "B2,B3,B4",
        "2,3,4"
       },
       {
        "GroupA",
        "G1A,G3A,G5A,G6A,G7A,G8A,G9A,G11A,G12A,G13A,G15A",
        "G1A,G3A,G5A,G6A,G7A,G8A,G9A,G11A,G12A,G13A,G15A"
       },
       {
        "GroupB",
        "G1B,G3B,G4B,G5B,G6B,G7B,G8B,G9B,G10B,G11B,G12B,G13B",
        "G1B,G3B,G4B,G5B,G6B,G7B,G8B,G9B,G10B,G11B,G12B,G13B"
       },
       {
        "Plp",
        "PLP1,PLP2,PLP3,PLP4,PLP5,PLP6,PLP7,PLP8,PLP9,PLP10,PLP11,PLP12,PLP13,PLP14,PLP15,PLP16,PLP17,PLP18,PLP19,PLP20",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20"
       },
       {
        "DSlice",
        "DSL0,DSL1,DSL2,DSL3",
        "1,2,3,4"
       },
       {
        "Notch",
        "N0,N1,N2,N3",
        "1,2,3,4"
       },
       {
        "Hardware",
        "hw1,hw2,hw3,hw4,hw5,hw6,hw7,hw8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "Arb",
        "A1,A2,A3,A4,A5,A6,A7,A8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "SegLayer",
        "A1A,A1B,A1C,A2A,A2B,A2C,B1,B2,B3,B4,B5,B6,B7",
        "A1:A,A1:B,A1:C,A2:A,A2:B,A2:C,B1,B2,B3,B4,B5,B6,B7"
       },
       {
        "Coder",
        "A1,A2",
        "1,2"
       },
       {
        "SuperSegment",
        "SSG1,SSG2,SSG3,SSG4,SSG5",
        "1,2,3,4,5"
       },
       {
        "DistortionTab",
        "DT1,DT2,DT3,DT4,DT5,DT6,DT7,DT8,DT9,DT10,DT11,DT12,DT13,DT14,DT15,DT16",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
       },
       {
        "Subchannel",
        "S1,S2,S3,S4,S5,S6,S7,S8,S9,S10,S11,S12,S13,S14,S15,S16,S17,S18,S19,S20,S21,S22,S23,S24,S25,S26,S27,S28,S29,S30,S31,S32,S33,S34,S35,S36,S37,S38,S39,S40,S41,S42,S43,S44,S45,S46,S47,S48,S49,S50,S51,S52,S53,S54,S55,S56,S57,S58,S59,S60,S61,S62,S63,S64",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64"
       },
       {
        "Is",
        "IS1,IS2,IS3,IS4,IS5,IS6,IS7,IS8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "Tsl",
        "TSL1,TSL2,TSL3,TSL4,TSL5,TSL6,TSL7,TSL8",
        "1,2,3,4,5,6,7,8"
       },
       {
        "Player",
        "PL1,PL2",
        "1,2"
       },
       {
        "Direction",
        "DIR1,DIR2,DIR3,DIR4",
        "1,2,3,4"
       },
       {
        "Steering",
        "COL1,COL2,COL3,COL4",
        "1,2,3,4"
       },
       {
        "Ip",
        "IP1,IP2,IP3,IP4",
        "1,2,3,4"
       },
       {
        "Epicenter",
        "EP1,EP2",
        "1,2"
       },
       {
        "Channel",
        "CH1,CH2,CH3,CH4,CH5,CH6,CH7,CH8,CH9,CH10,CH11,CH12,CH13,CH14,CH15,CH16,CH17,CH18,CH19,CH20",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20"
       },
       {
        "PLPGroup",
        "PLPG1,PLPG2,PLPG3,PLPG4,PLPG5,PLPG6,PLPG7,PLPG8,PLPG9,PLPG10,PLPG11,PLPG12,PLPG13,PLPG14,PLPG15,PLPG16,PLPG17,PLPG18,PLPG19,PLPG20,PLPG21,PLPG22,PLPG23,PLPG24,PLPG25,PLPG26,PLPG27,PLPG28,PLPG29,PLPG30,PLPG31,PLPG32,PLPG33,PLPG34,PLPG35,PLPG36,PLPG37,PLPG38,PLPG39,PLPG40",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40"
       },
       {
        "MMPlp",
        "MPLP1,MPLP2,MPLP3,MPLP4,MPLP5,MPLP6,MPLP7,MPLP8,MPLP9,MPLP10,MPLP11,MPLP12,MPLP13,MPLP14,MPLP15,MPLP16,MPLP17,MPLP18,MPLP19,MPLP20,MPLP21,MPLP22,MPLP23,MPLP24,MPLP25,MPLP26,MPLP27,MPLP28,MPLP29,MPLP30,MPLP31,MPLP32,MPLP33,MPLP34,MPLP35,MPLP36,MPLP37,MPLP38,MPLP39,MPLP40",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40"
       },
       {
        "Profile",
        "PR1,PR2",
        "1,2"
       },
       {
        "A3Plp",
        "A3PLP1,A3PLP2,A3PLP3,A3PLP4,A3PLP5,A3PLP6,A3PLP7,A3PLP8,A3PLP9,A3PLP10,A3PLP11,A3PLP12,A3PLP13,A3PLP14,A3PLP15,A3PLP16,A3PLP17,A3PLP18,A3PLP19,A3PLP20,A3PLP21,A3PLP22,A3PLP23,A3PLP24,A3PLP25,A3PLP26,A3PLP27,A3PLP28,A3PLP29,A3PLP30,A3PLP31,A3PLP32,A3PLP33,A3PLP34,A3PLP35,A3PLP36,A3PLP37,A3PLP38,A3PLP39,A3PLP40,A3PLP41,A3PLP42,A3PLP43,A3PLP44,A3PLP45,A3PLP46,A3PLP47,A3PLP48,A3PLP49,A3PLP50,A3PLP51,A3PLP52,A3PLP53,A3PLP54,A3PLP55,A3PLP56,A3PLP57,A3PLP58,A3PLP59,A3PLP60,A3PLP61,A3PLP62,A3PLP63,A3PLP64",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64"
       },
       {
        "Subf",
        "SF1,SF2,SF3,SF4,SF5,SF6,SF7,SF8,SF9,SF10,SF11,SF12,SF13,SF14,SF15,SF16,SF17,SF18,SF19,SF20,SF21,SF22,SF23,SF24,SF25,SF26,SF27,SF28,SF29,SF30,SF31,SF32,SF33,SF34,SF35,SF36,SF37,SF38,SF39,SF40,SF41,SF42,SF43,SF44,SF45,SF46,SF47,SF48,SF49,SF50,SF51,SF52,SF53,SF54,SF55,SF56,SF57,SF58,SF59,SF60,SF61,SF62,SF63,SF64,SF65,SF66,SF67,SF68,SF69,SF70,SF71,SF72,SF73,SF74,SF75,SF76,SF77,SF78,SF79,SF80,SF81,SF82,SF83,SF84,SF85,SF86,SF87,SF88,SF89,SF90,SF91,SF92,SF93,SF94,SF95,SF96,SF97,SF98,SF99,SF100,SF101,SF102,SF103,SF104,SF105,SF106,SF107,SF108,SF109,SF110,SF111,SF112,SF113,SF114,SF115,SF116,SF117,SF118,SF119,SF120,SF121,SF122,SF123,SF124,SF125,SF126,SF127,SF128,SF129,SF130,SF131,SF132,SF133,SF134,SF135,SF136,SF137,SF138,SF139,SF140,SF141,SF142,SF143,SF144,SF145,SF146,SF147,SF148,SF149,SF150,SF151,SF152,SF153,SF154,SF155,SF156,SF157,SF158,SF159,SF160,SF161,SF162,SF163,SF164,SF165,SF166,SF167,SF168,SF169,SF170,SF171,SF172,SF173,SF174,SF175,SF176,SF177,SF178,SF179,SF180,SF181,"
        "SF182,SF183,SF184,SF185,SF186,SF187,SF188,SF189,SF190,SF191,SF192,SF193,SF194,SF195,SF196,SF197,SF198,SF199,SF200,SF201,SF202,SF203,SF204,SF205,SF206,SF207,SF208,SF209,SF210,SF211,SF212,SF213,SF214,SF215,SF216,SF217,SF218,SF219,SF220,SF221,SF222,SF223,SF224,SF225,SF226,SF227,SF228,SF229,SF230,SF231,SF232,SF233,SF234,SF235,SF236,SF237,SF238,SF239,SF240,SF241,SF242,SF243,SF244,SF245,SF246,SF247,SF248,SF249,SF250,SF251,SF252,SF253,SF254,SF255,SF256",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183,184,185,186,187,188,189,190,191,192,193,194,195,196,197,198,199,200,201,202,203,204,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,223,224,225,226,227,228,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256"
       },
       {
        "Stream",
        "ST1,ST2",
        "1,2"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsRangeTableEntry rsbtc_rngRfLevelAttenModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FIX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRfLevelAttenMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRfLevelAttenModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcInputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcInput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcInputEntries
};

static RsRangeTableEntry rsbtc_rngDTVPayloadEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRBS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H00",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVPayload =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVPayloadEntries
};

static RsRangeTableEntry rsbtc_rngDtvPidTestPacketEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NULL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDtvPidTestPacket =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDtvPidTestPacketEntries
};

static RsRangeTableEntry rsbtc_rngDTVPrbsModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P23_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P15_",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVPrbsMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVPrbsModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcDirCodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R6_7",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDirCodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDirCodeRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcTestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAFC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcTestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcTestSigEntries
};

static RsRangeTableEntry rsbtc_rngDTVTestPacketModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H184",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S187",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVTestPacketMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVTestPacketModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcTimeInterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I240",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I720",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcTimeInter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcTimeInterEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbcConsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C256",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbcCons =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbcConsEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbcTestEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBDE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbcTest =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbcTestEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtChanBwEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtChanBw =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtChanBwEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtConsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T64",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtCons =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtConsEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtFftModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M2K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M4K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M8K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtFftMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtFftModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtGuarIntEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtGuarInt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtGuarIntEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtHierEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtHier =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtHierEntries
};

static RsRangeTableEntry rsbtc_rngIqcCodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R7_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8_9",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcCodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcCodeRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbsConsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S16",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbsCons =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbsConsEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbsRolloffEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.35",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbsRolloff =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbsRolloffEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2TestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2TestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2TestSigEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2ConsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A32",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2Cons =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2ConsEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2RolloffEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.05",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.35",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2Rolloff =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2RolloffEntries
};

static RsRangeTableEntry rsbtc_rngSweepModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STEP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngSweepMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngSweepModeEntries
};

static RsRangeTableEntry rsbtc_rngFreqSweepSpacingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqSweepSpacing =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFreqSweepSpacingEntries
};

static RsRangeTableEntry rsbtc_rngBerSelMeasEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS3A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS3B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBerSelMeas =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBerSelMeasEntries
};

static RsRangeTableEntry rsbtc_rngBerInputPolarityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I1K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBerInputPolarity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBerInputPolarityEntries
};

static RsRangeTableEntry rsbtc_rngBerFuncInpEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIGH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A1K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H1K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L1K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBerFuncInp =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBerFuncInpEntries
};

static RsRangeTableEntry rsbtc_rngBerDataStreamEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STUF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S187",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S203",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S207",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H184",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H204",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBerDataStream =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBerDataStreamEntries
};

static RsRangeTableEntry rsbtc_rngBerGatModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UWIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USIN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBerGatMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBerGatModeEntries
};

static RsRangeTableEntry rsbtc_rngModGainEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBM2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBM4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngModGain =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngModGainEntries
};

static RsRangeTableEntry rsbtc_rngDmSigSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DTV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmSigSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmSigSourceEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ARB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIGG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmInterferSourceEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferAddEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BEFN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AFN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TXD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOIS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RXD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferAdd =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmInterferAddEntries
};

static RsRangeTableEntry rsbtc_rngDmTransmissionStandardEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DVBT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DVBC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DVBS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VSB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"J83B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ISDB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DVS2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DTMB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2DV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATSM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2DV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TDMB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMMB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A3TS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmTransmissionStandard =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmTransmissionStandardEntries
};

static RsRangeTableEntry rsbtc_rngDmSpectPolarEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmSpectPolar =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmSpectPolarEntries
};

static RsRangeTableEntry rsbtc_rngNoiseStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONLY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseStateEntries
};

static RsRangeTableEntry rsbtc_rngPowAlcStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFFT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowAlcState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowAlcStateEntries
};

static RsRangeTableEntry rsbtc_rngPowLevUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBUV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBMV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowLevUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowLevUnitEntries
};

static RsRangeTableEntry rsbtc_rngExternalRefFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"5 MHz",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"10 MHz",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"13 MHz",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngExternalRefFrequency =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngExternalRefFrequencyEntries
};

static RsRangeTableEntry rsbtc_rngExtRefFreqSyncBwEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NARR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngExtRefFreqSyncBw =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngExtRefFreqSyncBwEntries
};

static RsRangeTableEntry rsbtc_rngRoscSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRoscSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRoscSourceEntries
};

static RsRangeTableEntry rsbtc_rngFadingProfileEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAYL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RICE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CPH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GAU1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GAU2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GAUD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GDOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G01",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G008",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GWAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WMD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WMR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingProfile =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingProfileEntries
};

static RsRangeTableEntry rsbtc_rngFadingParamEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EASY",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECHO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FX_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PT_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SFN_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RC6_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RL6_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RED_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ET50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RC12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RL12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU3_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HT10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AA_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AB_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AC_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AD_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AE_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AF_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AG_S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B_EC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C1_R",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C2_R",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C3_R",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RC20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RL20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HNIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HPT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HNPT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */34,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MBR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */35,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A_BR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */36,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B_BR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */37,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C_BR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */38,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS_B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */39,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CM_B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */40,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D_BR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */41,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DM_B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */42,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E_BR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */43,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D1CR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */44,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D2CR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */45,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D3CR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */46,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D4CR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */47,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AAC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */55,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IECP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */56,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */57,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RA6_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */58,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */59,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TU6_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */60,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DAB_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */61,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */62,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */63,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VU",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */64,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingParam =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingParamEntries
};

static RsRangeTableEntry rsbtc_rngFsimSpeedUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KMH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimSpeedUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimSpeedUnitEntries
};

static RsRangeTableEntry rsbtc_rngFsimDedicToEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimDedicTo =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimDedicToEntries
};

static RsRangeTableEntry rsbtc_rngFsimInsLossModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LACP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimInsLossMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimInsLossModeEntries
};

static RsRangeTableEntry rsbtc_rngFsimRestartModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimRestartMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimRestartModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2CodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R6_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R7_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8_9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R9_1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_5",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2CodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2CodeRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvSoundModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FMST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FMD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MNIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FMSK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FMDK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BTSC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvSoundMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvSoundModeEntries
};

static RsRangeTableEntry rsbtc_rngTsgenPacketLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P188",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P204",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P208",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTsgenPacketLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTsgenPacketLengthEntries
};

static RsRangeTableEntry rsbtc_rngMMGeneratorCommandEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PLAY",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAUS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGeneratorCommand =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGeneratorCommandEntries
};

static RsRangeTableEntry rsbtc_rngIqcDirConsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDirCons =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDirConsEntries
};

static RsRangeTableEntry rsbtc_rngIqcDirTestPacketModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H127",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P130",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDirTestPacketMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDirTestPacketModeEntries
};

static RsRangeTableEntry rsbtc_rngDmAtvTransmStdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BGRE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DKRE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IRE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MNRE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LRE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmAtvTransmStd =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmAtvTransmStdEntries
};

static RsRangeTableEntry rsbtc_rngIqcDirRollOffEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.35",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDirRollOff =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDirRollOffEntries
};

static RsRangeTableEntry rsbtc_rngIqcJ83BTestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBET",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcJ83BTestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcJ83BTestSigEntries
};

static RsRangeTableEntry rsbtc_rngIqcVsbTestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBET",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcVsbTestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcVsbTestSigEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvVisionPictEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C75P",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C75N",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C75S",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FUBP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CPAM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CPAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LIBR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvVisionPict =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvVisionPictEntries
};

static RsRangeTableEntry rsbtc_rngIqcJ83BConstellationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"J64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"J256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"J1024",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcJ83BConstellation =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcJ83BConstellationEntries
};

static RsRangeTableEntry rsbtc_rngIqcJ83BIntrleaverModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"14",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcJ83BIntrleaverMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcJ83BIntrleaverModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcPackLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P188",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcPackLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcPackLengthEntries
};

static RsRangeTableEntry rsbtc_rngIqcPackedLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P188",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P204",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcPackedLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcPackedLengthEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtPortionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PCC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DCC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DDD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DDC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtPortion =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtPortionEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtConstelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C_DQ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C_QP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C_16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C_64",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtConstel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtConstelEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtInterleavingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"32",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtInterleaving =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtInterleavingEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M2_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M3_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtGuardIntEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtGuardInt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtGuardIntEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtAcDataEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRBS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ALL1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtAcData =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtAcDataEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvPreemphasisEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D75",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvPreemphasis =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvPreemphasisEntries
};

static RsRangeTableEntry rsbtc_rngFsimp2dynProfileEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PDOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RAYL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimp2dynProfile =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimp2dynProfileEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynMovModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HOPP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SLID",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynMovMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynMovModeEntries
};

static RsRangeTableEntry rsbtc_rngFreqVsbFreqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PIL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CENT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqVsbFreq =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFreqVsbFreqEntries
};

static RsRangeTableEntry rsbtc_rngSystemKLockEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngSystemKLock =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngSystemKLockEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvAudioSourceEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AGEN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"APL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvAudioSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvAudioSourceEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvSpecialVsbCharEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DKFM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DKN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"I1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LNIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BGA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvSpecialVsbChar =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvSpecialVsbCharEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvVideoInputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VGEN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvVideoInput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvVideoInputEntries
};

static RsRangeTableEntry rsbtc_rngFsimReferenceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DSH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimReference =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimReferenceEntries
};

static RsRangeTableEntry rsbtc_rngFsimConfigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIRT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MDEL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P2DY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimConfig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimConfigEntries
};

static RsRangeTableEntry rsbtc_rngFsimParMovingLossEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */50.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParMovingLoss =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DB",
  /* rangeValues = */rsbtc_rngFsimParMovingLossEntries
};

static RsRangeTableEntry rsbtc_rngDTVPidEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVPid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVPidEntries
};

static RsRangeTableEntry rsbtc_rngIqcSymbolRateEntries[] =
{
  {
      /* discreteOrMinValue = */1000000,
      /* maxValue           = */30000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcSymbolRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcSymbolRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcSymbRateEntries[] =
{
  {
      /* discreteOrMinValue = */100000,
      /* maxValue           = */8000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcSymbRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngIqcSymbRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtTpsValEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */15,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtTpsVal =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtTpsValEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbtBwEntries[] =
{
  {
      /* discreteOrMinValue = */5e6,
      /* maxValue           = */8e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbtBw =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbtBwEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbsSymbRateEntries[] =
{
  {
      /* discreteOrMinValue = */100000,
      /* maxValue           = */66000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbsSymbRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngIqcDvbsSymbRateEntries
};

static RsRangeTableEntry rsbtc_rndIqcDvbs2SymbRateEntries[] =
{
  {
      /* discreteOrMinValue = */100000,
      /* maxValue           = */80000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rndIqcDvbs2SymbRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rndIqcDvbs2SymbRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2ErrBchEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */15,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2ErrBch =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2ErrBchEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2ErrLdpcEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2ErrLdpc =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2ErrLdpcEntries
};

static RsRangeTableEntry rsbtc_rngFsimParCoeffEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParCoeff =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rsbtc_rngFsimParCoeffEntries
};

static RsRangeTableEntry rsbtc_rngOutpFreqEntries[] =
{
  {
      /* discreteOrMinValue = */100000,
      /* maxValue           = */6000000000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngOutpFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngOutpFreqEntries
};

static RsRangeTableEntry rsbtc_rngFreqOffsEntries[] =
{
  {
      /* discreteOrMinValue = */-50000000000.0,
      /* maxValue           = */50000000000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqOffs =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngFreqOffsEntries
};

static RsRangeTableEntry rsbtc_rngRFSweepDwellEntries[] =
{
  {
      /* discreteOrMinValue = */0.010,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSweepDwell =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rsbtc_rngRFSweepDwellEntries
};

static RsRangeTableEntry rsbtc_rngFreqSweSpanEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */3000000000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqSweSpan =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngFreqSweSpanEntries
};

static RsRangeTableEntry rsbtc_rngFreqSweLogStepEntries[] =
{
  {
      /* discreteOrMinValue = */0.01,
      /* maxValue           = */9999.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqSweLogStep =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFreqSweLogStepEntries
};

static RsRangeTableEntry rsbtc_rngBBoffsEntries[] =
{
  {
      /* discreteOrMinValue = */-10,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBBoffs =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rsbtc_rngBBoffsEntries
};

static RsRangeTableEntry rsbtc_rngBBQuadrOffsEntries[] =
{
  {
      /* discreteOrMinValue = */-10.0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBBQuadrOffs =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"deg",
  /* rangeValues = */rsbtc_rngBBQuadrOffsEntries
};

static RsRangeTableEntry rsbtc_rngBBAmplImbEntries[] =
{
  {
      /* discreteOrMinValue = */-10,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBBAmplImb =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"%",
  /* rangeValues = */rsbtc_rngBBAmplImbEntries
};

static RsRangeTableEntry rsbtc_rngModWCrestFactorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */20.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngModWCrestFactor =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngModWCrestFactorEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferAttenEntries[] =
{
  {
      /* discreteOrMinValue = */-60.00,
      /* maxValue           = */60.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferAtten =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngDmInterferAttenEntries
};

static RsRangeTableEntry rsbtc_rngNoiseCnEntries[] =
{
  {
      /* discreteOrMinValue = */-35.0,
      /* maxValue           = */60.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseCn =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DB",
  /* rangeValues = */rsbtc_rngNoiseCnEntries
};

static RsRangeTableEntry rsbtc_rngNoiseReceiverBWEntries[] =
{
  {
      /* discreteOrMinValue = */100000,
      /* maxValue           = */160000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseReceiverBW =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngNoiseReceiverBWEntries
};

static RsRangeTableEntry rsbtc_rngRoscAdjValEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4095,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRoscAdjVal =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRoscAdjValEntries
};

static RsRangeTableEntry rsbtc_rngFsimParPathLossEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */50.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParPathLoss =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngFsimParPathLossEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBasicDelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */500000.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBasicDel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rsbtc_rngFsimParBasicDelEntries
};

static RsRangeTableEntry rsbtc_rngFsimParAddDelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */40.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParAddDel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rsbtc_rngFsimParAddDelEntries
};

static RsRangeTableEntry rsbtc_rngFsimParPowRatioEntries[] =
{
  {
      /* discreteOrMinValue = */-30.0,
      /* maxValue           = */30.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParPowRatio =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngFsimParPowRatioEntries
};

static RsRangeTableEntry rsbtc_rngFsimParConstPhEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */359.9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParConstPh =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DEG",
  /* rangeValues = */rsbtc_rngFsimParConstPhEntries
};

static RsRangeTableEntry rsbtc_rngFsimParSpeedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1726805.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParSpeed =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimParSpeedEntries
};

static RsRangeTableEntry rsbtc_rngFsimParFreqRatioEntries[] =
{
  {
      /* discreteOrMinValue = */-1.0,
      /* maxValue           = */1.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParFreqRatio =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimParFreqRatioEntries
};

static RsRangeTableEntry rsbtc_rngFsimParPhaseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */359.9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParPhase =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"deg",
  /* rangeValues = */rsbtc_rngFsimParPhaseEntries
};

static RsRangeTableEntry rsbtc_rngFsimParLocalConstEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */200.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParLocalConst =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"M",
  /* rangeValues = */rsbtc_rngFsimParLocalConstEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBirtPositEntries[] =
{
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */50,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBirtPosit =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimParBirtPositEntries
};

static RsRangeTableEntry rsbtc_rngFsimParStdDeviationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */12.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParStdDeviation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngFsimParStdDeviationEntries
};

static RsRangeTableEntry rsbtc_rngFsimVirtualRfEntries[] =
{
  {
      /* discreteOrMinValue = */100000.0,
      /* maxValue           = */100000000000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimVirtualRf =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngFsimVirtualRfEntries
};

static RsRangeTableEntry rsbtc_rngFsimUserInsertLossEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimUserInsertLoss =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngFsimUserInsertLossEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBirtLossEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */50.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBirtLoss =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DB",
  /* rangeValues = */rsbtc_rngFsimParBirtLossEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBirtDelMinEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */40e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBirtDelMin =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngFsimParBirtDelMinEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBirtDelGridEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBirtDelGrid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngFsimParBirtDelGridEntries
};

static RsRangeTableEntry rsbtc_rngFsimParBirtSpeedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */479.67,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParBirtSpeed =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimParBirtSpeedEntries
};

static RsRangeTableEntry rsbtc_rngFsimParMovingRefDelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1638e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParMovingRefDel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimParMovingRefDelEntries
};

static RsRangeTableEntry rsbtc_rngFsimParMovingVarEntries[] =
{
  {
      /* discreteOrMinValue = */0.3e-6,
      /* maxValue           = */100e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParMovingVar =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngFsimParMovingVarEntries
};

static RsRangeTableEntry rsbtc_rngFsimParMovingVarPerEntries[] =
{
  {
      /* discreteOrMinValue = */62.9,
      /* maxValue           = */500.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParMovingVarPer =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"S",
  /* rangeValues = */rsbtc_rngFsimParMovingVarPerEntries
};

static RsRangeTableEntry rsbtc_rngNoisePhaseEntries[] =
{
  {
      /* discreteOrMinValue = */-110.0,
      /* maxValue           = */-12.9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoisePhase =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBCHZ",
  /* rangeValues = */rsbtc_rngNoisePhaseEntries
};

static RsRangeTableEntry rsbtc_rngFsimIlosEntries[] =
{
  {
      /* discreteOrMinValue = */-3,
      /* maxValue           = */30,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimIlos =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"dB",
  /* rangeValues = */rsbtc_rngFsimIlosEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvFreqSoundEntries[] =
{
  {
      /* discreteOrMinValue = */30.0,
      /* maxValue           = */15000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvFreqSound =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvFreqSoundEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvLevelSoundEntries[] =
{
  {
      /* discreteOrMinValue = */-60.0,
      /* maxValue           = */12.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvLevelSound =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvLevelSoundEntries
};

static RsRangeTableEntry rsbtc_rngIqcDirErrConvEncEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDirErrConvEnc =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDirErrConvEncEntries
};

static RsRangeTableEntry rsbtc_rngDTVVsbSymbRateEntries[] =
{
  {
      /* discreteOrMinValue = */10224126,
      /* maxValue           = */11300350,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVVsbSymbRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVVsbSymbRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcVsbPilotValEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */5.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcVsbPilotVal =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcVsbPilotValEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferFreqOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-80e6,
      /* maxValue           = */80e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferFreqOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngDmInterferFreqOffsetEntries
};

static RsRangeTableEntry rsbtc_rngDmSigFreqOffsEntries[] =
{
  {
      /* discreteOrMinValue = */-80e6,
      /* maxValue           = */80e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmSigFreqOffs =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngDmSigFreqOffsEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtSegmentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */13,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtSegment =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtSegmentEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtBwVarEntries[] =
{
  {
      /* discreteOrMinValue = */-999,
      /* maxValue           = */999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtBwVar =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtBwVarEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvSpecFreqDevEntries[] =
{
  {
      /* discreteOrMinValue = */10000,
      /* maxValue           = */75000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvSpecFreqDev =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvSpecFreqDevEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvSubCarrFreqEntries[] =
{
  {
      /* discreteOrMinValue = */4000000,
      /* maxValue           = */7000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvSubCarrFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngIqcAtvSubCarrFreqEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvLevelSubCarrEntries[] =
{
  {
      /* discreteOrMinValue = */-34.0,
      /* maxValue           = */-4.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvLevelSubCarr =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvLevelSubCarrEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvResidualCarrEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */30.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvResidualCarr =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvResidualCarrEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvFreqDevPilotEntries[] =
{
  {
      /* discreteOrMinValue = */1000,
      /* maxValue           = */4000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvFreqDevPilot =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngIqcAtvFreqDevPilotEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynSpeedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */12500.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynSpeed =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynSpeedEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynrefDelMinEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1638e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynrefDelMin =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynrefDelMinEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynMovDelMinEntries[] =
{
  {
      /* discreteOrMinValue = */0.1e-6,
      /* maxValue           = */1000e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynMovDelMin =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynMovDelMinEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynMovDelMaxEntries[] =
{
  {
      /* discreteOrMinValue = */0.00000010,
      /* maxValue           = */0.001,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynMovDelMax =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynMovDelMaxEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */50.0,
      /* maxValue           = */1000.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFsimP2dynPeriodEntries
};

static RsRangeTableEntry rsbtc_rngFsimP2dynDwellEntries[] =
{
  {
      /* discreteOrMinValue = */0.1,
      /* maxValue           = */10.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimP2dynDwell =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"s",
  /* rangeValues = */rsbtc_rngFsimP2dynDwellEntries
};

static RsRangeTableEntry rsbtc_rngFreqChannelEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFreqChannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFreqChannelEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtvAmModulDepthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtvAmModulDepth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtvAmModulDepthEntries
};

static RsRangeTableEntry rsbtc_rngRclSaveEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRclSave =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRclSaveEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbcRollOffEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbcRollOff =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbcRollOffEntries
};

static RsRangeTableEntry rsbtc_rngIqcSigSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MMG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TEST",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcSigSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcSigSourceEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbTestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbTestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbTestSigEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbConstelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D4NR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D64",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbConstel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbConstelEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbCodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R04",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R06",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R08",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbCodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbCodeRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbGuarEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G420",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G595",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G945",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbGuar =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbGuarEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbChanBwEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbChanBw =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbChanBwEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbGicEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbGic =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbGicEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtSystemEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TSB1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TSB3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtSystem =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtSystemEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtSubChanEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */41,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtSubChan =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtSubChanEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2ScrSeqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */9999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2ScrSeq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2ScrSeqEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-70,
      /* maxValue           = */50,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBM",
  /* rangeValues = */rsbtc_rngDmInterferLevelEntries
};

static RsRangeTableEntry rsbtc_rngDmInterferRefEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LEV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmInterferRef =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmInterferRefEntries
};

static RsRangeTableEntry rsbtc_rngBBImpairOptModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FAST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"QHIG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBBImpairOptMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBBImpairOptModeEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2FecframeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MED",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2Fecframe =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2FecframeEntries
};

static RsRangeTableEntry rsbtc_rngDmAudioBcStdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmAudioBcStd =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDmAudioBcStdEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcInputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AGEN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"APL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcInput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBcInputEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcFmModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LEFT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RIGH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REML",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RNEL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcFmMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBcFmModeEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcFmAgenFreqEntries[] =
{
  {
      /* discreteOrMinValue = */30.0,
      /* maxValue           = */15000.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcFmAgenFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngAudioBcFmAgenFreqEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcFmAgenLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-60,
      /* maxValue           = */12,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcFmAgenLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBU",
  /* rangeValues = */rsbtc_rngAudioBcFmAgenLevelEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcFmSignalModulationTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MONO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcFmSignalModulationType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBcFmSignalModulationTypeEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcMoPreemphasisEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D75",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcMoPreemphasis =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBcMoPreemphasisEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcDevAudioEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcDevAudio =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngAudioBcDevAudioEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcRdsDevEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10000.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcRdsDev =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngAudioBcRdsDevEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcPilotDevEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */15000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcPilotDev =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngAudioBcPilotDevEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcSpecPilotPhEntries[] =
{
  {
      /* discreteOrMinValue = */-180,
      /* maxValue           = */180,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcSpecPilotPh =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DEG",
  /* rangeValues = */rsbtc_rngAudioBcSpecPilotPhEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcSpecRdsPhEntries[] =
{
  {
      /* discreteOrMinValue = */-180,
      /* maxValue           = */180,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcSpecRdsPh =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DEG",
  /* rangeValues = */rsbtc_rngAudioBcSpecRdsPhEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcAmDepthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */100,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcAmDepth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"PCT",
  /* rangeValues = */rsbtc_rngAudioBcAmDepthEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcAmGenFreqEntries[] =
{
  {
      /* discreteOrMinValue = */30.00,
      /* maxValue           = */15000.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcAmGenFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngAudioBcAmGenFreqEntries
};

static RsRangeTableEntry rsbtc_rngAudioBcAmGenLevEntries[] =
{
  {
      /* discreteOrMinValue = */-60,
      /* maxValue           = */12,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBcAmGenLev =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBU",
  /* rangeValues = */rsbtc_rngAudioBcAmGenLevEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmRdsPiEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmRdsPi =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmRdsPiEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmRdsPtyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmRdsPty =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmRdsPtyEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmRdsMsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MUS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmRdsMs =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmRdsMsEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmRdsMethodEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmRdsMethod =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmRdsMethodEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmAfANoFreqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */25,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmAfANoFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmAfANoFreqEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmAfAFreqEntries[] =
{
  {
      /* discreteOrMinValue = */87600000,
      /* maxValue           = */107900000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmAfAFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngIcgAudioFmAfAFreqEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmAfBListNoEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */5,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmAfBListNo =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmAfBListNoEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmAfBNoFreqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */12,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmAfBNoFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmAfBNoFreqEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmAfBOrderEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DESC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmAfBOrder =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmAfBOrderEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmEonPiEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmEonPi =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmEonPiEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmEonLsnEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4095,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmEonLsn =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmEonLsnEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmEonPtyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmEonPty =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmEonPtyEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmEonMethodEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAPF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmEonMethod =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmEonMethodEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmEonMapAfBNoFreqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmEonMapAfBNoFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmEonMapAfBNoFreqEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmTmc3aVarEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmTmc3aVar =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmTmc3aVarEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmTmc3aGroupEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmTmc3aGroup =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmTmc3aGroupEntries
};

static RsRangeTableEntry rsbtc_rngIcgAudioFmBlockEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcgAudioFmBlock =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcgAudioFmBlockEntries
};

static RsRangeTableEntry rsbtc_rngFsimParDoplerFreqEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1600,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFsimParDoplerFreq =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngFsimParDoplerFreqEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2NumPlpEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */20,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2NumPlp =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2NumPlpEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2InpFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GFPS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GCS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GSE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2InpFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2InpFormatEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2ModePlpIdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2ModePlpId =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2ModePlpIdEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2PlpTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DT1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DT2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COMM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2PlpType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2PlpTypeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2BbModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HEM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2BbMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2BbModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2BicmFecEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2BicmFec =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2BicmFecEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2CRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_5",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2CRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2CRateEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2ConstelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T256",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2Constel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2ConstelEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2TimeIntEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2TimeInt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2TimeIntEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2ChBWidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2ChBWidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2ChBWidthEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2FftModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M1K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M2K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M4K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M8K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M8E",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M16E",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M32K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M32E",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2FftMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2FftModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2GuardIntEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G112",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G191",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G192",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2GuardInt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2GuardIntEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2PilotPattEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PP8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2PilotPatt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2PilotPattEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2TransSystEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SISO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MISO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2LS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2LM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2TransSyst =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2TransSystEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2PeakAverPowEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2PeakAverPow =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2PeakAverPowEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2L1PostModulEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T64",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2L1PostModul =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2L1PostModulEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbt2tPidEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbt2tPid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbt2tPidEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtTmccNextEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNUS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CURR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtTmccNext =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtTmccNextEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtTxParamEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtTxParam =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtTxParamEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2TimeInterLenEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2TimeInterLen =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2TimeInterLenEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2T2SuperFrameEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2T2SuperFrame =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2T2SuperFrameEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2OfdmSymbEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */2098,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2OfdmSymb =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2OfdmSymbEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2SystIDHexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2SystIDHex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2SystIDHexEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmPackLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P188",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P208",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmPackLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmPackLengthEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmTestSigEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBET",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmTestSig =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmTestSigEntries
};

static RsRangeTableEntry rsbtc_rngIcqAtsmMhPidEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcqAtsmMhPid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcqAtsmMhPidEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmHexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4095,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmHex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmHexEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmBuryEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"39",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"36",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"33",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"30",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"27",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"21",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmBury =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmBuryEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmTrTxIdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */31,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmTrTxId =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmTrTxIdEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmMarketHexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */511,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmMarketHex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmMarketHexEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2TBicmIJumpEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2TBicmIJump =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2TBicmIJumpEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmSRateEntries[] =
{
  {
      /* discreteOrMinValue = */10186126,
      /* maxValue           = */11300350,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmSRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmSRateEntries
};

static RsRangeTableEntry rsbtc_rngIqcAtsmPilotValEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */5,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcAtsmPilotVal =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcAtsmPilotValEntries
};

static RsRangeTableEntry rsbtc_rngTsgenStopDataEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTsgenStopData =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTsgenStopDataEntries
};

static RsRangeTableEntry rsbtc_rngTsgenTsPacketEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H184",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S187",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S203",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"H204",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S207",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTsgenTsPacket =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTsgenTsPacketEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2SubslicT2FramEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */32767,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2SubslicT2Fram =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2SubslicT2FramEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2T2SystAuxStrEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2T2SystAuxStr =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2T2SystAuxStrEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2L1VersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V111",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V121",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V131",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2L1Version =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2L1VersionEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2MisoGroupEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2MisoGroup =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2MisoGroupEntries
};

static RsRangeTableEntry rsbtc_rngNetworkModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MFN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SFN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNetworkMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNetworkModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2PlpModulTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2PlpModulType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2PlpModulTypeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2PlpGroupEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2PlpGroup =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2PlpGroupEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2IssyModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LONG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2IssyMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2IssyModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2FefEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */15,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2Fef =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2FefEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2NumPlpEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2NumPlp =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2NumPlpEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2InpFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2InpFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2InpFormatEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2ModePlpIdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2ModePlpId =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2ModePlpIdEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2PlpTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GRO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2PlpType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2PlpTypeEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2BbModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HEM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2BbMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2BbModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2IssyModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHOR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LONG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2IssyMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2IssyModeEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2BicmFecFrameEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHOR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2BicmFecFrame =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2BicmFecFrameEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2CodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8_9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R9_1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2CodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2CodeRateEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2ConstellEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Q16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Q64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Q256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Q102",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Q409",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2Constell =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2ConstellEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DsliceNumEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DsliceNum =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DsliceNumEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DsliceMapEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DsliceMap =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DsliceMapEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2SystIDHexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2SystIDHex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2SystIDHexEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DslTIDepthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"16",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DslTIDepth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DslTIDepthEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DslTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DslType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DslTypeEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DslFecHeaderTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ROB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HEM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DslFecHeaderType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DslFecHeaderTypeEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DslOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-9999,
      /* maxValue           = */9999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DslOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DslOffsetEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2ChBWidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2ChBWidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2ChBWidthEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2GuardIntEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G112",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2GuardInt =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2GuardIntEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2SystemInterleaverEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FOUR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EIGH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2SystemInterleaver =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2SystemInterleaverEntries
};

static RsRangeTableEntry rsbtc_rngIqcIsdbtChanBwEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcIsdbtChanBw =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcIsdbtChanBwEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbt2BwVarEntries[] =
{
  {
      /* discreteOrMinValue = */-1000,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbt2BwVar =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"PPM",
  /* rangeValues = */rsbtc_rngIqcDvbt2BwVarEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2MiPidEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2MiPid =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2MiPidEntries
};

static RsRangeTableEntry rsbtc_rngDvbc2DslTunePosRelEntries[] =
{
  {
      /* discreteOrMinValue = */-10000,
      /* maxValue           = */10000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbc2DslTunePosRel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbc2DslTunePosRelEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbSfnTxAddrEntries[] =
{
  {
      /* discreteOrMinValue = */-10000,
      /* maxValue           = */10000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbSfnTxAddr =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbSfnTxAddrEntries
};

static RsRangeTableEntry rsbtc_rngIqcDtmbArrConstEntries[] =
{
  {
      /* discreteOrMinValue = */-10000,
      /* maxValue           = */10000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDtmbArrConst =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDtmbArrConstEntries
};

static RsRangeTableEntry rsbtc_rngCodingControlEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngCodingControl =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngCodingControlEntries
};

static RsRangeTableEntry rsbtc_rngDtvSFNStaticDelayEntries[] =
{
  {
      /* discreteOrMinValue = */-1000000.0e-6,
      /* maxValue           = */1000000.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDtvSFNStaticDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDtvSFNStaticDelayEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2SFNMaxDeviationTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */1000000.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2SFNMaxDeviationTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2SFNMaxDeviationTimeEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2SFNTimeStampModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2SFNTimeStampMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2SFNTimeStampModeEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2SFNTimeStampModeOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-255,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2SFNTimeStampModeOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2SFNTimeStampModeOffsetEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2T2SystemFutureExtensionFramesPayloadEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NULL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOIS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2T2SystemFutureExtensionFramesPayload =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2T2SystemFutureExtensionFramesPayloadEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2T2SystemTxIDAvailabilityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2T2SystemTxIDAvailability =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2T2SystemTxIDAvailabilityEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2InputSignalT2MISIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2InputSignalT2MISID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2InputSignalT2MISIDEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2T2SystemProfileModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MULT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2T2SystemProfileMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2T2SystemProfileModeEntries
};

static RsRangeTableEntry rsbtc_rngDVBC2FramingBasebandFilterEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FIR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1_1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBC2FramingBasebandFilter =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBC2FramingBasebandFilterEntries
};

static RsRangeTableEntry rsbtc_rngDVBC2NotchTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NARR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BRO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBC2NotchType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBC2NotchTypeEntries
};

static RsRangeTableEntry rsbtc_rngDVBC2FramingSystemBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */142,
      /* maxValue           = */582,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBC2FramingSystemBandwidth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBC2FramingSystemBandwidthEntries
};

static RsRangeTableEntry rsbtc_rngDVBC2NotchNumberOfNotchesEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBC2NotchNumberOfNotches =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBC2NotchNumberOfNotchesEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVNICAMSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NGEN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRBS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"APL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVNICAMSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVNICAMSourceEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVNICAMSoundModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MONO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DUAL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVNICAMSoundMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVNICAMSoundModeEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVNICAMFrequencySoundEntries[] =
{
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */15000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVNICAMFrequencySound =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVNICAMFrequencySoundEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVNICAMLevelSoundEntries[] =
{
  {
      /* discreteOrMinValue = */-60,
      /* maxValue           = */12,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVNICAMLevelSound =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVNICAMLevelSoundEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVSpecialNICAMRollOffEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R40",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R100",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVSpecialNICAMRollOff =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVSpecialNICAMRollOffEntries
};

static RsRangeTableEntry rsbtc_rngAudioBCAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */30,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBCAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBCAttenuationEntries
};

static RsRangeTableEntry rsbtc_rngInputSignalIPTSChannelEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngInputSignalIPTSChannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngInputSignalIPTSChannelEntries
};

static RsRangeTableEntry rsbtc_rngInputSignalFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMPT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ETI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngInputSignalFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngInputSignalFormatEntries
};

static RsRangeTableEntry rsbtc_rngISDBTPacketLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"188",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"204",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTPacketLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTPacketLengthEntries
};

static RsRangeTableEntry rsbtc_rng8VSBPacketLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"188",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"208",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rng8VSBPacketLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rng8VSBPacketLengthEntries
};

static RsRangeTableEntry rsbtc_rngAnalogTVAudioAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */30.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAnalogTVAudioAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAnalogTVAudioAttenuationEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalStepStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalStepState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalStepStateEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLocalOscillatorModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COUP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ECO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLocalOscillatorMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLocalOscillatorModeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelSettingsModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOWN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOWD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelSettingsMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelSettingsModeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelSettingCharacteristicEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNIN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CVSW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CPH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelSettingCharacteristic =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelSettingCharacteristicEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */-24,
      /* maxValue           = */116,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelAttenuationEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelALCDetectorSensitivityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MED",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HIGH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelALCDetectorSensitivity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelALCDetectorSensitivityEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelALCSampleLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FULL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MIN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelALCSampleLevel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelALCSampleLevelEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalSweepShapeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TRI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SAWT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalSweepShape =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalSweepShapeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalModulationSignalSource_001Entries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANAL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalModulationSignalSource_001 =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalModulationSignalSource_001Entries
};

static RsRangeTableEntry rsbtc_rngRFSignalModulationBasebandImpairmentsIQDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */ 1.0e-5,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalModulationBasebandImpairmentsIQDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalModulationBasebandImpairmentsIQDelayEntries
};

static RsRangeTableEntry rsbtc_rngArbitraryWaveformGenerationUsageEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIGN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngArbitraryWaveformGenerationUsage =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngArbitraryWaveformGenerationUsageEntries
};

static RsRangeTableEntry rsbtc_rngArbitraryWaveformGenerationAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */-60,
      /* maxValue           = */60,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngArbitraryWaveformGenerationAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngArbitraryWaveformGenerationAttenuationEntries
};

static RsRangeTableEntry rsbtc_rngArbitraryWaveformGenerationFrequencyOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-80,
      /* maxValue           = */80,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngArbitraryWaveformGenerationFrequencyOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngArbitraryWaveformGenerationFrequencyOffsetEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2InputSignalT2MIPacketTimingMeasModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DELT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2InputSignalT2MIPacketTimingMeasMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2InputSignalT2MIPacketTimingMeasModeEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2BICMFirstFrameIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2BICMFirstFrameIndex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2BICMFirstFrameIndexEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2T2SystemFEFLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */16777215,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2T2SystemFEFLength =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2T2SystemFEFLengthEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2T2SystemFEFIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2T2SystemFEFInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2T2SystemFEFIntervalEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2CodingModulationCodingEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */92,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2CodingModulationCoding =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2CodingModulationCodingEntries
};

static RsRangeTableEntry rsbtc_rngDVBC2BICMNumberOfXFECFramesEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */2,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBC2BICMNumberOfXFECFrames =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBC2BICMNumberOfXFECFramesEntries
};

static RsRangeTableEntry rsbtc_rngDVBTCodingSymbolInterleaverEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IND",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBTCodingSymbolInterleaver =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBTCodingSymbolInterleaverEntries
};

static RsRangeTableEntry rsbtc_rngDVBTSettingsTPSCellIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBTSettingsTPSCellID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBTSettingsTPSCellIDEntries
};

static RsRangeTableEntry rsbtc_rngFadingSimulatorSignalRoutingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AXB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADBD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADBN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANBD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingSimulatorSignalRouting =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingSimulatorSignalRoutingEntries
};

static RsRangeTableEntry rsbtc_rngFadingFrequencyHoppingModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */" OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IBAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OOB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingFrequencyHoppingMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingFrequencyHoppingModeEntries
};

static RsRangeTableEntry rsbtc_rngFadingGlobalFaderCouplingStartSeedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingGlobalFaderCouplingStartSeed =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingGlobalFaderCouplingStartSeedEntries
};

static RsRangeTableEntry rsbtc_rngNoiseImpulsiveCIEntries[] =
{
  {
      /* discreteOrMinValue = */-30.0,
      /* maxValue           = */60.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseImpulsiveCI =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseImpulsiveCIEntries
};

static RsRangeTableEntry rsbtc_rngNoiseImpulsiveFrameDurationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.0100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"0.1000",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1.0000",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseImpulsiveFrameDuration =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseImpulsiveFrameDurationEntries
};

static RsRangeTableEntry rsbtc_rngNoiseImpulsivePulsesperBurstEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseImpulsivePulsesperBurst =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseImpulsivePulsesperBurstEntries
};

static RsRangeTableEntry rsbtc_rngNoiseImpulsivePulseSpacingEntries[] =
{
  {
      /* discreteOrMinValue = */0.00000025,
      /* maxValue           = */0.01,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseImpulsivePulseSpacing =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseImpulsivePulseSpacingEntries
};

static RsRangeTableEntry rsbtc_rngTSGENPlayerTSSerialOutputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASIB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASIC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTSGENPlayerTSSerialOutput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTSGENPlayerTSSerialOutputEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmCodingNumberOfSuperSegmentsEntries[] =
{
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */5,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmCodingNumberOfSuperSegments =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmCodingNumberOfSuperSegmentsEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmSuperSegmentsTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmSuperSegmentsType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmSuperSegmentsTypeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmCodingNumberSegmentsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */13,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmCodingNumberSegments =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmCodingNumberSegmentsEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmCodingISDBTModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmCodingISDBTMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmCodingISDBTModeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmCodingLayerCenterSubchannelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */41,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmCodingLayerCenterSubchannel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmCodingLayerCenterSubchannelEntries
};

static RsRangeTableEntry rsbtc_rngIcqCmmbNrServicesEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */40,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIcqCmmbNrServices =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIcqCmmbNrServicesEntries
};

static RsRangeTableEntry rsbtc_rngIqcCmmbBwEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcCmmbBw =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcCmmbBwEntries
};

static RsRangeTableEntry rsbtc_rngIqcCmmbOdfmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M1K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M4K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcCmmbOdfm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcCmmbOdfmEntries
};

static RsRangeTableEntry rsbtc_rngIqcCmmbTxIdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */127,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcCmmbTxId =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcCmmbTxIdEntries
};

static RsRangeTableEntry rsbtc_rngIqcCmmbArIdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcCmmbArId =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcCmmbArIdEntries
};

static RsRangeTableEntry rsbtc_rngCMMBInputSignalTestSignalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CLCH",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TONL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngCMMBInputSignalTestSignal =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngCMMBInputSignalTestSignalEntries
};

static RsRangeTableEntry rsbtc_rngTDMBETIInputEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ENI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E559",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"E537",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBETIInput =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBETIInputEntries
};

static RsRangeTableEntry rsbtc_rngTDMBProtProfileEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UEP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EEP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBProtProfile =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBProtProfileEntries
};

static RsRangeTableEntry rsbtc_rngTDMBProtLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP1A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP2A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP3A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP4A",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP1B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP2B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP3B",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EP4B",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBProtLevel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBProtLevelEntries
};

static RsRangeTableEntry rsbtc_rngTDMBTransmissionModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MID",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBTransmissionMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBTransmissionModeEntries
};

static RsRangeTableEntry rsbtc_rngTDMBSelectTransmissionModeEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBSelectTransmissionMode =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBSelectTransmissionModeEntries
};

static RsRangeTableEntry rsbtc_rngTDMBTestsignalSCIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBTestsignalSCID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBTestsignalSCIDEntries
};

static RsRangeTableEntry rsbtc_rngTDMBPRBSEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P23_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P15_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P20_",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBPRBS =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBPRBSEntries
};

static RsRangeTableEntry rsbtc_rngTDMBTIIMainIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */69,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBTIIMainID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBTIIMainIDEntries
};

static RsRangeTableEntry rsbtc_rngTDMBTIISubIDEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */23,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBTIISubID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBTIISubIDEntries
};

static RsRangeTableEntry rsbtc_rngTDMBInputSignalNumberofStreamsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */64,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBInputSignalNumberofStreams =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBInputSignalNumberofStreamsEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2InputSignalCMModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CCM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VCM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2InputSignalCMMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2InputSignalCMModeEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2InputSignalNumInputStreamsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */8,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2InputSignalNumInputStreams =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2InputSignalNumInputStreamsEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2CodingNumTimeSliceEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */8,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2CodingNumTimeSlice =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2CodingNumTimeSliceEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2CodingTSNEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2CodingTSN =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2CodingTSNEntries
};

static RsRangeTableEntry rsbtc_rngDVBS2CodingISIEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBS2CodingISI =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBS2CodingISIEntries
};

static RsRangeTableEntry rsbtc_rngATSCMHSFNMaxDeviationTimeEntries[] =
{
  {
      /* discreteOrMinValue = */1.0e-6,
      /* maxValue           = */500.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSCMHSFNMaxDeviationTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSCMHSFNMaxDeviationTimeEntries
};

static RsRangeTableEntry rsbtc_rngDVBTSFNMaxDeviationTimeEntries[] =
{
  {
      /* discreteOrMinValue = */1.0e-6,
      /* maxValue           = */500.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBTSFNMaxDeviationTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBTSFNMaxDeviationTimeEntries
};

static RsRangeTableEntry rsbtc_rngNoiseAWGNSettingsGeneratedNoiseBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */0.1e6,
      /* maxValue           = */160.0e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngNoiseAWGNSettingsGeneratedNoiseBandwidth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngNoiseAWGNSettingsGeneratedNoiseBandwidthEntries
};

static RsRangeTableEntry rsbtc_rngISDBTCodingIIPPIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTCodingIIPPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTCodingIIPPIDEntries
};

static RsRangeTableEntry rsbtc_rngDVBT2SFN1PPSRoutingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INEX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ININ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OUT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDVBT2SFN1PPSRouting =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDVBT2SFN1PPSRoutingEntries
};

static RsRangeTableEntry rsbtc_rngDIRECTVPhaseNoiseMagnitudeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDIRECTVPhaseNoiseMagnitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDIRECTVPhaseNoiseMagnitudeEntries
};

static RsRangeTableEntry rsbtc_rngBERInputFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ASI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMPT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBERInputFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBERInputFormatEntries
};

static RsRangeTableEntry rsbtc_rngBERInputPIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBERInputPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBERInputPIDEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputSampleRateValueEntries[] =
{
  {
      /* discreteOrMinValue = */400.0,
      /* maxValue           = */200.0e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputSampleRateValue =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputSampleRateValueEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputSampleRateSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputSampleRateSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputSampleRateSourceEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputSetLevelViaEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LEV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputSetLevelVia =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputSetLevelViaEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-60.0,
      /* maxValue           = */0.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputLevelEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputUserVariationStepEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputUserVariationStep =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputUserVariationStepEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQDigitalOutputUserVariationActiveEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQDigitalOutputUserVariationActive =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQDigitalOutputUserVariationActiveEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQAnalogOutputTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQAnalogOutputType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQAnalogOutputTypeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQAnalogOutputModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FIX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VAR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQAnalogOutputMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQAnalogOutputModeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQAnalogOutputIQLevelVp_001Entries[] =
{
  {
      /* discreteOrMinValue = */40.0e-3,
      /* maxValue           = */4.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQAnalogOutputIQLevelVp_001 =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQAnalogOutputIQLevelVp_001Entries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQAnalogOutputIQSettingsBiasEntries[] =
{
  {
      /* discreteOrMinValue = */-2.7,
      /* maxValue           = */2.7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQAnalogOutputIQSettingsBias =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQAnalogOutputIQSettingsBiasEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalIQAnalogOutputIQSettingsOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-0.3,
      /* maxValue           = */0.3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalIQAnalogOutputIQSettingsOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalIQAnalogOutputIQSettingsOffsetEntries
};

static RsRangeTableEntry rsbtc_rngAudioBCDigitalIQInputSampleRateSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBCDigitalIQInputSampleRateSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBCDigitalIQInputSampleRateSourceEntries
};

static RsRangeTableEntry rsbtc_rngAudioBCDigitalIQInputSampleRateValueEntries[] =
{
  {
      /* discreteOrMinValue = */400.0,
      /* maxValue           = */200.0e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBCDigitalIQInputSampleRateValue =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBCDigitalIQInputSampleRateValueEntries
};

static RsRangeTableEntry rsbtc_rngAudioBCDigitalIQInputLevelMeasurementPeriodEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */32,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngAudioBCDigitalIQInputLevelMeasurementPeriod =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngAudioBCDigitalIQInputLevelMeasurementPeriodEntries
};

static RsRangeTableEntry rsbtc_rngISDBTmmInputSignalTestSignalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PBEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PAFC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTmmInputSignalTestSignal =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTmmInputSignalTestSignalEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DBUV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WATT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterUnitEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TXA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TXB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterSourceEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterRelPowerStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PCT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterRelPowerState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterRelPowerStateEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterRefPowerEntries[] =
{
  {
      /* discreteOrMinValue = */-100.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterRefPower =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterRefPowerEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterAverageFilterTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterAverageFilterType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterAverageFilterTypeEntries
};

static RsRangeTableEntry rsbtc_rngPowerMeterFilterLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"128",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPowerMeterFilterLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPowerMeterFilterLengthEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionLimiterPositionEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionLimiterPosition =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionLimiterPositionEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionGainTabAmplitudeEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionGainTabAmplitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionGainTabAmplitudeEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionGainTabPowerEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */100.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionGainTabPower =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionGainTabPowerEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionGainTabPhaseEntries[] =
{
  {
      /* discreteOrMinValue = */-180.0,
      /* maxValue           = */180.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionGainTabPhase =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionGainTabPhaseEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionFrequencyResponseTabFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */-100.0e6,
      /* maxValue           = */100.0e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionFrequencyResponseTabFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionFrequencyResponseTabFrequencyEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionFrequencyResponseTabGainEntries[] =
{
  {
      /* discreteOrMinValue = */-80.0,
      /* maxValue           = */0.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionFrequencyResponseTabGain =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionFrequencyResponseTabGainEntries
};

static RsRangeTableEntry rsbtc_rngTxDistortionFrequencyResponseTabGroupDelayEntries[] =
{
  {
      /* discreteOrMinValue = */-100.0e-9,
      /* maxValue           = */100.0e-9,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTxDistortionFrequencyResponseTabGroupDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTxDistortionFrequencyResponseTabGroupDelayEntries
};

static RsRangeTableEntry rsbtc_rngReadCMMBStreamFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PMS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MFS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngReadCMMBStreamFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngReadCMMBStreamFormatEntries
};

static RsRangeTableEntry rsbtc_rngFadingStandardDelayFrequencyShiftEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingStandardDelayFrequencyShift =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingStandardDelayFrequencyShiftEntries
};

static RsRangeTableEntry rsbtc_rngFadingStandardDelayFrequencySpreadEntries[] =
{
  {
      /* discreteOrMinValue = */0.0001,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingStandardDelayFrequencySpread =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingStandardDelayFrequencySpreadEntries
};

static RsRangeTableEntry rsbtc_rngFadingMIMOMatrixValueColumnMagnitudeEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */1.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingMIMOMatrixValueColumnMagnitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingMIMOMatrixValueColumnMagnitudeEntries
};

static RsRangeTableEntry rsbtc_rngFadingMIMOVectorGainEntries[] =
{
  {
      /* discreteOrMinValue = */-50.0,
      /* maxValue           = */0.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingMIMOVectorGain =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingMIMOVectorGainEntries
};

static RsRangeTableEntry rsbtc_rngFadingMIMORelativeTapPhaseEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */360.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingMIMORelativeTapPhase =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngFadingMIMORelativeTapPhaseEntries
};

static RsRangeTableEntry rsbtc_rngTDMBSFNTxDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */1000000.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBSFNTxDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBSFNTxDelayEntries
};

static RsRangeTableEntry rsbtc_rngTDMBSFNStaticDelayEntries[] =
{
  {
      /* discreteOrMinValue = */-0.1,
      /* maxValue           = */0.1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBSFNStaticDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBSFNStaticDelayEntries
};

static RsRangeTableEntry rsbtc_rngTDMBSFNMaxDeviationTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0.000001,
      /* maxValue           = */0.0005,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngTDMBSFNMaxDeviationTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngTDMBSFNMaxDeviationTimeEntries
};

static RsRangeTableEntry rsbtc_rngSFN1PPSRoutingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INEX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ININ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OUT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngSFN1PPSRouting =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngSFN1PPSRoutingEntries
};

static RsRangeTableEntry rsbtc_rngSFNOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */1.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngSFNOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngSFNOffsetEntries
};

static RsRangeTableEntry rsbtc_rngIPInputTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UNIC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MULT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIPInputType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIPInputTypeEntries
};

static RsRangeTableEntry rsbtc_rngIPInputPortEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIPInputPort =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIPInputPortEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWSignalTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WWA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WWOA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWA",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWOA",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWSignalType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWSignalTypeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterInformationTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ISS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CANC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterInformationType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterInformationTypeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterWarningIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */511,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterWarningID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterWarningIDEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterLatitudeEntries[] =
{
  {
      /* discreteOrMinValue = */-90.0,
      /* maxValue           = */90.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterLatitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterLatitudeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterLongitudeEntries[] =
{
  {
      /* discreteOrMinValue = */-180.0,
      /* maxValue           = */180.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterLongitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterLongitudeEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWNumberofEpicentersEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */2,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWNumberofEpicenters =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWNumberofEpicentersEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterDepthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1023000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterDepth =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterDepthEntries
};

static RsRangeTableEntry rsbtc_rngISDBTEEWEpicenterOccurrenceTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1023,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngISDBTEEWEpicenterOccurrenceTime =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngISDBTEEWEpicenterOccurrenceTimeEntries
};

static RsRangeTableEntry rsbtc_rngRFSignalLevelDigitalAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */-3.522,
      /* maxValue           = */80.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngRFSignalLevelDigitalAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngRFSignalLevelDigitalAttenuationEntries
};

static RsRangeTableEntry rsbtc_rngMMGeneratorTransportStreamPlayerTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGeneratorTransportStreamPlayerType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGeneratorTransportStreamPlayerTypeEntries
};

static RsRangeTableEntry rsbtc_rngBasebandIQDigitalOutputSampleRateSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USER",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIGN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBasebandIQDigitalOutputSampleRateSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBasebandIQDigitalOutputSampleRateSourceEntries
};

static RsRangeTableEntry rsbtc_rngBasebandDigitalIQOutputSampleRateEntries[] =
{
  {
      /* discreteOrMinValue = */400.000,
      /* maxValue           = */460.000e+6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBasebandDigitalIQOutputSampleRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"Hz",
  /* rangeValues = */rsbtc_rngBasebandDigitalIQOutputSampleRateEntries
};

static RsRangeTableEntry rsbtc_rngBasebandDigitalIQOutputSetLevelViaEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LEV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBasebandDigitalIQOutputSetLevelVia =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBasebandDigitalIQOutputSetLevelViaEntries
};

static RsRangeTableEntry rsbtc_rngBasebandDigitalIQOutputPeakLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-60.00,
      /* maxValue           = */0.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBasebandDigitalIQOutputPeakLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBFS",
  /* rangeValues = */rsbtc_rngBasebandDigitalIQOutputPeakLevelEntries
};

static RsRangeTableEntry rsbtc_rngBasebandDigitalIQOutputLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-60.00,
      /* maxValue           = */0.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBasebandDigitalIQOutputLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBFS",
  /* rangeValues = */rsbtc_rngBasebandDigitalIQOutputLevelEntries
};

static RsRangeTableEntry rsbtc_rngMMGModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2MI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGModeEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIUseCaseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SPEX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPSN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPDN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPD",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MPGW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIUseCase =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIUseCaseEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIProfilesNumberEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */2,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIProfilesNumber =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIProfilesNumberEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPLPGroupsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */40,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPLPGroups =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPLPGroupsEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPLPEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */40,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPLP =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPLPEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPLPGroupIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPLPGroupID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPLPGroupIDEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIInputTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRBS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PR_T",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIInputType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIInputTypeEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIInputSelectEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TSM1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PL1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PL2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIInputSelect =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIInputSelectEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIGeneratorDataRateEntries[] =
{
  {
      /* discreteOrMinValue = */0.1e+6,
      /* maxValue           = */214.0e+6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIGeneratorDataRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"bit/s",
  /* rangeValues = */rsbtc_rngMMGDVBT2MIGeneratorDataRateEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MICommonSlotIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MICommonSlotInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MICommonSlotIntervalEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MINumChaptersEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MINumChapters =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MINumChaptersEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MINumEITPacketsEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MINumEITPackets =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MINumEITPacketsEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPRBSPIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8190,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPRBSPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPRBSPIDEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPLPPayloadTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPLPPayloadType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPLPPayloadTypeEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIPLPDataEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COMM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SERV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FULL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIPLPData =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIPLPDataEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIBufferSizeUnitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"KBIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MBIT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"K8B",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIBufferSizeUnit =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIBufferSizeUnitEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIDesignDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */10000000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIDesignDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"T",
  /* rangeValues = */rsbtc_rngMMGDVBT2MIDesignDelayEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIFrameIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIFrameInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIFrameIntervalEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MINumBlocksMaxEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1023,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MINumBlocksMax =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MINumBlocksMaxEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIFramingDataSymbolsPerT2FrameEntries[] =
{
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */2097,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIFramingDataSymbolsPerT2Frame =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIFramingDataSymbolsPerT2FrameEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIT2TransSystEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SISO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MISO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2LS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T2LM",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIT2TransSyst =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIT2TransSystEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIT2SystemSchedulingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"STAT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DYN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIT2SystemScheduling =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIT2SystemSchedulingEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIT2SystemFEFLengthEntries[] =
{
  {
      /* discreteOrMinValue = */10000,
      /* maxValue           = */16777215,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIT2SystemFEFLength =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIT2SystemFEFLengthEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIT2SystemFEFIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIT2SystemFEFInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIT2SystemFEFIntervalEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIOutputT2TimestampModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NULL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"REL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIOutputT2TimestampMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIOutputT2TimestampModeEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIOutputTimeOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIOutputTimeOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIOutputTimeOffsetEntries
};

static RsRangeTableEntry rsbtc_rngMMGVBT2MIOutputT2MIPIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8190,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGVBT2MIOutputT2MIPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGVBT2MIOutputT2MIPIDEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIOutputT2MITSTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FULL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIOutputT2MITSType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIOutputT2MITSTypeEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIOutputT2MIPMTPIDEntries[] =
{
  {
      /* discreteOrMinValue = */100,
      /* maxValue           = */8190,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIOutputT2MIPMTPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngMMGDVBT2MIOutputT2MIPMTPIDEntries
};

static RsRangeTableEntry rsbtc_rngMMGDVBT2MIOutputT2MIDataRateEntries[] =
{
  {
      /* discreteOrMinValue = */0.0,
      /* maxValue           = */72.0e+6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngMMGDVBT2MIOutputT2MIDataRate =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"bit/s",
  /* rangeValues = */rsbtc_rngMMGDVBT2MIOutputT2MIDataRateEntries
};

static RsRangeTableEntry rsbtc_rngPhaseNoiseShapeEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHA1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHA2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SHA3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPhaseNoiseShape =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPhaseNoiseShapeEntries
};

static RsRangeTableEntry rsbtc_rngCIDFrequencyOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */-220,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */+220,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngCIDFrequencyOffset =
{
  /* type        = */RS_VAL_COERCED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngCIDFrequencyOffsetEntries
};

static RsRangeTableEntry rsbtc_rngCIDLatitudeEntries[] =
{
  {
      /* discreteOrMinValue = */-90.00,
      /* maxValue           = */90.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngCIDLatitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"deg",
  /* rangeValues = */rsbtc_rngCIDLatitudeEntries
};

static RsRangeTableEntry rsbtc_rngCIDLongitudeEntries[] =
{
  {
      /* discreteOrMinValue = */-180.00,
      /* maxValue           = */180.00,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngCIDLongitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"deg",
  /* rangeValues = */rsbtc_rngCIDLongitudeEntries
};

static RsRangeTableEntry rsbtc_rngPhaseNoiseMagnitudeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngPhaseNoiseMagnitude =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngPhaseNoiseMagnitudeEntries
};

static RsRangeTableEntry rsbtc_rngDmSigPolarityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NORM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDmSigPolarity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DmSigPolarity",
  /* rangeValues = */rsbtc_rngDmSigPolarityEntries
};

static RsRangeTableEntry rsbtc_rngIqcDvbs2PLGoldCodeIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */262141,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngIqcDvbs2PLGoldCodeIndex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngIqcDvbs2PLGoldCodeIndexEntries
};

static RsRangeTableEntry rsbtc_rngDvbt2MIChBWidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDvbt2MIChBWidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDvbt2MIChBWidthEntries
};

static RsRangeTableEntry rsbtc_rngATSC3InputSignalPLPIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */63,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3InputSignalPLPID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3InputSignalPLPIDEntries
};

static RsRangeTableEntry rsbtc_rngATSC3InputSignalPLPTestSignalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TTSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TIPP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3InputSignalPLPTestSignal =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3InputSignalPLPTestSignalEntries
};

static RsRangeTableEntry rsbtc_rngATSC3InputSignalDestinationIPPortEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3InputSignalDestinationIPPort =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3InputSignalDestinationIPPortEntries
};

static RsRangeTableEntry rsbtc_rngATSC3InputSignalInputTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3InputSignalInputType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3InputSignalInputTypeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3InputSignalInputProtocolEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RTP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3InputSignalInputProtocol =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3InputSignalInputProtocolEntries
};

static RsRangeTableEntry rsbtc_rngATSC3ConfiguringTestIPPacketEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HUDP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3ConfiguringTestIPPacket =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3ConfiguringTestIPPacketEntries
};

static RsRangeTableEntry rsbtc_rngATSC3ALPEncapsulationTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3ALPEncapsulationType =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3ALPEncapsulationTypeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMLowLevelSignalingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRES",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMLowLevelSignaling =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMLowLevelSignalingEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMLayerEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"COR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ENH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMLayer =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMLayerEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMLDMInjectionLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L00",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L05",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L30",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L35",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L40",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L45",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L60",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L70",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L80",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L90",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L110",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L120",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L130",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L140",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L150",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L160",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L170",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L180",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L190",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L210",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L220",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L230",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L240",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L250",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMLDMInjectionLevel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMLDMInjectionLevelEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMFECTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B64K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C64K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"O16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"O64K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMFECType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMFECTypeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMCodeRateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R6_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R7_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R9_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R10_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R11_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R12_15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R13_15",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMCodeRate =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMCodeRateEntries
};

static RsRangeTableEntry rsbtc_rngDTVConstellationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T4096",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngDTVConstellation =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngDTVConstellationEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DISP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMTypeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMNumberOfSubslicesEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */16384,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMNumberOfSubslices =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMNumberOfSubslicesEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMSubsliceIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */16777215,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMSubsliceInterval =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMSubsliceIntervalEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMTimeInterleaverModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CTI",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"HTI",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMTimeInterleaverMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMTimeInterleaverModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMTimeInterleaverDepthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D724",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D887",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D1254",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D1448",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMTimeInterleaverDepth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMTimeInterleaverDepthEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BICMTimeInterleaverNumberOfTIBlocksEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */16,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BICMTimeInterleaverNumberOfTIBlocks =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BICMTimeInterleaverNumberOfTIBlocksEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SChannelBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SChannelBandwidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SChannelBandwidthEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMMISOEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C256",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMMISO =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMMISOEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMFFTSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M8K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M32K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMFFTSize =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMFFTSizeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3CarrierModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3CarrierMode =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3CarrierModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3GuardIntervalEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G192",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G384",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G768",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G1536",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G2048",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G2432",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G3072",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G3648",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G4096",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"G4864",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3GuardInterval =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3GuardIntervalEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMTotalNumberofDataOFDMSymbolsEntries[] =
{
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */2048,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMTotalNumberofDataOFDMSymbols =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMTotalNumberofDataOFDMSymbolsEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMSISOPilotPatternEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP3_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP3_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP4_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP4_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP6_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP6_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP8_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP8_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP12_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP12_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP16_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP16_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP24_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP24_4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP32_2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP32_4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMSISOPilotPattern =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMSISOPilotPatternEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMPilotBoostModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMPilotBoostMode =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMPilotBoostModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SubframingOFDMSubframeBoundarySymbolFirstEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SubframingOFDMSubframeBoundarySymbolFirst =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SubframingOFDMSubframeBoundarySymbolFirstEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MFN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkLowLevelSignalingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkLowLevelSignaling =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkLowLevelSignalingEntries
};

static RsRangeTableEntry rsbtc_rngATSC3AbsentPresentEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ABS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PRES",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3AbsentPresent =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3AbsentPresentEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkTimeInfoEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MSEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"USEC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSEC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkTimeInfo =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkTimeInfoEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkNumberofTransmittersEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkNumberofTransmitters =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkNumberofTransmittersEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkTransmitterIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkTransmitterIndex =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkTransmitterIndexEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkTxIDModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AUTO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkTxIDMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkTxIDModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkTxIDAddressEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */8191,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkTxIDAddress =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkTxIDAddressEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkTxIDInjectionLevelEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L450",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L420",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L390",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L360",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L330",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L270",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L240",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L210",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L180",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L150",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L120",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L90",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkTxIDInjectionLevel =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkTxIDInjectionLevelEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemNetworkBroadcastStreamIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemNetworkBroadcastStreamID =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemNetworkBroadcastStreamIDEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemFramePeakToAveragePowerRatioEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemFramePeakToAveragePowerRatio =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemFramePeakToAveragePowerRatioEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemFrameModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TIME",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SYMB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemFrameMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemFrameModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemFrameLengthEntries[] =
{
  {
      /* discreteOrMinValue = */50,
      /* maxValue           = */5000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemFrameLength =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"ms",
  /* rangeValues = */rsbtc_rngATSC3SystemFrameLengthEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemL1FECTypeEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MOD7",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemL1FECType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemL1FECTypeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemReducedCarrierModePreambleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"D32",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemReducedCarrierModePreamble =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemReducedCarrierModePreambleEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemL1DetailVersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemL1DetailVersion =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemL1DetailVersionEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemL1DetailAdditionalParityModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"K1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"K2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemL1DetailAdditionalParityMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemL1DetailAdditionalParityModeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SpecialBootstrapMinorVersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */7,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SpecialBootstrapMinorVersion =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SpecialBootstrapMinorVersionEntries
};

static RsRangeTableEntry rsbtc_rngATSC3BootstrapEmergencyAlertSignalingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOEM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SET1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SET2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SET3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3BootstrapEmergencyAlertSignaling =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3BootstrapEmergencyAlertSignalingEntries
};

static RsRangeTableEntry rsbtc_rngATSC3FrameInfoBootstrapMinTimetoNextEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N50",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N150",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N250",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N350",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N400",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N500",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N600",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N700",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N800",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N900",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1000",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1200",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1400",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1500",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1700",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N1900",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2500",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2700",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2900",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N3300",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N3700",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4500",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4900",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N5300",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3FrameInfoBootstrapMinTimetoNext =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3FrameInfoBootstrapMinTimetoNextEntries
};

static RsRangeTableEntry rsbtc_rngATSC3FrameInfoBootstrapSystemBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW_8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BW8G",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3FrameInfoBootstrapSystemBandwidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3FrameInfoBootstrapSystemBandwidthEntries
};

static RsRangeTableEntry rsbtc_rngATSC3FrameInfoBootstrapFFTSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M8K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"M32K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3FrameInfoBootstrapFFTSize =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3FrameInfoBootstrapFFTSizeEntries
};

static RsRangeTableEntry rsbtc_rngATSC3SystemL1ReducedCarrierModePreambleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngATSC3SystemL1ReducedCarrierModePreamble =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngATSC3SystemL1ReducedCarrierModePreambleEntries
};

static RsRangeTableEntry rsbtc_rngBERInputEnableEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBERInputEnable =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngBERInputEnableEntries
};

static RsRangeTableEntry rsbtc_rngBERInputTresholdClkDataEnEntries[] =
{
  {
      /* discreteOrMinValue = */0.1,
      /* maxValue           = */2.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngBERInputTresholdClkDataEn =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"V",
  /* rangeValues = */rsbtc_rngBERInputTresholdClkDataEnEntries
};

static RsRangeTableEntry rsbtc_rngConnectionStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DISC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngConnectionState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */NULL,
  /* rangeValues = */rsbtc_rngConnectionStateEntries
};

static RsRangeTableEntry rsbtc_rngFadingExternalRFSignalGenRFFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */0.100e6,
      /* maxValue           = */3000.000e6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingExternalRFSignalGenRFFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"HZ",
  /* rangeValues = */rsbtc_rngFadingExternalRFSignalGenRFFrequencyEntries
};

static RsRangeTableEntry rsbtc_rngFadingExternalRFSignalGenRFLevelEntries[] =
{
  {
      /* discreteOrMinValue = */-145.0,
      /* maxValue           = */30.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsRangeTable rsbtc_rngFadingExternalRFSignalGenRFLevel =
{
  /* type        = */RS_VAL_RANGED,
  /* hasMin      = */1,
  /* hasMax      = */1,
  /* customInfo  = */"DBM",
  /* rangeValues = */rsbtc_rngFadingExternalRFSignalGenRFLevelEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsAttrProperties  g_RSBTC_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_USE_CALLBACKS_FOR_SIMULATION | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_USE_CALLBACKS_FOR_SIMULATION | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_TYPE =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmSigSource,
  /* command            = */"SOUR{Hardware}:DM:TYPE",
  /* integerDefault     = */RSBTC_VAL_BB_SIGNAL_TYPE_DTV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_DTV_STANDARD =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_DTV_STANDARD,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Transmission DTV Standard",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmTransmissionStandard,
  /* command            = */"SOUR{Hardware}:DM:TRAN",
  /* integerDefault     = */RSBTC_VAL_DM_STANDARD_DVBT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_ATV_STANDARD =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_ATV_STANDARD,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Transmission ATV Standard",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmAtvTransmStd,
  /* command            = */"SOUR{Hardware}:DM:ATV",
  /* integerDefault     = */RSBTC_VAL_DM_ATV_STANDARD_BG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_AUDIO_BC_STANDARD =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_AUDIO_BC_STANDARD,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Transmission Audio BC Standard",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmAudioBcStd,
  /* command            = */"SOUR{Hardware}:DM:AUD",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_STANDARD_FM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDmSigFreqOffs,
  /* command            = */"SOUR{Hardware}:DM:SFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_POLARITY =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_POLARITY,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal Polarity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmSigPolarity,
  /* command            = */"SOUR{Hardware}:DM:POL",
  /* integerDefault     = */RSBTC_VAL_BB_POLARITY_NORM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DM:AWGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_CN =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_CN,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN CN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseCn,
  /* command            = */"SOUR{Hardware}:DM:AWGN:CN",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_EB_N0_RATIO =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_EB_N0_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN Eb N0 Ratio",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DM:AWGN:EN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_BANDWIDTH_COUPLING =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_BANDWIDTH_COUPLING,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN Settings Bandwidth Coupling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DM:AWGN:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_RECEIVER_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_RECEIVER_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN Settings Receiver Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseReceiverBW,
  /* command            = */"SOUR{Hardware}:DM:AWGN:BAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_GENERATED_NOISE_BW =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_GENERATED_NOISE_BW,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Signal AWGN Settings Generated Noise BW",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseAWGNSettingsGeneratedNoiseBandwidth,
  /* command            = */"SOUR{Hardware}:DM:AWGN:GEN:BAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"IP Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_ALIAS =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_ALIAS,
#if defined (_DEBUG)
  /* debug name         = */"IP Input Alias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:ALI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Service",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IP Input Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputType,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:TYPE",
  /* integerDefault     = */RSBTC_VAL_IP_INPUT_TYPE_UNICAST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_MULTICAST_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_MULTICAST_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IP Input Multicast Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:MULT:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"226.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_PORT =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_PORT,
#if defined (_DEBUG)
  /* debug name         = */"IP Input Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputPort,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:PORT",
  /* integerDefault     = */6002,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_IGMPV3_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IP Input IGMPv3 Source Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:IGMP:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_IP_INPUT_PING_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_IP_INPUT_PING_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"IP Input Ping Source Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:INP:IP{Ip}:IGMP:PING?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2-MI Interface",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2MiPid,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:PID",
  /* integerDefault     = */4096,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI SID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2InputSignalT2MISID,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:SID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_NUMBER_OF_PLP =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_NUMBER_OF_PLP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal Number Of PLP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2NumPlp,
  /* command            = */"SOUR{Hardware}:T2DV:INP:NPLP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal PLP Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2InpFormat,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DVBT2_INPUT_FORMAT_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT2 Input Signal PLP Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:T2D:PLP{Plp}:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACK_LEN_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal PLP Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:INP:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal PLP Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:INP:TEST",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT2 Input Signal PLP Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:T2DV:PLP{Plp}:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT2 Input Signal PLP Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:T2DV:PLP{Plp}:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT2 Input Signal PLP Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:T2DV:PLP{Plp}:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Analyzer",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:ANAL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER_RESET_LOG_FILE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER_RESET_LOG_FILE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Analyzer Reset Log File",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_MEAS_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_MEAS_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing Measurement Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2InputSignalT2MIPacketTimingMeasMode,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MEAS",
  /* integerDefault     = */RSBTC_VAL_DVBT2_TIMING_MODE_ABSOLUTE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN1 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN1,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmin1",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MIN:T1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN2 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN2,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmin2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MIN:T2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN3 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN3,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmin3",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MIN:T3?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX1 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX1,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmax1",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MAX:T1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX2 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX2,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmax2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MAX:T2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX3 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX3,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmax3",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:MAX:T3?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX4 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX4,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Input Signal T2 MI Packet Timing T2 MI Tmax4",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INP:T2MI:TMAX:T4?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBT2_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:T2DV:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBT2_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:T2DV:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbt2tPid,
  /* command            = */"SOUR{Hardware}:T2DV:PID",
  /* integerDefault     = */8191,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_CONFIGURING_PAYLOAD_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBT2_CONFIGURING_PAYLOAD_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Configuring Payload Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:T2DV:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:T2DV:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream PLP ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2ModePlpId,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream PLP Group ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PlpGroup,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:GRO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream PLP Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PlpType,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:TYPE",
  /* integerDefault     = */RSBTC_VAL_DVBT2_PLP_TYPE_DT1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_BB_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_BB_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream BB Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2BbMode,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:BB_M",
  /* integerDefault     = */RSBTC_VAL_DVBT2_BB_MODE_HEM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_ISSY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_ISSY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream ISSY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2IssyMode,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:ISSY",
  /* integerDefault     = */RSBTC_VAL_DVBT2_MODE_ISSY_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_NULL_PACKET_DELETION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_NULL_PACKET_DELETION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream Null Packet Deletion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:NPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream In Band Signaling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:IBS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_A =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_A,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream In Band Signaling A",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:IBS:A",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_B =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_B,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream In Band Signaling B",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:IBS:B",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_OTHER_IN_BAND_PLPS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_OTHER_IN_BAND_PLPS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream Other In Band PLPs",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:OIBP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_CM_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_CM_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream CM Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PlpModulType,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:CMTY",
  /* integerDefault     = */RSBTC_VAL_DVBT2_PLP_MODUL_TYPE_CCM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_FLAG =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_FLAG,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream Static Flag",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:STAF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_PADDING_FLAG =
{
  /* constant           = */RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_PADDING_FLAG,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Mode Stream Static Padding Flag",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:PADF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_FEC_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_FEC_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM FEC Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2BicmFec,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:FECF",
  /* integerDefault     = */RSBTC_VAL_DVBT2_BICM_FEC_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2CRate,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:RATE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_CRATE_R35,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2Constel,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_CONSTEL_T256,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_CONSTELLATION_ROTATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_CONSTELLATION_ROTATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Constellation Rotation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:CROT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Time Interleaver Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TimeInt,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:TIL:TYPE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_TIME_TYPE_T0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_FRAME_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_FRAME_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Frame Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TBicmIJump,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:TIL:FINT",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_LENGTH =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM Time Interleaver Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TimeInterLen,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:TIL:LENG",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_FIRST_FRAME_INDEX =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_FIRST_FRAME_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM First Frame Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2BICMFirstFrameIndex,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:FRAM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_FEC_BLOCKS_PER_IF =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_FEC_BLOCKS_PER_IF,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM FEC Blocks Per IF",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:BLOC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_BICM_FEC_MAX_NUMBER_OF_BLOCKS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_BICM_FEC_MAX_NUMBER_OF_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 BICM FEC Max Number Of Blocks",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:PLP{Plp}:MAXB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2ChBWidth,
  /* command            = */"SOUR{Hardware}:T2DV:CHAN",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_CH_BWIDTH_BW_8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_USED_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_USED_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Used Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:USED?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_BANDWIDTH_VARIATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_BANDWIDTH_VARIATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Bandwidth Variation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbt2BwVar,
  /* command            = */"SOUR{Hardware}:T2DV:BAND:VAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_FFT_SIZE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_FFT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing FFT Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2FftMode,
  /* command            = */"SOUR{Hardware}:T2DV:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_FFT_M32E,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2GuardInt,
  /* command            = */"SOUR{Hardware}:T2DV:GUAR:INT",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_GUARD_G1128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_PILOT_PATTERN =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_PILOT_PATTERN,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Pilot Pattern",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PilotPatt,
  /* command            = */"SOUR{Hardware}:T2DV:PIL",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_PILOT_PP7,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_T2_FRAMES_PER_SUPER_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_T2_FRAMES_PER_SUPER_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing T2 Frames Per Super Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2T2SuperFrame,
  /* command            = */"SOUR{Hardware}:T2DV:NT2F",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_OFDM_SYMBOLS_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_OFDM_SYMBOLS_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing OFDM Symbols Per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2OfdmSymb,
  /* command            = */"SOUR{Hardware}:T2DV:LF",
  /* integerDefault     = */60,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_DATA_SYMBOLS_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_DATA_SYMBOLS_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Data Symbols Per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2OfdmSymb,
  /* command            = */"SOUR{Hardware}:T2DV:LDAT",
  /* integerDefault     = */3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAMING_SUBSLICES_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAMING_SUBSLICES_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Framing Subslices Per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SubslicT2Fram,
  /* command            = */"SOUR{Hardware}:T2DV:NSUB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:T2DV:NETW",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_PROFILE_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_PROFILE_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Profile Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2T2SystemProfileMode,
  /* command            = */"SOUR{Hardware}:T2DV:PROF",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_PROFILE_MULTI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TRANSMISSION_SYSTEM =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_TRANSMISSION_SYSTEM,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Transmission System",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TransSyst,
  /* command            = */"SOUR{Hardware}:T2DV:TXSY",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_TRANS_SISO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System MISO Group Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:T2DV:MISO:MODE",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System MISO Group",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2MisoGroup,
  /* command            = */"SOUR{Hardware}:T2DV:MISO",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_MISO_G1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_PEAK_TO_AVRAGE_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_PEAK_TO_AVRAGE_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Peak To Avrage Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PeakAverPow,
  /* command            = */"SOUR{Hardware}:T2DV:PAPR",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_PEAK_AVER_POW_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Future Extension Frames",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:FEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System FEF Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2Fef,
  /* command            = */"SOUR{Hardware}:T2DV:FEF:TYPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_LENGTH =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System FEF Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2T2SystemFEFLength,
  /* command            = */"SOUR{Hardware}:T2DV:FEF:LENG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System FEF Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2T2SystemFEFInterval,
  /* command            = */"SOUR{Hardware}:T2DV:FEF:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_PAYLOAD =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_PAYLOAD,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System FEF Payload",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2T2SystemFutureExtensionFramesPayload,
  /* command            = */"SOUR{Hardware}:T2DV:FEF:PAYL",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_FEF_PAYLOAD_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TIME_FREQUENCY_SLICING =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_TIME_FREQUENCY_SLICING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Time Frequency Slicing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:TFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_T2_VERSION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_T2_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 T2 Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2L1Version,
  /* command            = */"SOUR{Hardware}:T2DV:L:T2V",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_L1_VER_V121,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_MODULATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_MODULATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 Post Modulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2L1PostModul,
  /* command            = */"SOUR{Hardware}:T2DV:L:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_L1_POST_T64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_REPETITION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_REPETITION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 Repetition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:REP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_EXTENSION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_EXTENSION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 Post Extension",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:EXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_SCRAMBLED =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_SCRAMBLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 Post Scrambled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_T2_BASE_LITE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_T2_BASE_LITE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System T2 Base Lite",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:T2B",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NUM_AUX_STREAMS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_NUM_AUX_STREAMS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Num Aux Streams",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2T2SystAuxStr,
  /* command            = */"SOUR{Hardware}:T2DV:NAUX",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_RF_SIGNALLING =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_RF_SIGNALLING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 RF Signalling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:RFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_SIGNALLING_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_SIGNALLING_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System L1 Signalling Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:L:RFS:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_CELL_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_CELL_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Cell ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:T2DV:ID:CELL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System Network ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:T2DV:ID:NETW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:T2DV:ID:T2SY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TX_ID_AVAILABILITY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_T2_SYSTEM_TX_ID_AVAILABILITY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 T2 System TX ID Availability",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2T2SystemTxIDAvailability,
  /* command            = */"SOUR{Hardware}:T2DV:ID:TXID:AVA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_PROCESS_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_PROCESS_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Process Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDVBT2SFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_MUTE_FIRST_SUPER_FRAME_P1 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_MUTE_FIRST_SUPER_FRAME_P1,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Mute First Super Frame P1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:MUTep1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_1PPS_ROUTING =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_1PPS_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN 1PPS Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2SFN1PPSRouting,
  /* command            = */"SOUR{Hardware}:DEL:PPS",
  /* integerDefault     = */RSBTC_VAL_DVBT2_SFN_ROUTING_IN_EXT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Timestamp Mode",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2SFNTimeStampMode,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:MODE?",
  /* integerDefault     = */RSBTC_VAL_DVBT2_SFN_TIMESTAMP_MODE_REL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Update Timestamp",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:UPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_DATE =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_DATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Timestamp Mode UTC Date",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:DATE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_TIME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Timestamp Mode UTC Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:TIME?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Timestamp Mode Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2SFNTimeStampModeOffset,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:OFFS",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_SECONDS_SINCE_2000 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_SECONDS_SINCE_2000,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 SFN Timestamp Mode Seconds Since 2000",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:DEL:TSP:SEC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info Super Frame Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TSF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info T2 Frame Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info Future Extension Frame Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TFEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info P1 Symbol Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TP1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2 =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info OFDM Symbol Duration TP2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TP2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info OFDM Symbol Duration TS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:TS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info L1 Pre Signaling Bits",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:PREB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info L1 Pre Signaling Cells",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:PREC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info L1 Post Signaling Bits",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:POSB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info L1 Post Signaling Cells",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:POSC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info PLP Data Cells per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:DP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT2 Frame Info PLP Data Cells in Current T2 Frame",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:T2DV:INFO:DPUS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_NUMBER_OF_PLP =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_NUMBER_OF_PLP,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal Number Of PLP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2NumPlp,
  /* command            = */"SOUR{Hardware}:C2DV:INP:NPLP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2InpFormat,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DVBC2_INPUT_FORMAT_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:INP:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:INP:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:PLP{Plp}:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC2 Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackLength,
  /* command            = */"READ{Hardware}:C2DV:PLP{Plp}:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MAX_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MAX_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC2 Input Signal Max Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:PLP{Plp}:MAXD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC2 Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:PLP{Plp}:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC2 Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:PLP{Plp}:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:INP:TEST",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBC2_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:C2DV:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBC2_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:C2DV:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBC2_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:C2DV:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_CONFIGURING_PAYLOAD_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBC2_CONFIGURING_PAYLOAD_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Configuring Payload Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:C2DV:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:C2DV:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_ID =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation PLP ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2ModePlpId,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_BUNDLING =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_BUNDLING,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation PLP Bundling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQC:C2DV:PLP{Plp}:BUND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation PLP Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2PlpType,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:TYPE",
  /* integerDefault     = */RSBTC_VAL_DVBC2_PLP_TYPE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_BB_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_BB_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation BB Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2BbMode,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:BB_M",
  /* integerDefault     = */RSBTC_VAL_DVBC2_BB_MODE_HEM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_ISSY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_ISSY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation ISSY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2IssyMode,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:ISSY",
  /* integerDefault     = */RSBTC_VAL_DVBC2_MODE_ISSY_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_NULL_PACKET_DELETION =
{
  /* constant           = */RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_NULL_PACKET_DELETION,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Mode Stream Adaptation Null Packet Deletion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:NPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_FEC_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_FEC_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM FEC Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2BicmFecFrame,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:FECF",
  /* integerDefault     = */RSBTC_VAL_DVBC2_BICM_FEC_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2CodeRate,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:RATE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_CRATE_R2_3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2Constell,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_CONSTEL_Q256,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_XFEC_FRAME_LENGTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_XFEC_FRAME_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM XFEC Frame Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:PLP{Plp}:XFL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_MAPPED_TO_DATA_SLICE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_MAPPED_TO_DATA_SLICE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM Mapped to Data Slice",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DsliceMap,
  /* command            = */"SOUR{Hardware}:C2DV:PLP{Plp}:MAPT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Min REL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:MIN:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Max REL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:MAX:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Min ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:MIN:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Max ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:MAX:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_DATA_SLICES =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_DATA_SLICES,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Number Of Data Slices",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DsliceNum,
  /* command            = */"SOUR{Hardware}:C2DV:NUMD",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_ID =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2ModePlpId,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_TI_DEPTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_TI_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice TI Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DslTIDepth,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:TID",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_DSLICE_TI_DEPTH_4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DslType,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:TYPE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_DSLICE_TYPE_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_FEC_HEADER_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_FEC_HEADER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice FEC Header Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DslFecHeaderType,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:FECH",
  /* integerDefault     = */RSBTC_VAL_DVBC2_DSLICE_FEC_HEADER_ROBUST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_MAPPED_PLPS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_MAPPED_PLPS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Number Of Mapped PLPs",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:NUMP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_LEFT =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Offset Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DslOffset,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:OFSL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Tune Position REL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:TUN:REL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_RIGHT =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Offset Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2DslOffset,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:OFSR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_START_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Start REL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STAR:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Stop REL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STOP:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_WIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_WIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Width",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:WIDTh?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_START_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Start ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STAR:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Tune Position ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:TUN:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Stop ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STOP:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_START_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Start Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STAR:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Tune Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:TUN:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Data Slice Stop Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:STOP:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_BICM_NUMBER_OF_XFEC_FRAMES =
{
  /* constant           = */RSBTC_ATTR_DVBC2_BICM_NUMBER_OF_XFEC_FRAMES,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 BICM Number Of XFEC Frames",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBC2BICMNumberOfXFECFrames,
  /* command            = */"SOUR{Hardware}:C2DV:DSL{DSlice}:NXF",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_NUMBER_OF_NOTCHES =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_NUMBER_OF_NOTCHES,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Number Of Notches",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBC2NotchNumberOfNotches,
  /* command            = */"SOUR{Hardware}:C2DV:NUMN",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_START_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_START_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Start REL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STAR:REL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_STOP_REL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_STOP_REL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Stop REL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STOP:REL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_WIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_WIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Width",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:WIDT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_TYPE =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBC2NotchType,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:TYPE?",
  /* integerDefault     = */RSBTC_VAL_DVBC2_NOTCH_TYPE_NARROW,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_START_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_START_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Start ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STAR:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_STOP_ABS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_STOP_ABS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Stop ABS",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STOP:ABS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_START_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_START_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Start Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STAR:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_NOTCH_STOP_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_NOTCH_STOP_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Notch Stop Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:NOTC{Notch}:STOP:FREQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2ChBWidth,
  /* command            = */"SOUR{Hardware}:C2DV:CHAN",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_CHANNEL_BW_6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_C2_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_C2_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing C2 Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBC2FramingSystemBandwidth,
  /* command            = */"SOUR{Hardware}:C2DV:C2B",
  /* integerDefault     = */284,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_USED_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_USED_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Used Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:USED?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2GuardInt,
  /* command            = */"SOUR{Hardware}:C2DV:GUAR:INT",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_GUARD_1_128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_BASEBAND_FILTER =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_BASEBAND_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Baseband Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBC2FramingBasebandFilter,
  /* command            = */"SOUR{Hardware}:C2DV:FILT",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBC2_BB_FILTER_FIR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_DX =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_DX,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing DX",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:DX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_START_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_START_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Start Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:SFR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_CALC_CENTER_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_CALC_CENTER_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Calc Center Frequency",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:CALC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_ADJUST_RF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_ADJUST_RF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Adjust RF Frequency",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:SETR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_CARRIER_SPACING =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_CARRIER_SPACING,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Carrier Spacing",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:CASPacing?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_FRAMING_NUMBER_OF_PREAMBLE_SYMBOLS =
{
  /* constant           = */RSBTC_ATTR_DVBC2_FRAMING_NUMBER_OF_PREAMBLE_SYMBOLS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 Framing Number Of Preamble Symbols",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:C2DV:LPR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_C2_SYSTEM_NETWORK_ID =
{
  /* constant           = */RSBTC_ATTR_DVBC2_C2_SYSTEM_NETWORK_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 C2 System Network ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2SystIDHex,
  /* command            = */"SOUR{Hardware}:C2DV:ID:NETW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_C2_SYSTEM_ID =
{
  /* constant           = */RSBTC_ATTR_DVBC2_C2_SYSTEM_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 C2 System ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2SystIDHex,
  /* command            = */"SOUR{Hardware}:C2DV:ID:C2SY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_C2_SYSTEM_L1_TIME_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBC2_C2_SYSTEM_L1_TIME_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 C2 System L1 Time Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbc2SystemInterleaver,
  /* command            = */"SOUR{Hardware}:C2DV:L1TI",
  /* integerDefault     = */RSBTC_VAL_DVBC2_SYSTEM_INTERLEAVER_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC2_C2_SYSTEM_RESERVED_TONES =
{
  /* constant           = */RSBTC_ATTR_DVBC2_C2_SYSTEM_RESERVED_TONES,
#if defined (_DEBUG)
  /* debug name         = */"DVBC2 C2 System Reserved Tones",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:C2DV:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Source (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR:LOW",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Input (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP:LOW",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Stuffing (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:STUF:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:DVBT:PACK?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH_LP =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH_LP,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Packet Length (LP)",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:DVBT:PACK:LOW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:DVBT:TEST",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Input Signal Test Signal (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:DVBT:TEST:LOW",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE_LP =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE_LP,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Max Useful Data Rate (LP)",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:USEF:MAX:LOW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE_LP =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE_LP,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Measured Data Rate (LP)",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:DAT:LOW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE_LP =
{
  /* constant           = */RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE_LP,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBT Input Signal Useful Data Rate (LP)",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBT:USEF:LOW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBT_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:DVBT:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBT_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:DVBT:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBT_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:DVBT:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_DVBT_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:DVBT:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBT_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DVBT:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SYSTEM_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT_SYSTEM_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT System Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:DVBT:NETW",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:DVBT:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtChanBw,
  /* command            = */"SOUR{Hardware}:DVBT:CHAN",
  /* integerDefault     = */RSBTC_IQC_DVBT_CHBW8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_USED_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_USED_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Used Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcDvbtBw,
  /* command            = */"SOUR{Hardware}:DVBT:USED",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_FFT_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_FFT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding FFT Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtFftMode,
  /* command            = */"SOUR{Hardware}:DVBT:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_DVBT_FFT_MODE_2K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtGuarInt,
  /* command            = */"SOUR{Hardware}:DVBT:GUAR:INT",
  /* integerDefault     = */RSBTC_VAL_DVBT_GUARD_INTERVAL_14,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_DVBH_STATE =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_DVBH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding DVBH State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DVHS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_DVBH_SYMBOL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_DVBH_SYMBOL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding DVBH Symbol Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBTCodingSymbolInterleaver,
  /* command            = */"SOUR{Hardware}:DVBT:DVBH:SYMB",
  /* integerDefault     = */RSBTC_VAL_DVBT_INTERLEAVER_NATIVE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_HIERARCHY =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_HIERARCHY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Hierarchy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtHier,
  /* command            = */"SOUR{Hardware}:DVBT:HIER",
  /* integerDefault     = */RSBTC_IQC_DVBT_HIERARCHY_NON,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtCons,
  /* command            = */"SOUR{Hardware}:DVBT:CONS",
  /* integerDefault     = */RSBTC_VAL_DVBT_CONSTELLATION_QPSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCodeRate,
  /* command            = */"SOUR{Hardware}:DVBT:RATE",
  /* integerDefault     = */RSBTC_VAL_CODE_RATE_12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_CODING_CODE_RATE_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_CODING_CODE_RATE_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Coding Code Rate (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCodeRate,
  /* command            = */"SOUR{Hardware}:DVBT:RATE:LOW",
  /* integerDefault     = */RSBTC_VAL_CODE_RATE_12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_TPS_CELL_ID =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_TPS_CELL_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings TPS Cell ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBTSettingsTPSCellID,
  /* command            = */"SOUR{Hardware}:DVBT:CELL:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_STATE =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_STATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings TPS Reserved State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:TPSR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_BITS =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_BITS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings TPS Reserved Bits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbtTpsVal,
  /* command            = */"SOUR{Hardware}:DVBT:TPSR:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings Time Slicing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:TIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings Time Slicing (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:TIM:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings MPE FEC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:MPEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Settings MPE FEC (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:MPEF:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_NETWORK_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_NETWORK_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Network Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:NETW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Processing Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDVBTSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_MAXIMUM_DELAY =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_MAXIMUM_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Maximum Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_DISPATCH_TIME =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_DISPATCH_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Dispatch Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:DISP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_MUTE_1ST_OFDM_SYMBOL =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_MUTE_1ST_OFDM_SYMBOL,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Mute 1st OFDM Symbol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:MUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_1PPS_ROUTING =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_1PPS_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN 1PPS Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSFN1PPSRouting,
  /* command            = */"SOUR{Hardware}:DEL:PPS",
  /* integerDefault     = */RSBTC_VAL_SFN_ROUTING_IN_EXT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SFN_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DVBT_SFN_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DVBT SFN Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngSFNOffset,
  /* command            = */"SOUR{Hardware}:DVBT:DEL:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER_LP =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Scrambler (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SCR:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Sync Byte Inversion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SYNC:INV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Sync Byte Inversion (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SYNC:INV:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Reed Solomon (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:REED:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Convolutional Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:CONV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER_LP =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER_LP,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Convolutional Interleaver (LP)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:CONV:LOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_BIT_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_BIT_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Bit Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:BIT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_SYMBOL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_SYMBOL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Symbol Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_GUARD_INSERTION =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_GUARD_INSERTION,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Guard Insertion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:GUAR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_DISABLE_CARRIERS =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_DISABLE_CARRIERS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Disable Carriers",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DIS:CARR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"10-400",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_LOAD_CARRIERS =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_LOAD_CARRIERS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Load Carriers",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DIS:CARR:LOAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBT_SPECIAL_STORE_CARRIERS =
{
  /* constant           = */RSBTC_ATTR_DVBT_SPECIAL_STORE_CARRIERS,
#if defined (_DEBUG)
  /* debug name         = */"DVBT Special Store Carriers",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBT:DIS:CARR:STOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:DVBC:PACK?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBC_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbcTest,
  /* command            = */"SOUR{Hardware}:DVBC:TEST",
  /* integerDefault     = */RSBTC_IQC_DVBC_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBC:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBC:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBC Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBC:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBC_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:DVBC:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBC_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:DVBC:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBC_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:DVBC:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_DVBC_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:DVBC:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBC_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DVBC:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBC_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcSymbRate,
  /* command            = */"SOUR{Hardware}:DVBC:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.9e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBC_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbcCons,
  /* command            = */"SOUR{Hardware}:DVBC:CONS",
  /* integerDefault     = */RSBTC_IQC_DVBC_CONS_64QAM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_DVBC_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbcRollOff,
  /* command            = */"SOUR{Hardware}:DVBC:ROLL",
  /* integerDefault     = */RSBTC_VAL_DVBC_ROLL_OFF_0_15,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_SYNC_BYTE_INVERSION =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_SYNC_BYTE_INVERSION,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Sync Byte Inversion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:SYNC:INV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBC_SPECIAL_CONVOLUTIONAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBC_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBC Special Convolutional Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBC:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:DVBS:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACK_LEN_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBS_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:DVBS:TEST",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBS_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:DVBS:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBS_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:DVBS:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBS_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:DVBS:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_DVBS_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:DVBS:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBS_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DVBS:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcDvbsSymbRate,
  /* command            = */"SOUR{Hardware}:DVBS:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */27.5000e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBS_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbsCons,
  /* command            = */"SOUR{Hardware}:DVBS:CONS",
  /* integerDefault     = */RSBTC_VAL_DVBS_CONSTELLATION_QPSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_DVBS_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbsRolloff,
  /* command            = */"SOUR{Hardware}:DVBS:ROLL",
  /* integerDefault     = */RSBTC_VAL_DVBS_ROLL_OFF_0_20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCodeRate,
  /* command            = */"SOUR{Hardware}:DVBS:RATE",
  /* integerDefault     = */RSBTC_VAL_CODE_RATE_34,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_HOST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_HOST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Host Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:SIGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCIDFrequencyOffset,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:FREQ",
  /* integerDefault     = */+220,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CHIP_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CHIP_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Chip Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:CHIP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_DELTA_PSD =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_DELTA_PSD,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Delta PSD",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:DELT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Global Unique ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:GLOB:ID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID_CRC =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID_CRC,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Global Unique ID Check Value",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:GLOB:ID:CRC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Latitude Longitude State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:COOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Latitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngCIDLatitude,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:COOR:LAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_LONGITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_LONGITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Longitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngCIDLongitude,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:COOR:LONG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Telephone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:TEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_NUMBER =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Telephone Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:TEL:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"498912345",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Telephone Extension",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:TEL:EXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER =
{
  /* constant           = */RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS CID Content Telephone Extension Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:CID:TEL:EXT:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"6788",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_PHASE_NOISE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS_PHASE_NOISE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Phase Noise",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_PHASE_NOISE_CW_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBS_PHASE_NOISE_CW_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Phase Noise CW Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS1:PHAS:CWM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_PHASE_NOISE_MAGNITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS_PHASE_NOISE_MAGNITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Phase Noise Magnitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPhaseNoiseMagnitude,
  /* command            = */"SOUR{Hardware}:DVBS1:PHAS:MAGN",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_PHASE_NOISE_SHAPE =
{
  /* constant           = */RSBTC_ATTR_DVBS_PHASE_NOISE_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Phase Noise Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPhaseNoiseShape,
  /* command            = */"SOUR{Hardware}:DVBS1:PHAS:SHAP",
  /* integerDefault     = */RSBTC_VAL_PHASE_NOISE_SHAPE_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_DVBS_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_SPECIAL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_DVBS_SPECIAL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Special Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_SPECIAL_SYNC_BYTE_INVERSION =
{
  /* constant           = */RSBTC_ATTR_DVBS_SPECIAL_SYNC_BYTE_INVERSION,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Special Sync Byte Inversion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:SYNC:INV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_DVBS_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS_SPECIAL_CONVOLUTIONAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DVBS_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS Special Convolutional Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VBS_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_8VBS_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"8VBS Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_8VSB_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_8VSB_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read 8VSB Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rng8VSBPacketLength,
  /* command            = */"READ{Hardware}:VSB:PACK?",
  /* integerDefault     = */RSBTC_VAL_DTV_VSB_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_8VSB_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcVsbTestSig,
  /* command            = */"SOUR{Hardware}:VSB:TEST",
  /* integerDefault     = */RSBTC_VAL_DTV_VSB_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read 8VSB Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:VSB:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read 8VSB Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:VSB:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read 8VSB Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:VSB:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_8VSB_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:VSB:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_8VSB_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:VSB:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_8VSB_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:VSB:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_8VSB_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:VSB:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_8VSB_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:VSB:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_8VSB_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDTVVsbSymbRate,
  /* command            = */"SOUR{Hardware}:VSB:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.762e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_8VSB_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:CONS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_8VSB_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:ROLL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_RANDOMIZER =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_RANDOMIZER,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Randomizer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:RAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_PILOT =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VSB:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_8VSB_SPECIAL_PILOT_VALUE =
{
  /* constant           = */RSBTC_ATTR_8VSB_SPECIAL_PILOT_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"8VSB Special Pilot Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcVsbPilotVal,
  /* command            = */"SOUR{Hardware}:VSB:PIL:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.250,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read J83B Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackLength,
  /* command            = */"READ{Hardware}:J83B:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_J83B_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"J83B Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcJ83BTestSig,
  /* command            = */"SOUR{Hardware}:J83B:TEST",
  /* integerDefault     = */RSBTC_VAL_IQC_J83B_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read J83B Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:J83B:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read J83B Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:J83B:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read J83B Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:J83B:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_J83B_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"J83B Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:J83B:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_J83B_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"J83B Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:J83B:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_J83B_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"J83B Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:J83B:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_J83B_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"J83B Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:J83B:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_J83B_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"J83B Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:J83B:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_J83B_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"J83B Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.056941e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_J83B_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"J83B Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcJ83BConstellation,
  /* command            = */"SOUR{Hardware}:J83B:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_J83B_CONSTEL_J64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_J83B_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"J83B Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:ROLL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_CODING_INTERLEAVER_MODE =
{
  /* constant           = */RSBTC_ATTR_J83B_CODING_INTERLEAVER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"J83B Coding Interleaver Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcJ83BIntrleaverMode,
  /* command            = */"SOUR{Hardware}:J83B:INT:MODE",
  /* integerDefault     = */RSBTC_VAL_IQC_J83B_INTERLEAVER_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_J83B_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"J83B Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_SPECIAL_CHECKSUM_GENERATOR =
{
  /* constant           = */RSBTC_ATTR_J83B_SPECIAL_CHECKSUM_GENERATOR,
#if defined (_DEBUG)
  /* debug name         = */"J83B Special Checksum Generator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:CHEC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_J83B_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"J83B Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_SPECIAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_J83B_SPECIAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"J83B Special Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:INTERLEAVE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_J83B_SPECIAL_RANDOMIZER =
{
  /* constant           = */RSBTC_ATTR_J83B_SPECIAL_RANDOMIZER,
#if defined (_DEBUG)
  /* debug name         = */"J83B Special Randomizer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:J83B:RAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBT External Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ISDB:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR:{Layer}",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:ISDB:TEST:{Layer}",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBT Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ISDB:USEF:MAX:{Layer}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MEAS_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MEAS_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBT Input Signal Meas Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ISDB:USEF:{Layer}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT External Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT External Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT External Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_REMUX =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_REMUX,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT External Input Signal Remux",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:REM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBT External Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTPacketLength,
  /* command            = */"READ{Hardware}:ISDB:PACK?",
  /* integerDefault     = */RSBTC_VAL_DTV_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT External Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:STUF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:ISDB:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:ISDB:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:ISDB:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:ISDB:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:ISDB:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SYSTEM_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SYSTEM_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT System Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:ISDB:NETW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_SYSTEM =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_SYSTEM,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding System",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtSystem,
  /* command            = */"SOUR{Hardware}:ISDB:SYST",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_SYSTEM_T,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:ISDB:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_IIP_PID =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_IIP_PID,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding IIP PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTCodingIIPPID,
  /* command            = */"SOUR{Hardware}:ISDB:IIP:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_PORTION =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_PORTION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Portion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtPortion,
  /* command            = */"SOUR{Hardware}:ISDB:PORT",
  /* integerDefault     = */RSBTC_VAL_ISDBT_PORTION_CCC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtConstel,
  /* command            = */"SOUR{Hardware}:ISDB:CONS:{Layer}",
  /* integerDefault     = */RSBTC_IQC_VAL_ISDBT_CONSTEL_DQPSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_SEGMENTS =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_SEGMENTS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Segments",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtSegment,
  /* command            = */"SOUR{Hardware}:ISDB:SEGM:{Layer}",
  /* integerDefault     = */13,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCodeRate,
  /* command            = */"SOUR{Hardware}:ISDB:RATE:{Layer}",
  /* integerDefault     = */RSBTC_VAL_CODE_RATE_12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_TIME_INTERLEAVING =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_TIME_INTERLEAVING,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Time Interleaving",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtInterleaving,
  /* command            = */"SOUR{Hardware}:ISDB:TIME:{Layer}",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_TIME_INTER_0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_ISDBT_MODE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_ISDBT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding ISDBT Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtMode,
  /* command            = */"SOUR{Hardware}:ISDB:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_MODE_8K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtGuardInt,
  /* command            = */"SOUR{Hardware}:ISDB:GUAR",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_GUARD_1_8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_SUBCHANNEL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_SUBCHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Subchannel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtSubChan,
  /* command            = */"SOUR{Hardware}:ISDB:SUBC",
  /* integerDefault     = */22,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_BANDWIDTH_VARIATION =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_BANDWIDTH_VARIATION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Bandwidth Variation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtBwVar,
  /* command            = */"SOUR{Hardware}:ISDB:BAND:VAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtChanBw,
  /* command            = */"SOUR{Hardware}:ISDB:CHAN",
  /* integerDefault     = */RSBTC_VAL_ISDBT_CHAN_BW8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_CODING_USED_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ISDBT_CODING_USED_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Coding Used Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:BAND?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_NETWORK_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_NETWORK_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Network Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:NETW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Processing Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDVBTSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_MAXIMUM_DELAY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_MAXIMUM_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Maximum Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_DISPATCH_TIME =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_DISPATCH_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Dispatch Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:DISP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_MUTE_1ST_OFDM_SYMBOL =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_MUTE_1ST_OFDM_SYMBOL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Mute 1st OFDM Symbol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:MUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_1PPS_ROUTING =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_1PPS_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN 1PPS Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSFN1PPSRouting,
  /* command            = */"SOUR{Hardware}:DEL:PPS",
  /* integerDefault     = */RSBTC_VAL_SFN_ROUTING_IN_EXT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SFN_OFFSET =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SFN_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT SFN Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngSFNOffset,
  /* command            = */"SOUR{Hardware}:ISDB:DEL:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_STATE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_STATE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:EEW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_SIGNAL_TYPE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_SIGNAL_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Signal Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWSignalType,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:SIGN",
  /* integerDefault     = */RSBTC_VAL_DTV_EEW_WWA,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_AREA_INFORMATION =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_AREA_INFORMATION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Area Information",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:ARE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"FFFFFFFFFFFFFF",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_APPLY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_APPLY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Apply",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:APAI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTERS =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTERS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Number Of Epicenters",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWNumberofEpicenters,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:NUM",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_INFORMATION_TYPE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_INFORMATION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Information Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterInformationType,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:INF{Epicenter}",
  /* integerDefault     = */RSBTC_VAL_DTV_EEW_EPICENTER_ISSUED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_WARNING_ID =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_WARNING_ID,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Warning ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterWarningID,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:WARN{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_LATITUDE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_LATITUDE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Latitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterLatitude,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:LAT{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_LONGITUDE =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_LONGITUDE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Longitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterLongitude,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:LONG{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_DEPTH =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterDepth,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:DEPT{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_OCCURRENCE_TIME =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_OCCURRENCE_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Occurrence Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTEEWEpicenterOccurrenceTime,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:OCC{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_APPLY =
{
  /* constant           = */RSBTC_ATTR_ISDBT_EEW_EPICENTER_APPLY,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT EEW Epicenter Apply",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:EEW:APE{Epicenter}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BYTE_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BYTE_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Byte Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:BYTE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BIT_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BIT_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Bit Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:BIT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Frequency Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_ALERT_BROADCASTING_FLAG =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_ALERT_BROADCASTING_FLAG,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Alert Broadcasting Flag",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:ALER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC1 =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC1,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings AC Data (AC1)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtAcData,
  /* command            = */"SOUR{Hardware}:ISDB:ACD1",
  /* integerDefault     = */RSBTC_VAL_ISDBT_AC_DATA_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC2 =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC2,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings AC Data (AC2)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtAcData,
  /* command            = */"SOUR{Hardware}:ISDB:ACD2",
  /* integerDefault     = */RSBTC_VAL_ISDBT_AC_DATA_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_GUARD_INSERTION =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_GUARD_INSERTION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Guard Insertion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ISDB:GUAR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_TX_PARAM_SWITCH_INDICATOR =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_TX_PARAM_SWITCH_INDICATOR,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings TX Param Switching Indicator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtTxParam,
  /* command            = */"SOUR{Hardware}:ISDB:TXP",
  /* integerDefault     = */RSBTC_IQC_VAL_ISDBT_TXPARAM_NORM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_MOD_TMCC_NEXT =
{
  /* constant           = */RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_MOD_TMCC_NEXT,
#if defined (_DEBUG)
  /* debug name         = */"ISDBT Special Settings Mod TMCC Next",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtTmccNext,
  /* command            = */"SOUR{Hardware}:ISDB:TMCC:NEXT",
  /* integerDefault     = */RSBTC_VAL_ISDBT_TMCC_UNUSED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackLength,
  /* command            = */"READ{Hardware}:DTMB:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DTMB_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbTestSig,
  /* command            = */"SOUR{Hardware}:DTMB:TEST",
  /* integerDefault     = */RSBTC_DTMB_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Input Signal Maximum Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DTMB:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DTMB:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DTMB:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DTMB_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:DTMB:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DTMB_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:DTMB:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DTMB_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:DTMB:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_DTMB_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:DTMB:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DTMB_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DTMB:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:DTMB:NETW",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:DTMB:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_SINGLE_CARRIER_MODE =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_SINGLE_CARRIER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Single Carrier Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:SING",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_DUAL_PILOT_TONE =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_DUAL_PILOT_TONE,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Dual Pilot Tone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DUAL:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_CONTROL_FRAMES =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_CONTROL_FRAMES,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Control Frames",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:FRAM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbConstel,
  /* command            = */"SOUR{Hardware}:DTMB:CONS",
  /* integerDefault     = */RSBTC_IQC_DTMB_CONST_QAM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbCodeRate,
  /* command            = */"SOUR{Hardware}:DTMB:RATE",
  /* integerDefault     = */RSBTC_IQC_DTMB_CRATE_04,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbGuar,
  /* command            = */"SOUR{Hardware}:DTMB:GUAR",
  /* integerDefault     = */RSBTC_IQC_DTMB_GUAR_G420,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL_PN =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL_PN,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Guard Interval PN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbGic,
  /* command            = */"SOUR{Hardware}:DTMB:GIC",
  /* integerDefault     = */RSBTC_VAL_IQC_DTMB_GIC_VAR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_TIME_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_TIME_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Time Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTimeInter,
  /* command            = */"SOUR{Hardware}:DTMB:TIME",
  /* integerDefault     = */RSBTC_IQC_TINT_I240,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Coding Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbChanBw,
  /* command            = */"SOUR{Hardware}:DTMB:CHAN",
  /* integerDefault     = */RSBTC_IQC_DTMB_CHBW6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_NETWORK_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_NETWORK_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Network Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:NETW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Processing Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDVBTSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_CODING_LOCAL_MAXIMUM_DELAY =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_CODING_LOCAL_MAXIMUM_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Coding Local Maximum Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_DISPATCH_TIME =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_DISPATCH_TIME,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Dispatch Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:DISP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_SIP_RESTAMPING =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_SIP_RESTAMPING,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN SIP Restamping",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:SIPR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_MUTE_1ST_SIGNAL_FRAME =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_MUTE_1ST_SIGNAL_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Mute 1st Signal Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:MUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_1PPS_ROUTING =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_1PPS_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN 1PPS Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSFN1PPSRouting,
  /* command            = */"SOUR{Hardware}:DEL:PPS",
  /* integerDefault     = */RSBTC_VAL_SFN_ROUTING_IN_EXT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_DISTRIBUTION_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_DISTRIBUTION_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Distribution Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:DIST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_RF_DELAY =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_RF_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN RF Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcDtmbArrConst,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:RF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_DELAY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_DELAY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Delay Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcDtmbArrConst,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DTMB_CODING_LOCAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_READ_DTMB_CODING_LOCAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Read DTMB Coding Local Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:LOC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_TX_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_TX_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN TX Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDtmbSfnTxAddr,
  /* command            = */"SOUR{Hardware}:DTMB:TX:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_DELAY_ADJUST =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_DELAY_ADJUST,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Delay Adjust",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:DEL:ADJ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:FREQ:OFFS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SFN_TX_POWER =
{
  /* constant           = */RSBTC_ATTR_DTMB_SFN_TX_POWER,
#if defined (_DEBUG)
  /* debug name         = */"DTMB SFN TX Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:POW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_DTMB_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SPECIAL_GI_POWER_BOOST =
{
  /* constant           = */RSBTC_ATTR_DTMB_SPECIAL_GI_POWER_BOOST,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Special GI Power Boost",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:GIP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DTMB_SPECIAL_SI_POWER_NORMALIZATION =
{
  /* constant           = */RSBTC_ATTR_DTMB_SPECIAL_SI_POWER_NORMALIZATION,
#if defined (_DEBUG)
  /* debug name         = */"DTMB Special SI Power Normalization",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DTMB:SIPN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_CM_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_CM_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal CM Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2InputSignalCMMode,
  /* command            = */"SOUR{Hardware}:DVBS2:CMM",
  /* integerDefault     = */RSBTC_VAL_DVBS2_CM_MODE_ACM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_NUM_INPUT_STREAMS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_NUM_INPUT_STREAMS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Num Input Streams",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2InputSignalNumInputStreams,
  /* command            = */"SOUR{Hardware}:DVBS2:INP:NIS",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR:IS{Is}",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP:IS{Is}",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:IS{Is}:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:IS{Is}:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:IS{Is}:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS2 Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackedLength,
  /* command            = */"READ{Hardware}:DVBS2:IS{Is}:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACK_LEN_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBS2_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2TestSig,
  /* command            = */"SOUR{Hardware}:DVBS2:IS{Is}:TEST",
  /* integerDefault     = */RSBTC_IQC_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS2 Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS2:IS{Is}:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS2 Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS2:IS{Is}:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DVBS2 Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DVBS2:IS{Is}:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:DVBS2:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:DVBS2:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:DVBS2:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:DVBS2:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DVBS2:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rndIqcDvbs2SymbRate,
  /* command            = */"SOUR{Hardware}:DVBS2:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2Rolloff,
  /* command            = */"SOUR{Hardware}:DVBS2:ROLL",
  /* integerDefault     = */RSBTC_VAL_DVBS2_ROLL_OFF_0_20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_ANNEX_M =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_ANNEX_M,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Annex M",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:ANNM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_NUM_TIME_SLICE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_NUM_TIME_SLICE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Num Time Slice",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2CodingNumTimeSlice,
  /* command            = */"SOUR{Hardware}:DVBS2:NTSL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_S2_X =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_S2_X,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding S2 X",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:S2X",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_S2_X_SUPER_FRAME =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_S2_X_SUPER_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding S2 X Super Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:S2X:SF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_S2_X_CHANNEL_BONDING =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_S2_X_CHANNEL_BONDING,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding S2 X Channel Bonding",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:S2X:CHB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_TSN =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_TSN,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding TSN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2CodingTSN,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:TSN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_ISI =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_ISI,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding ISI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2CodingISI,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:IS{Is}:ISI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_MODULATION_CODING =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_MODULATION_CODING,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Modulation Coding",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBS2CodingModulationCoding,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:IS{Is}:MODC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_FECFRAME =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_FECFRAME,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding FEC Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2Fecframe,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:IS{Is}:FECF",
  /* integerDefault     = */RSBTC_IQC_DVBS2_FEC_FRAME_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_PILOTS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_PILOTS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Pilots",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:IS{Is}:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_NUM_SYMBOLS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_NUM_SYMBOLS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Num Symbols",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:TSL{Tsl}:IS{Is}:NSYM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2Cons,
  /* command            = */"SOUR{Hardware}:DVBS2:CONS",
  /* integerDefault     = */RSBTC_IQC_DVBS2_CONS_8PSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2CodeRate,
  /* command            = */"SOUR{Hardware}:DVBS2:RATE",
  /* integerDefault     = */RSBTC_IQC_DVBS2_CRATE_12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_HOST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_HOST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Host Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:SIGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCIDFrequencyOffset,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:FREQ",
  /* integerDefault     = */+220,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CHIP_RATE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CHIP_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Chip Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:CHIP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_DELTA_PSD =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_DELTA_PSD,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Delta PSD",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:DELT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Global Unique ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:GLOB:ID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID_CRC =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID_CRC,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Global Unique ID Check Value",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:GLOB:ID:CRC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Latitude Longitude State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:COOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Latitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngCIDLatitude,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:COOR:LAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_LONGITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_LONGITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Longitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngCIDLongitude,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:COOR:LONG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Telephone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:TEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_NUMBER =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Telephone Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:TEL:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"498912345",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Telephone Extension",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:TEL:EXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER =
{
  /* constant           = */RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 CID Content Telephone Extension Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:CID:TEL:EXT:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"6789",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_PHASE_NOISE_ENABLED =
{
  /* constant           = */RSBTC_ATTR_DVBS2_PHASE_NOISE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Phase Noise",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_PHASE_NOISE_CW_MODE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_PHASE_NOISE_CW_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Phase Noise CW Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:PHAS:CWM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_PHASE_NOISE_MAGNITUDE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_PHASE_NOISE_MAGNITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Phase Noise Magnitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPhaseNoiseMagnitude,
  /* command            = */"SOUR{Hardware}:DVBS2:PHAS:MAGN",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_PHASE_NOISE_SHAPE =
{
  /* constant           = */RSBTC_ATTR_DVBS2_PHASE_NOISE_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Phase Noise Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPhaseNoiseShape,
  /* command            = */"SOUR{Hardware}:DVBS2:PHAS:SHAP",
  /* integerDefault     = */RSBTC_VAL_PHASE_NOISE_SHAPE_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special PL Scrambling Sequence ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2ScrSeq,
  /* command            = */"SOUR{Hardware}:DVBS2:SCR:SEQ",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special PL Gold Code Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2PLGoldCodeIndex,
  /* command            = */"SOUR{Hardware}:DVBS2:GOLD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special PL Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:SCR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special PL Dataslices PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:DSLP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_BCH =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_BCH,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special BCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2ErrBch,
  /* command            = */"SOUR{Hardware}:DVBS2:ERR:BCH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_LDPC_CC =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_LDPC_CC,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special LDPC CC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDvbs2ErrLdpc,
  /* command            = */"SOUR{Hardware}:DVBS2:ERR:LDPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_PAYLOAD =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_PAYLOAD,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special CRC-8 In Payload",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:ERR:PAYL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_HEADER =
{
  /* constant           = */RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_HEADER,
#if defined (_DEBUG)
  /* debug name         = */"DVBS2 Special CRC-8 In Header",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DVBS2:ERR:HEAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIR:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackLength,
  /* command            = */"READ{Hardware}:DIR:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcTestSig,
  /* command            = */"SOUR{Hardware}:DIR:TEST",
  /* integerDefault     = */RSBTC_VAL_TEST_SIGNAL_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_REQ_SOURCE_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_REQ_SOURCE_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DIRECTV Input Signal Required Source Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DIR:REQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DIRECTV Input Signal Maximum Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DIR:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DIRECTV Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DIR:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read DIRECTV Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:DIR:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDirTestPacketMode,
  /* command            = */"SOUR{Hardware}:DIR:TSP",
  /* integerDefault     = */RSBTC_VAL_DIRECTV_TS_PACKED_MODE_H127,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:DIR:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcSymbolRate,
  /* command            = */"SOUR{Hardware}:DIR:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDirCons,
  /* command            = */"SOUR{Hardware}:DIR:CONS",
  /* integerDefault     = */RSBTC_VAL_DIRECTV_CONSTELLATION_QPSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDirRollOff,
  /* command            = */"SOUR{Hardware}:DIR:ROLL",
  /* integerDefault     = */RSBTC_VAL_DIRECTV_ROLL_OFF_0_20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_CODING_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_CODING_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Coding Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDirCodeRate,
  /* command            = */"SOUR{Hardware}:DIR:RATE",
  /* integerDefault     = */RSBTC_VAL_DIRECTV_CODE_RATE_R12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_SPECIAL_SETTINGS_STATE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_SPECIAL_SETTINGS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Special Settings State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIR:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_SPECIAL_INSERT_ERRORS_AFTER_CONV_ENC =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_SPECIAL_INSERT_ERRORS_AFTER_CONV_ENC,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Special Insert Errors After Conv ENC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcDirErrConvEnc,
  /* command            = */"SOUR{Hardware}:DIR:ERR:CONV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_PHASE_NOISE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_PHASE_NOISE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Phase Noise",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIR:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_MAGNITUDE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_PHASE_NOISE_MAGNITUDE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Phase Noise Magnitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDIRECTVPhaseNoiseMagnitude,
  /* command            = */"SOUR{Hardware}:DIR:PHAS:MAGN",
  /* integerDefault     = */32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_CW_MODE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_PHASE_NOISE_CW_MODE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Phase Noise CW Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIR:PHAS:CWM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_SHAPE =
{
  /* constant           = */RSBTC_ATTR_DIRECTV_PHASE_NOISE_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"DIRECTV Phase Noise Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPhaseNoiseShape,
  /* command            = */"SOUR{Hardware}:DIR:PHAS:SHAP",
  /* integerDefault     = */RSBTC_VAL_PHASE_NOISE_SHAPE_SHA1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSCMH Input Signal Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmPackLength,
  /* command            = */"READ{Hardware}:ATSM:PACK?",
  /* integerDefault     = */RSBTC_VAL_ATSM_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmTestSig,
  /* command            = */"SOUR{Hardware}:ATSM:TEST",
  /* integerDefault     = */RSBTC_VAL_ATSM_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSCMH Input Signal Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ATSM:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSCMH Input Signal Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ATSM:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSCMH Input Signal Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:ATSM:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:ATSM:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:ATSM:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:ATSM:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:ATSM:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:ATSM:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_SYMBOL_RATE =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_SYMBOL_RATE,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Symbol Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtsmSRate,
  /* command            = */"SOUR{Hardware}:ATSM:SYMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.762e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Constellation",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:CONS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:ATSM:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Roll Off",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:ROLL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_MH_STATE =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_MH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding MH State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:MHST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:ATSM:NETW",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MHE_PID =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_MHE_PID,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network MHE PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcqAtsmMhPid,
  /* command            = */"SOUR{Hardware}:ATSM:MHEP",
  /* integerDefault     = */8185,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_RF_WATERMARK =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_RF_WATERMARK,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network RF Watermark",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:WAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_TX_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_TX_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network TX Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmHex,
  /* command            = */"SOUR{Hardware}:ATSM:TX:ADDR",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_ID =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_ID,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmHex,
  /* command            = */"SOUR{Hardware}:ATSM:NETWork:ID",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_BURY_RATIO =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_BURY_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network Bury Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmBury,
  /* command            = */"SOUR{Hardware}:ATSM:BURY:RAT",
  /* integerDefault     = */RSBTC_VAL_IQC_ATSM_BURY_30DB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MTXID_TRANSMISSION =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_MTXID_TRANSMISSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network MTXID Transmission",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:MTX:TRAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_TRANSMITTER_ID =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_TRANSMITTER_ID,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network Transmitter ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmTrTxId,
  /* command            = */"SOUR{Hardware}:ATSM:MTX:TID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MARKET_ID =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_CODING_NETWORK_MARKET_ID,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Coding Network Market ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtsmMarketHex,
  /* command            = */"SOUR{Hardware}:ATSM:MTX:MID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Processing Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngATSCMHSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_MAXIMUM_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_MAXIMUM_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Maximum Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_DISPATCH_TIME =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_DISPATCH_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Dispatch Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:DISP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SFN_MUTE_1ST_OFDM_SYMBOL =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SFN_MUTE_1ST_OFDM_SYMBOL,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH SFN Mute 1st OFDM Symbol",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:DEL:MUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_RANDOMIZER =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_RANDOMIZER,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Randomizer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:RAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_SFN_INITIALIZATION =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_SFN_INITIALIZATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special SFN Initialization",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:SIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_TRELLIS_INITIALIZATION =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_TRELLIS_INITIALIZATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Trellis Initialization",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:TIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_PILOT =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ATSM:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSCMH_SPECIAL_PILOT_VALUE =
{
  /* constant           = */RSBTC_ATTR_ATSCMH_SPECIAL_PILOT_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"ATSCMH Special Pilot Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtsmPilotVal,
  /* command            = */"SOUR{Hardware}:ATSM:PIL:VAL",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.250,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STATUS_INFO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STATUS_INFO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Status Info",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"No error",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_CONFORMANCE_CHECK =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_CONFORMANCE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Conformance Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:CCH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_INTERFACE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_INTERFACE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal STL Interface",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:STL:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_RESET_LOG_FILE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_RESET_LOG_FILE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal STL Reset Log File",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:STL:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_NUMBER_OF_PLPS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_NUMBER_OF_PLPS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Number of PLPs",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:NPLP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Destination IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INP:DEST:IP:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"224.0.23.60",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_PORT =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_PORT,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Destination IP Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalDestinationIPPort,
  /* command            = */"SOUR{Hardware}:A3TS:INP:DEST:IP:PORT",
  /* integerDefault     = */4937,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Input Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalInputType,
  /* command            = */"SOUR{Hardware}:A3TS:INP:TYPE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_INPUT_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_PROTOCOL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_PROTOCOL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal Input Protocol",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalInputProtocol,
  /* command            = */"SOUR{Hardware}:A3TS:INP:PROT?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_INPUT_PROTOCOL_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_ID =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_ID,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal PLP ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalPLPID,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Input Signal PLP Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalPLPTestSignal,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:INP:TEST",
  /* integerDefault     = */RSBTC_VAL_ATSC3_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSC3 Input Signal PLP Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcPackLength,
  /* command            = */"READ{Hardware}:A3TS:PLP{A3Plp}:PACK?",
  /* integerDefault     = */RSBTC_VAL_IQC_PACKED_LENGTH_INV,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSC3 Input Signal PLP Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:A3TS:PLP{A3Plp}:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSC3 Input Signal PLP Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:A3TS:PLP{A3Plp}:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ATSC3 Input Signal PLP Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:A3TS:PLP{A3Plp}:USEF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:A3TS:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:A3TS:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:A3TS:PID",
  /* integerDefault     = */8191,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_TEST_IP_PACKET =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_TEST_IP_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring Test IP Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3ConfiguringTestIPPacket,
  /* command            = */"SOUR{Hardware}:A3TS:IPP",
  /* integerDefault     = */RSBTC_VAL_ATSC3_INPUT_TEST_IP_HUDP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:A3TS:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:ATSM:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_ALP_ENCAPSULATION_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_ALP_ENCAPSULATION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 ALP Encapsulation Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3InputSignalInputType,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:ALPT?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_INPUT_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Encaps BB Frame Padding",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:BBFP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER =
{
  /* constant           = */RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Encaps BB Frame Counter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:BBFC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_LOW_LEVEL_SIGNALING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_LOW_LEVEL_SIGNALING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Low Level Signaling",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMLowLevelSignaling,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:LLS?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_LLS_ABSENT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_LAYER =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_LAYER,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Layer",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMLayer,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:LAY:LAY?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_LAYER_CORE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_LDM_INJECTION_LEVEL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_LDM_INJECTION_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM LDM Injection Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMLDMInjectionLevel,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:LAY:LEV?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_LEVEL_L00,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_SIZE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Size",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:SIZE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_SCRAMBLER_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_SCRAMBLER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Scrambler Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:SCR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_FEC_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_FEC_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM FEC Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMFECType,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:FECT",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_FEC_TYPE_B64K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMCodeRate,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:RATE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_CODE_RATE_R9_15,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVConstellation,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:CONS",
  /* integerDefault     = */RSBTC_VAL_DTV_CONSTELLATION_T4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_SUBSLICING_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_SUBSLICING_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Subslicing Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMType,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TYPE:TYPE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_TYPE_NONDISPERSED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_NUMBER_OF_SUBSLICES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_NUMBER_OF_SUBSLICES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Number Of Subslices",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMNumberOfSubslices,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TYPE:NSUB",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_SUBSLICE_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_SUBSLICE_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Subslice Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMSubsliceInterval,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TYPE:SUBS",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMTimeInterleaverMode,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:TIL",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_TIL_CTI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_EXTENDED_INTERLEAVING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_EXTENDED_INTERLEAVING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Extended Interleaving",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:EXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_DEPTH =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMTimeInterleaverDepth,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:DEPT",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BICM_TIL_DEPTH_D1024,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTER_SUBFRAME =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTER_SUBFRAME,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Inter Subframe",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_TI_BLOCKS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_TI_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Number Of TI Blocks",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BICMTimeInterleaverNumberOfTIBlocks,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:NTIB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_FEC_BLOCKS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_FEC_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Number Of FEC Blocks",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:BLOC?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MAX_NUMBER_OF_FEC_BLOCKS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MAX_NUMBER_OF_FEC_BLOCKS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Max Number Of FEC Blocks",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:MAXBlocks?",
  /* integerDefault     = */15,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_CELL_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_CELL_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 BICM Time Interleaver Cell Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:PLP{A3Plp}:TIL:CIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_NUMBER_OF_SUBFRAMES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_NUMBER_OF_SUBFRAMES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Number Of Subframes",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:NSUB?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SChannelBandwidth,
  /* command            = */"SOUR{Hardware}:A3TS:CHAN",
  /* integerDefault     = */RSBTC_VAL_ATSC3_CHANNEL_BW_6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MIMO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MIMO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Subframe MIMO",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:MIMO?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MISO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MISO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Subframe MISO",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMMISO,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:MISO",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SUBFRAME_MISO_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FFT_SIZE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FFT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM FFT Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMFFTSize,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SUBFRAME_FFT_M8K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_REDUCED_CARRIER_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_REDUCED_CARRIER_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Reduced Carrier Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3CarrierMode,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:CARR:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3GuardInterval,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:GUAR:INT",
  /* integerDefault     = */RSBTC_VAL_ATSC3_GUARD_INT_192,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_TOTAL_NUMBER_OF_DATA_OFDM_SYMBOLS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_TOTAL_NUMBER_OF_DATA_OFDM_SYMBOLS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Total Number Of Data OFDM Symbols",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMTotalNumberofDataOFDMSymbols,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:NDAT",
  /* integerDefault     = */72,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SISO_PILOT_PATTERN =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SISO_PILOT_PATTERN,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM SISO Pilot Pattern",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMSISOPilotPattern,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:PIL:SISO",
  /* integerDefault     = */RSBTC_VAL_ATSC3_PILOT_PATTERN_32_2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PILOT_BOOST_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PILOT_BOOST_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Pilot Boost Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMPilotBoostMode,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:PIL:BOOS",
  /* integerDefault     = */4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Subframe Boundary Symbol First",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SubframingOFDMSubframeBoundarySymbolFirst,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:SBS:FIRS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Subframe Boundary Symbol Last",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:SBS:LAST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_NULL_CELLS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_NULL_CELLS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Subframe Boundary Symbol Null Cells",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:SBS:NULL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FREQUENCY_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FREQUENCY_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Frequency Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:FIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_DURATION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:DUR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_USED_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_USED_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Used Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:USED?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_NUMBER_OF_PLPS_IN_SUBFRAME =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_NUMBER_OF_PLPS_IN_SUBFRAME,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM Number Of PLPs In Subframe",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:PLP:NPLP?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PLP_IDS_IN_SUBFRAME =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PLP_IDS_IN_SUBFRAME,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Subframing OFDM PLP IDs In Subframe",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SUBF{Subf}:PLP:NIDP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0,1,2,3,4,5,6,7",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:A3TS:NETW",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_LOW_LEVEL_SIGNALING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_LOW_LEVEL_SIGNALING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Low Level Signaling",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3AbsentPresent,
  /* command            = */"SOUR{Hardware}:A3TS:LLS?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_ABSENT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TIME_INFO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TIME_INFO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Time Info",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkTimeInfo,
  /* command            = */"SOUR{Hardware}:A3TS:TIME",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_TIMING_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_RETURN_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_RETURN_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Return Channel",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3AbsentPresent,
  /* command            = */"SOUR{Hardware}:A3TS:RET?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_ABSENT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_NUMBER_OF_TRANSMITTERS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_NUMBER_OF_TRANSMITTERS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Number Of Transmitters",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkNumberofTransmitters,
  /* command            = */"SOUR{Hardware}:A3TS:MISO:NTX",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TRANSMITTER_INDEX =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TRANSMITTER_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Transmitter Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:MISO:IDX",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network TxID Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkTxIDMode,
  /* command            = */"SOUR{Hardware}:A3TS:TXID:MODE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_TXID_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network TxID Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkTxIDAddress,
  /* command            = */"SOUR{Hardware}:A3TS:TXID:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_INJECTION_LEVEL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_INJECTION_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network TxID Injection Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkTxIDInjectionLevel,
  /* command            = */"SOUR{Hardware}:A3TS:TXID:LEV",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_TXID_LEVEL_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_BROADCAST_STREAM_ID =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_BROADCAST_STREAM_ID,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Network Broadcast Stream ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemNetworkBroadcastStreamID,
  /* command            = */"SOUR{Hardware}:A3TS:BSID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_PEAK_TO_AVERAGE_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_PEAK_TO_AVERAGE_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Peak To Average Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemFramePeakToAveragePowerRatio,
  /* command            = */"SOUR{Hardware}:A3TS:PAPR",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_PAPR_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemFrameMode,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:MODE",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_FRAME_MODE_SYMBOL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_LENGTH =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemFrameLength,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:LENG",
  /* integerDefault     = */50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_EXCESS_SAMPLES_PER_SYMBOL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_EXCESS_SAMPLES_PER_SYMBOL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Excess Samples Per Symbol",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:EXSY?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_FINAL_EXCESS_SAMPLES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_FINAL_EXCESS_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Final Excess Samples",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:EXF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_TIME_OFFSET =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_TIME_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Time Offset",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:TIME?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_ADDITIONAL_SAMPLES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_FRAME_ADDITIONAL_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System Frame Additional Samples",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:FRAM:ADD?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_VERSION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Basic Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:L:BAS:VERS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_FEC_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_FEC_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Basic FEC Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1FECType,
  /* command            = */"SOUR{Hardware}:A3TS:L:BAS:FECT",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_L1_FEC_TYPE_MOD1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_PREAMBLE_SYMBOLS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_PREAMBLE_SYMBOLS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Number Of Preamble Symbols",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:L:NPR?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_REDUCED_CARRIER_MODE_PREAMBLE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_REDUCED_CARRIER_MODE_PREAMBLE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Reduced Carrier Mode Preamble",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1ReducedCarrierModePreamble,
  /* command            = */"SOUR{Hardware}:A3TS:L:CARR:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_PILOT_PATTERN_DX_PREAMBLE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_PILOT_PATTERN_DX_PREAMBLE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Pilot Pattern Dx Preamble",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemReducedCarrierModePreamble,
  /* command            = */"SOUR{Hardware}:A3TS:L:PIL:DX",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_PILOT_PREAMBLE_D16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_VERSION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Detail Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1DetailVersion,
  /* command            = */"SOUR{Hardware}:A3TS:L:DET:VERS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_FEC_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_FEC_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Detail FEC Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1FECType,
  /* command            = */"SOUR{Hardware}:A3TS:L:DET:FECT",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_L1_FEC_TYPE_MOD1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_ADDITIONAL_PARITY_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_ADDITIONAL_PARITY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Detail Additional Parity Mode",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1DetailAdditionalParityMode,
  /* command            = */"SOUR{Hardware}:A3TS:L:DET:ADD?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_L1_PARITY_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_RFS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_RFS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 System L1 Number of RFs",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:NRF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Frame Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:FRAM:DUR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_BYTES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_BYTES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info L1 Basic Bytes",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:L:BAS:BYT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_CELLS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_CELLS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info L1 Basic Cells",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:L:BAS:CELL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_BYTES =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_BYTES,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info L1 Detail Bytes",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:L:DET:BYT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_CELLS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_CELLS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info L1 Detail Cells",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:L:DET:CELL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_DURATION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:DUR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MAJOR_VERSION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Major Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:MAJ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MINOR_VERSION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Minor Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:MIN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Emergency Alert Signaling",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BootstrapEmergencyAlertSignaling,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:EAS?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BOOTSTRAP_ALERT_NOEMERGENCY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Min Time to Next",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3FrameInfoBootstrapMinTimetoNext,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:TIME:NEXT?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BOOTSTRAP_MIN_TIME_NOTAPPL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_SYSTEM_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_SYSTEM_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap System Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3FrameInfoBootstrapSystemBandwidth,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:BAND?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BOOTSTRAP_BW_BW_6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_BSR_COEFFICIENT =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_BSR_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap BSR Coefficient",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:BSR:COEF?",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_STRUCTURE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_STRUCTURE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Preamble Structure",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:PRE?",
  /* integerDefault     = */40,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_FFT_SIZE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_FFT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Preamble FFT Size",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3FrameInfoBootstrapFFTSize,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:FFT:MODE?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BOOTSTRAP_FFT_M8K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Preamble Guard Interval",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3GuardInterval,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:GUAR:INT?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_GUARD_INT_192,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_PILOT_PATTERN_DX =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_PILOT_PATTERN_DX,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Preamble Pilot Pattern Dx",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemReducedCarrierModePreamble,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:PIL:DX?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_PILOT_PREAMBLE_D16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_L1_BASIC_FEC_TYPE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_L1_BASIC_FEC_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Frame Info Bootstrap Preamble L1 Basic FEC Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SystemL1FECType,
  /* command            = */"SOUR{Hardware}:A3TS:INFO:BOOT:BAS:FECT?",
  /* integerDefault     = */RSBTC_VAL_ATSC3_SYSTEM_L1_FEC_TYPE_MOD1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Processing Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:PROC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_DYNAMIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_DYNAMIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Dynamic Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:DYN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngATSCMHSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDtvSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_MUTE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_MUTE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Mute",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:MUTE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Network Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:NETW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY_JITTER =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY_JITTER,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 SFN Network Delay Jitter",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:DEL:DEJ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_PREAMBLE_COMPATIBILITY_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_PREAMBLE_COMPATIBILITY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special Preamble Compatibility Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:STL:PRE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_TMP_COMPATIBILITY_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_TMP_COMPATIBILITY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special TMP Compatibility Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:STL:TMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_LMT_COMPATIBILITY_MODE =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_LMT_COMPATIBILITY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special LMT Compatibility Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:ALP:LMT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_STL_MISO =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_STL_MISO,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special STL MISO",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:STL:MISO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special Bootstrap Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3SpecialBootstrapMinorVersion,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:BOOT:MIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING =
{
  /* constant           = */RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
#if defined (_DEBUG)
  /* debug name         = */"ATSC3 Special Bootstrap Emergency Alert Signaling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngATSC3BootstrapEmergencyAlertSignaling,
  /* command            = */"SOUR{Hardware}:A3TS:SPEC:BOOT:EAS",
  /* integerDefault     = */RSBTC_VAL_ATSC3_BOOTSTRAP_ALERT_NOEMERGENCY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_CMMB_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_CMMB_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read CMMB Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:CMMB:USEF:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_CMMB_MEASURED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_CMMB_MEASURED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read CMMB Measured Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:CMMB:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_CMMB_MEASURED_REQUIRED_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_CMMB_MEASURED_REQUIRED_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read CMMB Measured Required Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:CMMB:REQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_CMMB_STREAM_FORMAT =
{
  /* constant           = */RSBTC_ATTR_READ_CMMB_STREAM_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Read CMMB Stream Format",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngReadCMMBStreamFormat,
  /* command            = */"READ{Hardware}:CMMB:STRF?",
  /* integerDefault     = */RSBTC_VAL_CMMB_STREAM_FORMAT_PMS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_NUMBER_OF_SERVICES =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_NUMBER_OF_SERVICES,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Number Of Services",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcqCmmbNrServices,
  /* command            = */"SOUR{Hardware}:CMMB:SERV",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_CMMB_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCMMBInputSignalTestSignal,
  /* command            = */"SOUR{Hardware}:CMMB:TEST",
  /* integerDefault     = */RSBTC_VAL_IQC_CMMB_TST_SIG_CLCHT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CONFIGURING_TRANSMITTER_ID =
{
  /* constant           = */RSBTC_ATTR_CMMB_CONFIGURING_TRANSMITTER_ID,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Configuring Transmitter ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCmmbTxId,
  /* command            = */"SOUR{Hardware}:CMMB:TXID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CONFIGURING_AREA_ID =
{
  /* constant           = */RSBTC_ATTR_CMMB_CONFIGURING_AREA_ID,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Configuring Area ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCmmbArId,
  /* command            = */"SOUR{Hardware}:CMMB:ARID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CONFIGURING_PAYLOAD_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_CMMB_CONFIGURING_PAYLOAD_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Configuring Payload Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:CMMB:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_CMMB_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:CMMB:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_CMMB_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:CMMB:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CODING_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_CMMB_CODING_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Coding Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCmmbBw,
  /* command            = */"SOUR{Hardware}:CMMB:BAND",
  /* integerDefault     = */RSBTC_VAL_CMMB_BW_2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_CODING_OFDM_MODE =
{
  /* constant           = */RSBTC_ATTR_CMMB_CODING_OFDM_MODE,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Coding OFDM Mode",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCmmbOdfm,
  /* command            = */"SOUR{Hardware}:CMMB:OFDM?",
  /* integerDefault     = */RSBTC_VAL_CMMB_OFDM_M1K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_SPECIAL_SETTINGS_STATE =
{
  /* constant           = */RSBTC_ATTR_CMMB_SPECIAL_SETTINGS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Special Settings State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_CMMB_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_SPECIAL_BYTE_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_CMMB_SPECIAL_BYTE_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Special Byte Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:BYTE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_SPECIAL_BIT_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_CMMB_SPECIAL_BIT_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Special Bit Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:BIT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_CMMB_SPECIAL_SCRAMBLING =
{
  /* constant           = */RSBTC_ATTR_CMMB_SPECIAL_SCRAMBLING,
#if defined (_DEBUG)
  /* debug name         = */"CMMB Special Scrambling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:CMMB:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:TMM:SOUR:{SegLayer}",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Input Signal Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmInputSignalTestSignal,
  /* command            = */"SOUR{Hardware}:TMM:TEST",
  /* integerDefault     = */RSBTC_VAL_TMM_TEST_TTSP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_STUFFING =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Input Signal Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBTMM_INPUT_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBTMM_INPUT_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBTmm Input Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:TMM:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_ISDBTMM_MAX_USEFUL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_READ_ISDBTMM_MAX_USEFUL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Read ISDBTmm Max Useful Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:TMM:USEF:MAX:{SegLayer}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CONFIGURING_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CONFIGURING_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Configuring Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVTestPacketMode,
  /* command            = */"SOUR{Hardware}:TMM:TSP",
  /* integerDefault     = */RSBTC_DTV_TS_PACKED_MODE_HEAD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PAYLOAD_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CONFIGURING_PAYLOAD_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Configuring Payload Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:TMM:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CONFIGURING_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Configuring PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:TMM:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PID =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CONFIGURING_PID,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Configuring PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:TMM:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PRBS =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CONFIGURING_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Configuring PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:TMM:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_CONTROL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_CONTROL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Control",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngCodingControl,
  /* command            = */"SOUR{Hardware}:TMM:CONT",
  /* integerDefault     = */RSBTC_VAL_IQC_CONTROL_MODE_MANUAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_PARTIAL_RECEPTION =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_PARTIAL_RECEPTION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Partial Reception",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:PART:REC{Coder}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_NUMBER_OF_SUPER_SEGMENTS =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_NUMBER_OF_SUPER_SEGMENTS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Number Of Super Segments",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmCodingNumberOfSuperSegments,
  /* command            = */"SOUR{Hardware}:TMM:SUP:SEGM",
  /* integerDefault     = */5,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_OFDM_SEGMENTS =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_LAYER_OFDM_SEGMENTS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Layer OFDM Segments",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmCodingNumberSegments,
  /* command            = */"SOUR{Hardware}:TMM:OFDM:{SegLayer}",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_LAYER_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Layer Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtConstel,
  /* command            = */"SOUR{Hardware}:TMM:CONS:{SegLayer}",
  /* integerDefault     = */RSBTC_IQC_VAL_ISDBT_CONSTEL_DQPSK,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_LAYER_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Layer Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcCodeRate,
  /* command            = */"SOUR{Hardware}:TMM:RATE:{SegLayer}",
  /* integerDefault     = */RSBTC_VAL_CODE_RATE_12,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_TIME_INTERLEAVING =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_LAYER_TIME_INTERLEAVING,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Layer Time Interleaving",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtInterleaving,
  /* command            = */"SOUR{Hardware}:TMM:TIME:{SegLayer}",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_TIME_INTER_8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CENTER_SUBCHANNEL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_LAYER_CENTER_SUBCHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Layer Center Subchannel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmCodingLayerCenterSubchannel,
  /* command            = */"SOUR{Hardware}:TMM:SUBC:{SegLayer}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_SUPER_SEGMENTS_TYPE =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_SUPER_SEGMENTS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Super Segments Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmSuperSegmentsType,
  /* command            = */"SOUR{Hardware}:TMM:TYPE{SuperSegment}",
  /* integerDefault     = */RSBTC_VAL_TMM_SUPER_SEGMENT_A,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_NUMBER_SEGMENTS =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_NUMBER_SEGMENTS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Number Segments",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmCodingNumberSegments,
  /* command            = */"SOUR{Hardware}:TMM:NUMS{SuperSegment}",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_EMERGENCY_ALARM =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_EMERGENCY_ALARM,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Emergency Alarm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:ALAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_ISDBT_MODE =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_ISDBT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding ISDBT Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngISDBTmmCodingISDBTMode,
  /* command            = */"SOUR{Hardware}:TMM:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_TMM_ISDBT_MODE_3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtGuardInt,
  /* command            = */"SOUR{Hardware}:TMM:GUAR",
  /* integerDefault     = */RSBTC_VAL_IQC_ISDBT_GUARD_1_4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_REFERENCE_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_REFERENCE_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Reference Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtChanBw,
  /* command            = */"SOUR{Hardware}:TMM:CHAN",
  /* integerDefault     = */RSBTC_VAL_ISDBT_CHAN_BW6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_CODING_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_CODING_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Coding Bandwidth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:BAND?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BYTE_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BYTE_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings Byte Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:BYTE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BIT_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BIT_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings Bit Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:BIT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings Frequency Interleaver",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_REED_SOLOMON =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_REED_SOLOMON,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Reed Solomon",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:REED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SCRAMBLER =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SCRAMBLER,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Scrambler",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TMM:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TX_PARAM_SWITCHING_INDICATOR =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TX_PARAM_SWITCHING_INDICATOR,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings TX Param Switching Indicator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtTxParam,
  /* command            = */"SOUR{Hardware}:TMM:TXP",
  /* integerDefault     = */RSBTC_IQC_VAL_ISDBT_TXPARAM_NORM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TMCC_NEXT =
{
  /* constant           = */RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TMCC_NEXT,
#if defined (_DEBUG)
  /* debug name         = */"ISDBTmm Special Settings TMCC Next",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcIsdbtTmccNext,
  /* command            = */"SOUR{Hardware}:TMM:TMCC:NEXT",
  /* integerDefault     = */RSBTC_VAL_ISDBT_TMCC_UNUSED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcSigSource,
  /* command            = */"SOUR{Hardware}:SOUR",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_SOURCE_EXTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcInput,
  /* command            = */"SOUR{Hardware}:INP",
  /* integerDefault     = */RSBTC_IQC_INPUT_TS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SOUR{Hardware}:INP:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalFormat,
  /* command            = */"SOUR{Hardware}:INP:FORM",
  /* integerDefault     = */RSBTC_VAL_DTV_SIGNAL_FORMAT_ETI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_ETI_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_ETI_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal ETI Signal",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBETIInput,
  /* command            = */"READ{Hardware}:TDMB:ETI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_NUMBER_OF_STREAMS =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_NUMBER_OF_STREAMS,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Number of Streams",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBInputSignalNumberofStreams,
  /* command            = */"READ{Hardware}:TDMB:NST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_MODE_IDENTITY =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_MODE_IDENTITY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Mode Identity",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:TDMB:MID?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_SUBCHANNEL_ID =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_SUBCHANNEL_ID,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Info Subchannel ID",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:TDMB:SCID{Subchannel}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_PROFILE =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Info Protection Profile",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBProtProfile,
  /* command            = */"READ{Hardware}:TDMB:PROT:PROF{Subchannel}?",
  /* integerDefault     = */RSBTC_VAL_TDMB_PROFILE_UEP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_LEVEL =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Info Protection Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBProtLevel,
  /* command            = */"READ{Hardware}:TDMB:PROT:LEV{Subchannel}?",
  /* integerDefault     = */RSBTC_VAL_TDMB_LEVEL_UP1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Input Signal Info Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:TDMB:DAT{Subchannel}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_NETWORK_MODE =
{
  /* constant           = */RSBTC_ATTR_TDMB_NETWORK_MODE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Network Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNetworkMode,
  /* command            = */"SOUR{Hardware}:TDMB:NET",
  /* integerDefault     = */RSBTC_VAL_NETWORK_MODE_MFN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_NETWORK_TTI =
{
  /* constant           = */RSBTC_ATTR_TDMB_NETWORK_TTI,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Network TTI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:TII:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_NETWORK_TII_MAIN_ID =
{
  /* constant           = */RSBTC_ATTR_TDMB_NETWORK_TII_MAIN_ID,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Network TII Main ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBTIIMainID,
  /* command            = */"SOUR{Hardware}:TDMB:TII:MAIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_NETWORK_TII_SUB_ID =
{
  /* constant           = */RSBTC_ATTR_TDMB_NETWORK_TII_SUB_ID,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Network TII Sub ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBTIISubID,
  /* command            = */"SOUR{Hardware}:TDMB:TII:SUB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_NETWORK_COMPENSATION =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_NETWORK_COMPENSATION,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Network Compensation",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:NETW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_TX_COMPENSATION_DELAY =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_TX_COMPENSATION_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Tx Compensation Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:COMP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_TX_PROCESSING_DELAY =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_TX_PROCESSING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Tx Processing Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:PROC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_TX_DELAY =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_TX_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Tx Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngTDMBSFNTxDelay,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_STATIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_STATIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Static Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngTDMBSFNStaticDelay,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_TOTAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_TOTAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Total Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:TOT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_MAX_DEVIATION_TIME =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_MAX_DEVIATION_TIME,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN Max Deviation Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngTDMBSFNMaxDeviationTime,
  /* command            = */"SOUR{Hardware}:TDMB:DEL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00001,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SFN_1PPS_ROUTING =
{
  /* constant           = */RSBTC_ATTR_TDMB_SFN_1PPS_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"TDMB SFN 1PPS Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSFN1PPSRouting,
  /* command            = */"SOUR{Hardware}:DEL:PPS",
  /* integerDefault     = */RSBTC_VAL_SFN_ROUTING_IN_EXT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_TRANSMISSION_MODE =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_TRANSMISSION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special Transmission Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBTransmissionMode,
  /* command            = */"SOUR{Hardware}:TDMB:TRANSmission:MODE",
  /* integerDefault     = */RSBTC_VAL_TDMB_TRAN_MODE_MID,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_SELECT_TRANSMISSION_MODE =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_SELECT_TRANSMISSION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special Select Transmission Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBSelectTransmissionMode,
  /* command            = */"SOUR{Hardware}:TDMB:TRANSMISSION:MODE:SEL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special PRBS Test Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TDMB:TEST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special PRBS Test Signal Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBPRBS,
  /* command            = */"SOUR{Hardware}:TDMB:PRBS",
  /* integerDefault     = */RSBTC_VAL_TDMB_PRBS_P20_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TDMB_SPECIAL_TEST_SIGNAL_SCID =
{
  /* constant           = */RSBTC_ATTR_TDMB_SPECIAL_TEST_SIGNAL_SCID,
#if defined (_DEBUG)
  /* debug name         = */"TDMB Special Test Signal SCID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTDMBTestsignalSCID,
  /* command            = */"SOUR{Hardware}:TDMB:TEST:SCID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_VIDEO_INPUT_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_VIDEO_INPUT_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Video Input Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvVideoInput,
  /* command            = */"SOUR{Hardware}:RATV:VID:VINP",
  /* integerDefault     = */RSBTC_VAL_IQC_ATV_VIDEO_SOURCE_GENERATOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_VIDEO_VISION_PICTURE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_VIDEO_VISION_PICTURE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Video Vision Picture",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvVisionPict,
  /* command            = */"SOUR{Hardware}:RATV:VIDG:VIS",
  /* integerDefault     = */RSBTC_VAL_ATV_VISION_PICT_C75P,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_VIDEO_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_VIDEO_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Video Load File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:VIDG:LIBR:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"DEFAULT.CCVS",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_INPUT_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_INPUT_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Input Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvAudioSource,
  /* command            = */"SOUR{Hardware}:RATV:AUD:AINP",
  /* integerDefault     = */RSBTC_VAL_ATV_AUDIO_SOURCE_PLAYER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_AF_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_AF_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio AF 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:AUD:AF1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_AF_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_AF_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio AF 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:AUD:AF2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Frequency Sound Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_LEFT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Frequency Sound Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Frequency Sound Channel 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_RIGHT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Frequency Sound Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Frequency Sound Channel 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Level Sound Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_LEFT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Level Sound Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Level Sound Channel 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_RIGHT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Level Sound Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Generator Level Sound Channel 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:AUDG:AUD:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Load File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:APL:LIBR:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Default_sine_1khz.wv",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Level Sound Mono",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:APL:LEV1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_LEFT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Level Sound Left",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:APL:LEV1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Level Sound Channel 1",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:APL:LEV1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_RIGHT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Level Sound Right",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:APL:LEV2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Level Sound Channel 2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:APL:LEV2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Attenuation 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVAudioAttenuation,
  /* command            = */"SOUR{Hardware}:RATV:APL:ATT1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Audio Player Attenuation 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVAudioAttenuation,
  /* command            = */"SOUR{Hardware}:RATV:APL:ATT2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_SOURCE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMSource,
  /* command            = */"SOUR{Hardware}:RATV:NIC:MOD",
  /* integerDefault     = */RSBTC_VAL_ATV_NICAM_SOURCE_GENERATOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_SOUND_MODE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_SOUND_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Sound Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMSoundMode,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:SOUN",
  /* integerDefault     = */RSBTC_VAL_ATV_NICAM_SOUND_MODE_MONO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator AF 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:AF1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator AF 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:AF2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Frequency Sound Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMFrequencySound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_LEFT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Frequency Sound Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMFrequencySound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Frequency Sound Channel 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMFrequencySound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_RIGHT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Frequency Sound Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMFrequencySound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Frequency Sound Channel 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMFrequencySound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Level Sound Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_LEFT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Level Sound Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Level Sound Channel 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_RIGHT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Level Sound Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV NICAM Generator Level Sound Channel 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAnalogTVNICAMLevelSound,
  /* command            = */"SOUR{Hardware}:RATV:NIC:GEN:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SOUND_MODULATION_MODE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SOUND_MODULATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Sound Modulation Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvSoundMode,
  /* command            = */"SOUR{Hardware}:RATV:SOUN:MODE",
  /* integerDefault     = */RSBTC_VAL_ATV_SOUND_MODE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Sound Modulation Frequency Deviation Mono",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:SOUN:RDE1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Sound Modulation Frequency Deviation Subcarrier 1",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:SOUN:RDE1?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Sound Modulation Frequency Deviation Subcarrier 2",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:SOUN:RDE2?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_PILOT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Sound Modulation Frequency Deviation Pilot",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:RATV:SOUN:RDEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_BTSC_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_BTSC_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV BTSC Load File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:BTSC:LIBR:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Default.btsc",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_CARRIER =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_CARRIER,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Carrier",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:TRP:CARR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VIDEO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_VIDEO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Video",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:TRP:VID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_FILTER =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special VSB Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:TRP:VSBF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_CHARACTERISTIC =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_CHARACTERISTIC,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special VSB Characteristic",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvSpecialVsbChar,
  /* command            = */"SOUR{Hardware}:RATV:TRP:VSBC",
  /* integerDefault     = */RSBTC_VAL_IQC_ATV_SPECIAL_VSB_CHAR_BG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_GD_PRECORRECTION =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_GD_PRECORRECTION,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special GD Precorrection",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:TRP:GDPR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_RESIDUAL_CARRIER =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_RESIDUAL_CARRIER,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Residual Carrier",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvResidualCarr,
  /* command            = */"SOUR{Hardware}:RATV:TRP:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */13.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_PREEMPHASIS =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_PREEMPHASIS,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Preemphasis",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvPreemphasis,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:PRE",
  /* integerDefault     = */RSBTC_VAL_IQC_ATV_PREEMPHASIS_D50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_PREEMPHASIS =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_PREEMPHASIS,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special NICAM Preemphasis",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:NIC:PRE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special NICAM Gain Adjust 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:NIC:GAIN1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special NICAM Gain Adjust 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:NIC:GAIN2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_ROLL_OFF =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_ROLL_OFF,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special NICAM Roll Off",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAnalogTVSpecialNICAMRollOff,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:NIC:ROLL",
  /* integerDefault     = */RSBTC_VAL_IQC_ATV_NICAM_ROLLOFF_R40,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Subcarrier Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:SUB1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Subcarrier 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:SUB1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Subcarrier 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:SUB2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Frequency Subcarrier Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSubCarrFreq,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */5500000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Frequency Subcarrier 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSubCarrFreq,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */5500000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Frequency Subcarrier 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSubCarrFreq,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */5742187,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Level Subcarrier Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSubCarr,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */-13.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Level Subcarrier 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSubCarr,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */-13.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Modulation Level Subcarrier 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvLevelSubCarr,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */-20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_PILOT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOMINAL_FREQUENCY_DEVIATION_PILOT =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOMINAL_FREQUENCY_DEVIATION_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Nominal Frequency Deviation Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvFreqDevPilot,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:DEVP",
  /* integerDefault     = */0,
  /* doubleDefault      = */2500,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_MONO =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Nom Frequency Deviation Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSpecFreqDev,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:DEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */30000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_1 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_1,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Nom Frequency Deviation Subcarrier 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSpecFreqDev,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:DEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */30000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_2 =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_2,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound Nom Frequency Deviation Subcarrier 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIqcAtvSpecFreqDev,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:DEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */30000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_AM_MODULATION_DEPTH =
{
  /* constant           = */RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_AM_MODULATION_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"Analog TV Special Sound AM Modulation Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIqcAtvAmModulDepth,
  /* command            = */"SOUR{Hardware}:RATV:SPEC:SOUN:AMD",
  /* integerDefault     = */54,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_1 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_1,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Input Signal Source 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcInput,
  /* command            = */"SOUR{Hardware}:FM:INP1",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_INPUT_AUDIO_GENERATOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_2 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_2,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Input Signal Source 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcInput,
  /* command            = */"SOUR{Hardware}:FM:INP2",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_INPUT_AUDIO_GENERATOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_1 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_1,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Audio Channel 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:AUD:AF1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_2 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_2,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Audio Channel 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:AUD:AF2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AF_MODE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AF_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM AF Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcFmMode,
  /* command            = */"SOUR{Hardware}:FM:AUD:MODE",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_AF_MODE_LEFT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_MONO =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Frequency Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenFreq,
  /* command            = */"SOUR{Hardware}:FM:AUDG:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_LEFT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Frequency Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenFreq,
  /* command            = */"SOUR{Hardware}:FM:AUDG:FRQ1",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_RIGHT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Frequency Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenFreq,
  /* command            = */"SOUR{Hardware}:FM:AUDG:FRQ2",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_MONO =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_MONO,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Level Mono",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenLevel,
  /* command            = */"SOUR{Hardware}:FM:AUDG:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_LEFT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_LEFT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Level Left",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenLevel,
  /* command            = */"SOUR{Hardware}:FM:AUDG:LEV1",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_RIGHT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_RIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Generator Level Right",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcFmAgenLevel,
  /* command            = */"SOUR{Hardware}:FM:AUDG:LEV2",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Audio Player Load File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:APL:LIBR:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Default_sine_1khz.wv",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_1 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_1,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Audio Player Attenuation 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBCAttenuation,
  /* command            = */"SOUR{Hardware}:FM:APL:ATT1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_2 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_2,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Audio Player Attenuation 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBCAttenuation,
  /* command            = */"SOUR{Hardware}:FM:APL:ATT2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_MODE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcFmSignalModulationType,
  /* command            = */"SOUR{Hardware}:FM:MODE",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_SIGNAL_TYPE_MONO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_PREEMPHASIS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_PREEMPHASIS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation Preemphasis",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcMoPreemphasis,
  /* command            = */"SOUR{Hardware}:FM:AUD:PRE",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_PREEMPHASIS_D50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_RDS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_RDS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation RDS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_NOM_FREQ_DEV_AUDIO =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_NOM_FREQ_DEV_AUDIO,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation Nom Freq Dev Audio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcDevAudio,
  /* command            = */"SOUR{Hardware}:FM:AUD:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */40000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_AUDIO_BC_FM_MODULATION_FREQ_DEV_AUDIO =
{
  /* constant           = */RSBTC_ATTR_READ_AUDIO_BC_FM_MODULATION_FREQ_DEV_AUDIO,
#if defined (_DEBUG)
  /* debug name         = */"Read Audio BC FM Modulation Freq Dev Audio",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ{Hardware}:FM:AUD:DEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEV_RDS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEV_RDS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation Freq Dev RDS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcRdsDev,
  /* command            = */"SOUR{Hardware}:FM:RDS:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */2000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEVIATION_PILOT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEVIATION_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Modulation Freq Deviation Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcPilotDev,
  /* command            = */"SOUR{Hardware}:FM:PIL:DEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */6750,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_GROUP_SEQUENCE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_GROUP_SEQUENCE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS Group Sequence",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:GRO:SEQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0B,2A",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_PI =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_PI,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS PI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmRdsPi,
  /* command            = */"SOUR{Hardware}:FM:RDS:PI",
  /* integerDefault     = */65535,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_PS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_PS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS PS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:PS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"R&S BTC",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_TP =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_TP,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS TP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:TP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_TA =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_TA,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS TA",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:TA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_PTY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_PTY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS PTY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmRdsPty,
  /* command            = */"SOUR{Hardware}:FM:RDS:PTY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_PTYN =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_PTYN,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS PTYN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:PTYN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_RT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_RT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS RT",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:RT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_RT_READY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_RT_READY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS RT Ready",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:RT:READ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_MS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_MS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS MS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmRdsMs,
  /* command            = */"SOUR{Hardware}:FM:RDS:MS",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_RDS_MS_MUSIC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_DYNAMIC_PTY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_DYNAMIC_PTY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI Dynamic PTY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:DI:DYN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_COMPRESSED =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_COMPRESSED,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI Compressed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:DI:COMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_ART_HEAD =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_ART_HEAD,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI Art Head",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:DI:ART",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_STEREO =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_STEREO,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI Stereo",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:DI:STER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_CT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_CT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI CT",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:CT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_RDS_DI_CT_OFFSET =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_RDS_DI_CT_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC RDS DI CT Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:CTOF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"00:00:00",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_METHOD =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_METHOD,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF Method",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmRdsMethod,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:METH",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_AF_METHOD_A,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_A_NUMBER_OF_FREQUENCIES =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_A_NUMBER_OF_FREQUENCIES,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF A Number Of Frequencies",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfANoFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:A:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_A_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_A_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF A Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:A:FREQ{AfFreq}",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_LISTS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_LISTS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF B Number Of Lists",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfBNoFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:B:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_FREQUENCIES =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_FREQUENCIES,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF B Number Of Frequencies",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfBListNo,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:B:LIST{AfList}:NUMB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_B_TUNING_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_B_TUNING_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF B Tuning Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:B:LIST{AfList}:TFRequency",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_B_AF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_B_AF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF B AF Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:B:LIST{AfList}:FREQ{AfFreq}",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AF_B_AF_ORDER =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AF_B_AF_ORDER,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AF B AF Order",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfBOrder,
  /* command            = */"SOUR{Hardware}:FM:RDS:AF:B:LIST{AfList}:DESC{AfFreq}",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_AFB_ORDER_ASC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_PI =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_PI,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON PI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonPi,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:PI",
  /* integerDefault     = */65535,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_PS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_PS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON PS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:PS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Program1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_TP =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_TP,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON TP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:TP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_TA =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_TA,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON TA",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:TA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_LA =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_LA,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON LA",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:LA",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_EG =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_EG,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON EG",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:EG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_ILS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_ILS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON ILS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:ILS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_LSN =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_LSN,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON LSN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonLsn,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:LSN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_PTY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_PTY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON PTY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonPty,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:PTY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_PIN =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_PIN,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON PIN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonPi,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:PIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_METHOD =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_METHOD,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF Method",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonMethod,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:METH",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_EON_METHOD_A,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_A_NUMBER_OF_FREQUENCIES =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_A_NUMBER_OF_FREQUENCIES,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF A Number Of Frequencies",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfANoFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:A:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_A_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_A_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF A Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:A:FREQ{AfFreq}",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_NUMBER_OF_FREQUENCIES =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_NUMBER_OF_FREQUENCIES,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF Mapped Freq Number Of Frequencies",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmEonMapAfBNoFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:B:NUMB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_TUNING_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_TUNING_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF Mapped Freq Tuning Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:B:TFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_AF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_AF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC EON AF Mapped Freq AF Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmAfAFreq,
  /* command            = */"SOUR{Hardware}:FM:RDS:EON:AF:B:FREQ{AfFreq}",
  /* integerDefault     = */0,
  /* doubleDefault      = */87.6e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_00 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_00,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC Group 3A Var 00",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmTmc3aVar,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:G3A:VAR1",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_01 =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_01,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC Group 3A Var 01",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmTmc3aVar,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:G3A:VAR2",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_NUMBER_OF_8A_GROUPS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_NUMBER_OF_8A_GROUPS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC Number Of 8A Groups",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmTmc3aGroup,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:G8A:NUMB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_8A_BLOCK =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_8A_BLOCK,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC 8A Block",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmBlock,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:{G8A}:BLOC{Block}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_APPLY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_APPLY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC Apply",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:APPL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_TMC_READY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_TMC_READY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC TMC Ready",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:TMC:READ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A_READY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A_READY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format Group A Ready",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF:{GroupA}:READ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format Group A",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmBlock,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF:{GroupA}:BLOC{Block}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B_READY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B_READY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format Group B Ready",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF:{GroupB}:READ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format Group B",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIcgAudioFmBlock,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF:{GroupB}:BLOC{Block}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_APPLY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_APPLY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Open Format Apply",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:RDS:OPF:APPL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Special Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:SETT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PILOT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Special Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FM:PIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_PILOT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_PILOT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Special Phase Offset Pilot",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcSpecPilotPh,
  /* command            = */"SOUR{Hardware}:FM:PIL:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_RDS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_RDS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC FM Special Phase Offset RDS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcSpecRdsPh,
  /* command            = */"SOUR{Hardware}:FM:RDS:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_INPUT_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_INPUT_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Input Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBcInput,
  /* command            = */"SOUR{Hardware}:AM:INP",
  /* integerDefault     = */RSBTC_VAL_AUDIO_BC_INPUT_AUDIO_GENERATOR,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_AUDIO_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Audio Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:AM:AUD:AF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Audio Generator Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcAmGenFreq,
  /* command            = */"SOUR{Hardware}:AM:AUDG:FRQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_LEVEL =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Audio Generator Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcAmGenLev,
  /* command            = */"SOUR{Hardware}:AM:AUDG:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Audio Player Load File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:AM:APL:LIBR:SELect",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Default_sine_1khz.wv",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_ATTENUATION =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Audio Player Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBCAttenuation,
  /* command            = */"SOUR{Hardware}:AM:APL:ATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_AM_NOMINAL_MODULATION_DEPTH =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_AM_NOMINAL_MODULATION_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC AM Nominal Modulation Depth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcAmDepth,
  /* command            = */"SOUR{Hardware}:AM:DEPT",
  /* integerDefault     = */0,
  /* doubleDefault      = */30.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_READ_AUDIO_BC_AM_MODULATION_DEPTH =
{
  /* constant           = */RSBTC_ATTR_READ_AUDIO_BC_AM_MODULATION_DEPTH,
#if defined (_DEBUG)
  /* debug name         = */"Read Audio BC AM Modulation Depth",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBcAmDepth,
  /* command            = */"READ{Hardware}:AM:MOD:DEPT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARB_MEMORY_USAGE =
{
  /* constant           = */RSBTC_ATTR_ARB_MEMORY_USAGE,
#if defined (_DEBUG)
  /* debug name         = */"ARB Memory Usage",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB:MEM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARB_WAVEFORM_DELETE =
{
  /* constant           = */RSBTC_ATTR_ARB_WAVEFORM_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"ARB Waveform Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB:WAV:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARB_DEFRAG =
{
  /* constant           = */RSBTC_ATTR_ARB_DEFRAG,
#if defined (_DEBUG)
  /* debug name         = */"ARB Defrag",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB:MEM:DEFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_STATE =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:STATe",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_USAGE =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_USAGE,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Usage",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngArbitraryWaveformGenerationUsage,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:USAG?",
  /* integerDefault     = */RSBTC_VAL_ARB_GENERATOR_USAGE_SIGNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_WAVEFORM =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_WAVEFORM,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Waveform",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:WAV:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */" ",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLES =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Samples",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:SAMP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLE_RATE =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Sample Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:CLOC",
  /* integerDefault     = */0,
  /* doubleDefault      = */40.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SEQUENCE_DURATION =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SEQUENCE_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Sequence Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:SEQ:DUR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_LEVEL =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */-20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_ATTENUATION =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngArbitraryWaveformGenerationAttenuation,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:ATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngArbitraryWaveformGenerationFrequencyOffset,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_POINTS =
{
  /* constant           = */RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_POINTS,
#if defined (_DEBUG)
  /* debug name         = */"Arbitrary Waveform Generation Points",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:ARB{Arb}:WAV:POIN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_IQ_SWAP =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_IQ_SWAP,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input IQ Swap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:IQSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_CONNECTED_INSTRUMENT =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_CONNECTED_INSTRUMENT,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Connected Instrument",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:INST?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_SOURCE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Sample Rate Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngAudioBCDigitalIQInputSampleRateSource,
  /* command            = */"SOUR{Hardware}:IQ:DIN:SRAT:SOUR",
  /* integerDefault     = */RSBTC_VAL_DIG_IQ_SAMPLE_RATE_DIGITAL_IN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_VALUE =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Sample Rate Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBCDigitalIQInputSampleRateValue,
  /* command            = */"SOUR{Hardware}:IQ:DIN:SRAT:ACT",
  /* integerDefault     = */0,
  /* doubleDefault      = */400.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_IQ_AUTO_SETTINGS =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_IQ_AUTO_SETTINGS,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level IQ Auto Settings",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:ASET:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_MEASUREMENT_PERIOD =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_MEASUREMENT_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level Measurement Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngAudioBCDigitalIQInputLevelMeasurementPeriod,
  /* command            = */"SOUR{Hardware}:IQ:DIN:MPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_SET_AUTO_LEVEL =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_SET_AUTO_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level Set Auto Level",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:ALEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_CREST_FACTOR =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_CREST_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level Crest Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:CFAC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_PEAK =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_PEAK,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level Peak",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:POW:PEAK",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL =
{
  /* constant           = */RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Audio BC Digital IQ Input Level",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:DIN:POW:LEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_ENABLED =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_IQ_SWAP =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_IQ_SWAP,
#if defined (_DEBUG)
  /* debug name         = */"Digital IQ Output IQ Swap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:IQSW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Sample Rate Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBasebandIQDigitalOutputSampleRateSource,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:SRAT:SOUR",
  /* integerDefault     = */RSBTC_VAL_BB_IQ_DIGITAL_USER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Sample Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBasebandDigitalIQOutputSampleRate,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:SRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.000e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CONNECTED_DEVICE =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CONNECTED_DEVICE,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Connected Device",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:CDEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SET_LEVEL_VIA =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SET_LEVEL_VIA,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Set Level Via",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBasebandDigitalIQOutputSetLevelVia,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBGen:POW:VIA",
  /* integerDefault     = */RSBTC_VAL_BASEBAND_IQ_DIGITAL_PEAK_LEVEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_PEAK_LEVEL =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_PEAK_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Peak Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBasebandDigitalIQOutputPeakLevel,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:POW:PEP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_LEVEL =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBasebandDigitalIQOutputLevel,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:POW:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CREST_FACTOR =
{
  /* constant           = */RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CREST_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Baseband Digital IQ Output Crest Factor",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBG:POW:CFAC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.00,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmInterferSource,
  /* command            = */"SOUR{Hardware}:DM:ISRC",
  /* integerDefault     = */RSBTC_VAL_DM_INTERFERER_SOURCE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_ROUTING =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmInterferAdd,
  /* command            = */"SOUR{Hardware}:DM:IADD",
  /* integerDefault     = */RSBTC_VAL_DM_INTERFERER_ADD_TXDIST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDmInterferFreqOffset,
  /* command            = */"SOUR{Hardware}:DM:IFR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_REFERENCE =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_REFERENCE,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Reference",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmInterferRef,
  /* command            = */"SOUR{Hardware}:DM:IREF",
  /* integerDefault     = */RSBTC_VAL_DM_INTERFERER_REF_LEVEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_POLARITY =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_POLARITY,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Polarity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDmSpectPolar,
  /* command            = */"SOUR{Hardware}:DM:POL",
  /* integerDefault     = */RSBTC_VAL_DM_SPEC_POLAR_NORM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_ATTENUATION =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngDmInterferAtten,
  /* command            = */"SOUR{Hardware}:DM:IATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_INTERFERER_SIGNAL_LEVEL =
{
  /* constant           = */RSBTC_ATTR_INTERFERER_SIGNAL_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Interferer Signal Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DM:ILEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */-30.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_NONLINEARITY,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Nonlinearity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX:NLIN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY =
{
  /* constant           = */RSBTC_ATTR_RX_DISTORTION_NONLINEARITY,
#if defined (_DEBUG)
  /* debug name         = */"Rx Distortion Nonlinearity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:RX:NLIN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RX_DISTORTION =
{
  /* constant           = */RSBTC_ATTR_RX_DISTORTION,
#if defined (_DEBUG)
  /* debug name         = */"Rx Distortion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:RX",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_LIMITER =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_LIMITER,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Limiter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX:NLIN:LIM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_LIMITER_POSITION =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_LIMITER_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Limiter Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngTxDistortionLimiterPosition,
  /* command            = */"SOUR{Hardware}:DIST:TX:NLIN:LIM:POSition",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_GAIN =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_GAIN,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Nonlinearity Gain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX:NLIN:GAIN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_GAIN =
{
  /* constant           = */RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_GAIN,
#if defined (_DEBUG)
  /* debug name         = */"Rx Distortion Nonlinearity Gain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:RX:NLIN:GAIN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_PHASE =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Nonlinearity Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX:NLIN:PHAS:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_PHASE =
{
  /* constant           = */RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Rx Distortion Nonlinearity Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:RX:NLIN:PHAS:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_DISTORTION_FREQUENCY_RESPONSE =
{
  /* constant           = */RSBTC_ATTR_TX_DISTORTION_FREQUENCY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"Tx Distortion Frequency Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:DIST:TX:FREQ:RESP:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_SIMULATOR_SIGNAL_ROUTING =
{
  /* constant           = */RSBTC_ATTR_FADING_SIMULATOR_SIGNAL_ROUTING,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator Signal Routing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingSimulatorSignalRouting,
  /* command            = */"SOUR{Hardware}:SCON:FAD",
  /* integerDefault     = */RSBTC_VAL_FADING_SIGNAL_ROUTING_AB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_SIMULATOR_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_SIMULATOR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Simulator State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_BIRTH_DEATH_PROPAGATION_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_BIRTH_DEATH_PROPAGATION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Propagation State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MOVING_PROPAGATION_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_MOVING_PROPAGATION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Propagation State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2_CHANNEL_INTERFERER_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_2_CHANNEL_INTERFERER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Channel Interferer State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_PARAMETER_SET =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_PARAMETER_SET,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Parameter Set",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingParam,
  /* command            = */"SOUR{Hardware}:FSIM:STAN",
  /* integerDefault     = */RSBTC_VAL_FADING_PAR_EASY3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_CONFIGURATION =
{
  /* constant           = */RSBTC_ATTR_FADING_CONFIGURATION,
#if defined (_DEBUG)
  /* debug name         = */"Fading Configuration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimConfig,
  /* command            = */"SOUR{Hardware}:FSIM:CONF",
  /* integerDefault     = */RSBTC_VAL_FADING_STANDARD_DELAY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_LOAD_FILE =
{
  /* constant           = */RSBTC_ATTR_FADING_LOAD_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading User Settings Load",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:LOAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STORE_FILE =
{
  /* constant           = */RSBTC_ATTR_FADING_STORE_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading User Settings Store",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:STOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_DELETE_FILE =
{
  /* constant           = */RSBTC_ATTR_FADING_DELETE_FILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading User Settings Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DELETE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_BASIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_BASIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Basic Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBasicDel,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:BDEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_PROFILE =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Profile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingProfile,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:PROF",
  /* integerDefault     = */RSBTC_VAL_FADING_PROFILE_PURE_DOPPLER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPathLoss,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_ADDITIONAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_ADDITIONAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Additional Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParAddDel,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Resulting Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:RDEL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPowRatio,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:PRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_CONST_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_CONST_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Const Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParConstPh,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:CPH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_SPEED =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_SPEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Speed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParSpeed,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Frequency Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DOPPLER_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DOPPLER_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Resulting Doppler Shift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParDoplerFreq,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:FDOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Frequency Shift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:FSH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SPREAD =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SPREAD,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Frequency Spread",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingStandardDelayFrequencySpread,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:FSPR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Correlation Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:CORR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_COEFFICIENT =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Correlation Path Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParCoeff,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:CORR:COEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Correlation Path Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPhase,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:CORR:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Lognormal State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:LOGN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_LOCAL_CONSTANT =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_LOCAL_CONSTANT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Lognormal State Local Constant",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParLocalConst,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:LOGN:LCON",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_STANDARD_DEVIATION =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_STANDARD_DEVIATION,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Delay Lognormal State Standard Deviation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParStdDeviation,
  /* command            = */"SOUR{Hardware}:FSIM:DEL:GRO{Group}:PATH{Path}:LOGN:CSTD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Path State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_PROFILE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Profile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingProfile,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:PROF",
  /* integerDefault     = */RSBTC_VAL_FADING_PROFILE_PURE_DOPPLER,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPathLoss,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_BASIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_BASIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Basic Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBasicDel,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:BDEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_ADDITIONAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_ADDITIONAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Additional Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParAddDel,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_RESULTING_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_RESULTING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Resulting Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:RDEL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPowRatio,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:PRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_CONST_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_CONST_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Const Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParConstPh,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:CPH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_SPEED =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_SPEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Speed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParSpeed,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_FREQ_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_FREQ_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Frequency Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_RESULT_DOPPLER_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_RESULT_DOPPLER_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Resulting Doppler Shift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParDoplerFreq,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:FDOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_CORRELATION_PATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_CORRELATION_PATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Correlation Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:CORR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_COEFFICIENT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParCoeff,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:CORR:COEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPhase,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:CORR:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_LOGNORMAL_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_LOGNORMAL_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Lognormal State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:LOGN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_LOCAL_CONSTANT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_LOCAL_CONSTANT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Local Constant",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParLocalConst,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:LOGN:LCON",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_STANDARD_DEVIATION =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_STANDARD_DEVIATION,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz Standard Deviation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParStdDeviation,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:GRO{Group}:PATH{Path}:LOGN:CSTD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL30_STATE_MODE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL30_STATE_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 30MHz State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D30FINE:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Path State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_PROFILE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Profile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingProfile,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:PROF",
  /* integerDefault     = */RSBTC_VAL_FADING_PROFILE_STATIC_PATH,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPathLoss,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_BASIC_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_BASIC_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Basic Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBasicDel,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:BDEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_ADDITIONAL_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_ADDITIONAL_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Additional Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParAddDel,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:ADEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_RESULTING_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_RESULTING_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Resulting Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:RDEL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPowRatio,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:PRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_CONST_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_CONST_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Const Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParConstPh,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:CPH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_SPEED =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_SPEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Speed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParSpeed,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_FREQ_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_FREQ_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Frequency Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_RESULT_DOPPLER_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_RESULT_DOPPLER_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Resulting Doppler Shift",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParDoplerFreq,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:FDOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_CORRELATION_PATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_CORRELATION_PATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Correlation Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:CORR:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_COEFFICIENT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParCoeff,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:CORR:COEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPhase,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:CORR:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_LOGNORMAL_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_LOGNORMAL_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Lognormal State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:LOGN:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_LOCAL_CONSTANT =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_LOCAL_CONSTANT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Local Constant",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParLocalConst,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:LOGN:LCON",
  /* integerDefault     = */0,
  /* doubleDefault      = */100.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_STANDARD_DEVIATION =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_STANDARD_DEVIATION,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz Standard Deviation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParStdDeviation,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:GRO{Group}:PATH{Path}:LOGN:CSTD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DEL50_STATE_MODE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DEL50_STATE_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Fine Delay 50MHz State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:D50FINE:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_PROFILE_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_PROFILE_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Profile",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:PATH{Path}:PROF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"RSBTC_VAL_FADING_BIRTH_PROF_PDOPPLER",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_PATH_LOSS_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_PATH_LOSS_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBirtLoss,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:PATH{Path}:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MIN_DELAY_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MIN_DELAY_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Min Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBirtDelMin,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:DEL:MIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_DELAY_GRID_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_DELAY_GRID_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Delay Grid",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBirtDelGrid,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:DEL:GRID",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_POSITIONS_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_POSITIONS_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Positions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimParBirtPosit,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:POS",
  /* integerDefault     = */11,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MAX_DELAY_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MAX_DELAY_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Max Delay",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:DEL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_START_OFFSET_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_START_OFFSET_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Start Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:SOFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_HOPPING_DWELL_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_HOPPING_DWELL_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Hopping Dwell",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:HOPP:DWEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */191.0e-3,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_SPEED_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_SPEED_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Speed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParBirtSpeed,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_FREQ_RATIO_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_FREQ_RATIO_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Frequency Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_RES_DOPPLER_SHIFT_BIRTH_DEATH =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_RES_DOPPLER_SHIFT_BIRTH_DEATH,
#if defined (_DEBUG)
  /* debug name         = */"Fading Birth-Death Res Doppler Shift",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:BIRT:FDOP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_REF_PATH_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_REF_PATH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Reference Path State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:REF:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_REF_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_REF_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Reference Path Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingLoss,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:REF:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_REF_PATH_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_REF_PATH_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Reference Path Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingRefDel,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:REF:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MOVING_PATH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Moving Path State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:MOV:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MOVING_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Moving Path Path Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingLoss,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:MOV:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MOVING_PATH_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Moving Path Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingRefDel,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:MOV:DEL:MEAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */3.5e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PK =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PK,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Moving Path Variation PK PK",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingVar,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:MOV:DEL:VAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PERIOD =
{
  /* constant           = */RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Fading Moving Moving Path Variation Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParMovingVarPer,
  /* command            = */"SOUR{Hardware}:FSIM:MDEL:MOV:VPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */157.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay State Ref Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_PROFILE =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Profile Ref Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimp2dynProfile,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:PROF",
  /* integerDefault     = */RSBTC_VAL_FADING_P2DYN_PROF_RAYL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Path Loss Reference Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPathLoss,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_SPEED =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_SPEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Speed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynSpeed,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_FREQ_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_FREQ_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Frequency Ratio Reference Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_DOPLER_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_DOPLER_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Resulting Doppler Shift Reference Path",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:FDOP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_MIN_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_MIN_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Min Delay Reference Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynrefDelMin,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:REF:DEL:MIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay State Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_PROFILE =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Profile Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimp2dynProfile,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:PROF",
  /* integerDefault     = */RSBTC_VAL_FADING_P2DYN_PROF_RAYL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Path Loss Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParPathLoss,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:LOSS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_FREQ_RATIO =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_FREQ_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Frequency Ratio Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimParFreqRatio,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:FRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_DOPLER_SHIFT =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_DOPLER_SHIFT,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Resulting Doppler Shift Moving Path",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:FDOP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MIN_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MIN_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Min Delay Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynMovDelMin,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:DEL:MIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MAX_DELAY =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MAX_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Max Delay Moving Path",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynMovDelMax,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:DEL:MAX",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_MODE =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Moving Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimP2dynMovMode,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MODE",
  /* integerDefault     = */RSBTC_VAL_FADING_P2DYN_MOV_MODE_HOPP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PERIOD =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Moving Variation Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynPeriod,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:MOV:VPER",
  /* integerDefault     = */0,
  /* doubleDefault      = */157.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_DWELL =
{
  /* constant           = */RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_DWELL,
#if defined (_DEBUG)
  /* debug name         = */"Fading 2 Path Dynamic Delay Period",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimP2dynDwell,
  /* command            = */"SOUR{Hardware}:FSIM:P2DYN:HOPP:DWEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_MAGNITUDE =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_MAGNITUDE,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Matrix Value Column Magnitude",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingMIMOMatrixValueColumnMagnitude,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:MATR:ROW{Direction}:COL{Steering}:MAGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Matrix Value Column Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingMIMORelativeTapPhase,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:MATR:ROW{Direction}:COL{Steering}:PHASe",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_CONFLICT_COLUMN =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_CONFLICT_COLUMN,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Matrix Value Conflict Column",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:MATR:ROW{Direction}:CONF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_MATRIX_ACCEPT =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_MATRIX_ACCEPT,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Matrix Accept",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:MATR:ACC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_GAIN =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_GAIN,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Relative Tap Vector Gain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingMIMOVectorGain,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:GVEC:ROW{Direction}:GAIN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_PHASE =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Relative Tap Vector Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingMIMORelativeTapPhase,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:GVEC:ROW{Direction}:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_SET_TO_UNITY =
{
  /* constant           = */RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_SET_TO_UNITY,
#if defined (_DEBUG)
  /* debug name         = */"Fading MIMO Relative Tap Vector Set To Unity",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:MIMO:TAP{Channel}:GVEC:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_SPEED_UNIT =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_SPEED_UNIT,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Speed Unit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimSpeedUnit,
  /* command            = */"SOUR{Hardware}:FSIM:SPE:UNIT",
  /* integerDefault     = */RSBTC_VAL_FADING_SPEED_MPS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_REFERENCE =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_REFERENCE,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Reference",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimReference,
  /* command            = */"SOUR{Hardware}:FSIM:KCON",
  /* integerDefault     = */RSBTC_VAL_FADING_REFERENCE_SPEED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_COMMON_SPEED_FOR_ALL_PATHS =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_COMMON_SPEED_FOR_ALL_PATHS,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Common Speed For All Paths",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:CSP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_SIGNAL_DEDICATED_TO =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_SIGNAL_DEDICATED_TO,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Signal Dedicated To",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimDedicTo,
  /* command            = */"SOUR{Hardware}:FSIM:SDES",
  /* integerDefault     = */RSBTC_VAL_FADING_DEDICATED_TO_BB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_VIRTUAL_RF =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_VIRTUAL_RF,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Virtual RF",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimVirtualRf,
  /* command            = */"SOUR{Hardware}:FSIM:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e9,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_IGNORE_RF_CHANGES =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_IGNORE_RF_CHANGES,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Ignore RF Changes",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:IGN:RFCH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_FREQUENCY_HOPPING_MODE =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_FREQUENCY_HOPPING_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Frequency Hopping Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFadingFrequencyHoppingMode,
  /* command            = */"SOUR{Hardware}:FSIM:HOPP:MODE",
  /* integerDefault     = */RSBTC_VAL_FADING_FREQ_HOPPING_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_RESTART_EVENT =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_RESTART_EVENT,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Restart Event",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimRestartMode,
  /* command            = */"SOUR{Hardware}:FSIM:REST:MODE",
  /* integerDefault     = */RSBTC_VAL_FADING_RESTART_MODE_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GENERAL_RESTART =
{
  /* constant           = */RSBTC_ATTR_FADING_GENERAL_RESTART,
#if defined (_DEBUG)
  /* debug name         = */"Fading General Restart",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_INSERTION_LOSS_MODE =
{
  /* constant           = */RSBTC_ATTR_FADING_INSERTION_LOSS_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Fading Insertion Loss Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFsimInsLossMode,
  /* command            = */"SOUR{Hardware}:FSIM:ILOS:MODE",
  /* integerDefault     = */RSBTC_VAL_FADING_LOSS_MODE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_INSERTION_LOSS =
{
  /* constant           = */RSBTC_ATTR_FADING_INSERTION_LOSS,
#if defined (_DEBUG)
  /* debug name         = */"Fading Insertion Loss",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFsimIlos,
  /* command            = */"SOUR{Hardware}:FSIM:ILOS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_INSERTION_LOSS_CLIPPED_SAMPLES =
{
  /* constant           = */RSBTC_ATTR_FADING_INSERTION_LOSS_CLIPPED_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"Fading Insertion Loss Clipped Samples",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:ILOS:CSAM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_GLOBAL_FADER_COUPLING_START_SEED =
{
  /* constant           = */RSBTC_ATTR_FADING_GLOBAL_FADER_COUPLING_START_SEED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Global Fader Coupling Start Seed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingGlobalFaderCouplingStartSeed,
  /* command            = */"SOUR{Hardware}:FSIM:GLOB:SEED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_STANDARD_DEVIATION_COUPLED =
{
  /* constant           = */RSBTC_ATTR_FADING_STANDARD_DEVIATION_COUPLED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Standard Deviation Coupled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:COUP:LOGN:CSTD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_LOCAL_CONSTANT_COUPLED =
{
  /* constant           = */RSBTC_ATTR_FADING_LOCAL_CONSTANT_COUPLED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Local Constant Coupled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:COUP:LOGN:LCON",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_DEFAULT =
{
  /* constant           = */RSBTC_ATTR_FADING_DEFAULT,
#if defined (_DEBUG)
  /* debug name         = */"Fading Default",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_SPEED_COUPLED =
{
  /* constant           = */RSBTC_ATTR_FADING_SPEED_COUPLED,
#if defined (_DEBUG)
  /* debug name         = */"Fading Speed Coupled (A=B)",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FSIM:COUP:SPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_TARGET_NAME =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_TARGET_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Target Name",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:TNAM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"rssgt100a101838",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECTION_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECTION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Remote Connection State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngConnectionState,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:RCON:STAT?",
  /* integerDefault     = */RSBTC_VAL_DISCONNECT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECT =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECT,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Remote Connect",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:REM:CONN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_DISCONNECT =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_DISCONNECT,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Remote Disconnect",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:REM:DISC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTION_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Digital IQ Connection State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngConnectionState,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:IQC:STAT?",
  /* integerDefault     = */RSBTC_VAL_DISCONNECT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTED_INSTRUMENT =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTED_INSTRUMENT,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen Digital IQ Connected Instrument",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:INAM?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"SGT100A",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen RF Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingExternalRFSignalGenRFFrequency,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:RF:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.000e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_LEVEL =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen RF Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFadingExternalRFSignalGenRFLevel,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:RF:POW",
  /* integerDefault     = */0,
  /* doubleDefault      = */-10.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_STATE =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen RF State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:RF:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_COUPLING =
{
  /* constant           = */RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_COUPLING,
#if defined (_DEBUG)
  /* debug name         = */"Fading External RF Signal Gen RF Coupling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SCON:EXT:BBMM{Stream}:RF:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_A_NOISE_B =
{
  /* constant           = */RSBTC_ATTR_NOISE_A_NOISE_B,
#if defined (_DEBUG)
  /* debug name         = */"Noise A Noise B",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNoiseState,
  /* command            = */"SOUR{Hardware}:NOIS",
  /* integerDefault     = */RSBTC_VAL_NOISE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_SAVE_USER_PROFILE =
{
  /* constant           = */RSBTC_ATTR_NOISE_SAVE_USER_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Noise Save User Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:STOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_SELECT =
{
  /* constant           = */RSBTC_ATTR_NOISE_SELECT,
#if defined (_DEBUG)
  /* debug name         = */"Noise Load User Profile",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:LOAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:AWGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN_CN =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN_CN,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN CN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseCn,
  /* command            = */"SOUR{Hardware}:NOIS:CN",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN_EB_N0_RATIO =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN_EB_N0_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN Eb N0 Ratio",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:EN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_BANDWIDTH_COUPLING =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN_SETTINGS_BANDWIDTH_COUPLING,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN Settings Bandwidth Coupling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_RECEIVER_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN_SETTINGS_RECEIVER_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN Settings Receiver Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseReceiverBW,
  /* command            = */"SOUR{Hardware}:NOIS:BAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_GENERATED_NOISE_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_NOISE_AWGN_SETTINGS_GENERATED_NOISE_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Noise AWGN Settings Generated Noise Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseAWGNSettingsGeneratedNoiseBandwidth,
  /* command            = */"SOUR{Hardware}:NOIS:GEN:BAND",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:IMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE_CI =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE_CI,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive CI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseImpulsiveCI,
  /* command            = */"SOUR{Hardware}:NOIS:IMP:CI",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive Frame Duration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNoiseImpulsiveFrameDuration,
  /* command            = */"SOUR{Hardware}:NOIS:IMP:FRAM",
  /* integerDefault     = */RSBTC_VAL_NOISE_FRAME_DURATION_10,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSES_PER_BURST =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE_PULSES_PER_BURST,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive Pulses Per Burst",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngNoiseImpulsivePulsesperBurst,
  /* command            = */"SOUR{Hardware}:NOIS:IMP:PULS",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MIN =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MIN,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive Pulse Spacing Min",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseImpulsivePulseSpacing,
  /* command            = */"SOUR{Hardware}:NOIS:IMP:MINS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.25e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MAX =
{
  /* constant           = */RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MAX,
#if defined (_DEBUG)
  /* debug name         = */"Noise Impulsive Pulse Spacing Max",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoiseImpulsivePulseSpacing,
  /* command            = */"SOUR{Hardware}:NOIS:IMP:MAXS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.25e-6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_PHASE_NOISE =
{
  /* constant           = */RSBTC_ATTR_PHASE_NOISE,
#if defined (_DEBUG)
  /* debug name         = */"Phase Noise",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_PHASE_NOISE_SSB_SHAPE_PROFILE =
{
  /* constant           = */RSBTC_ATTR_PHASE_NOISE_SSB_SHAPE_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"Phase Noise SSB Shape Profile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:NOIS:PHAS:SHAP:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_PHASE_NOISE_AT_100_HZ =
{
  /* constant           = */RSBTC_ATTR_PHASE_NOISE_AT_100_HZ,
#if defined (_DEBUG)
  /* debug name         = */"Phase Noise at 100 Hz",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngNoisePhase,
  /* command            = */"SOUR{Hardware}:NOIS:PHAS:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */-60.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MOD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_OUTPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Output State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_TRIPPED =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_TRIPPED,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Output Protection Tripped",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:PROT:TRIP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CLEAR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CLEAR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Output Protection Clear",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:PROT:CLE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CIRCUIT_STATUS =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CIRCUIT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Output Protection Circuit Status",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:PROT:TRIP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_UNIT =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_UNIT,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Unit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowLevUnit,
  /* command            = */"UNIT{Hardware}:VOLT",
  /* integerDefault     = */RSBTC_VAL_POW_LEV_DBM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0E6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_ACTUAL_CENTER_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_ACTUAL_CENTER_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Actual Center Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:FREQ:ACT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFreqOffs,
  /* command            = */"SOUR{Hardware}:FREQ:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_COUPLING_AB =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_COUPLING_AB,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Coupling AB",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFreqOffs,
  /* command            = */"SOUR2:FREQ:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_VSB_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_VSB_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal VSB Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFreqVsbFreq,
  /* command            = */"SOUR{Hardware}:FREQ:VSBF",
  /* integerDefault     = */RSBTC_VAL_FREQ_VSB_FREQ_PILOT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_DELTA_PHASE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_DELTA_PHASE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Delta Phase",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:PHAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Local Oscillator Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalLocalOscillatorMode,
  /* command            = */"SOUR{Hardware}:FREQ:LOSC:MODE",
  /* integerDefault     = */RSBTC_VAL_LOCAL_OSCILLATOR_MODE_INTERNAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_OUT_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_OUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Local Oscillator Out State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:LOSC:OUTP:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_CHANNEL_FILE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_CHANNEL_FILE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Channel Table Channel File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:CHAN:TABL:SEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_NUMBER =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_CHANNEL_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Channel Number",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFreqChannel,
  /* command            = */"SOUR{Hardware}:FREQ:CHAN",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_NAME =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_CHANNEL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Channel Name",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:CHAN:NAME",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_STORE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_STORE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Channel Table Store",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:CHAN:TABL:STOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_DELETE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_DELETE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Channel Table Delete",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:CHAN:TABL:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SOURCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal External Reference Frequency Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRoscSource,
  /* command            = */"SOUR{Hardware}:ROSC",
  /* integerDefault     = */RSBTC_VAL_ROSC_SOURCE_INT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal External Reference Frequency Adjustment State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:ROSC:ADJ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_DAC_VALUE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_DAC_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal External Reference Frequency Adjustment DAC Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRoscAdjVal,
  /* command            = */"SOUR{Hardware}:ROSC:ADJ:VAL",
  /* integerDefault     = */1400,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal External Reference Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngExternalRefFrequency,
  /* command            = */"SOUR{Hardware}:ROSC:EXT:FREQ",
  /* integerDefault     = */RSBTC_VAL_EXT_REF_FREQ_5M,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SYNC_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SYNC_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal External Reference Frequency Synchronization Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngExtRefFreqSyncBw,
  /* command            = */"SOUR{Hardware}:ROSC:EXT:SBAN",
  /* integerDefault     = */RSBTC_VAL_EXT_REF_FREQ_SYNC_BW_STANDARD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW",
  /* integerDefault     = */0,
  /* doubleDefault      = */-10.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_VOLTAGE_LEVEL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_VOLTAGE_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Voltage Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:VOLT",
  /* integerDefault     = */0,
  /* doubleDefault      = */10.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_DIGITAL_ATTENUATION =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_DIGITAL_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Digital Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelDigitalAttenuation,
  /* command            = */"SOUR{Hardware}:POW:ATT:DIG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTINGS_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTINGS_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Settings Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelSettingsMode,
  /* command            = */"SOUR{Hardware}:POW:LMOD",
  /* integerDefault     = */RSBTC_VAL_RF_LEVEL_MODE_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTING_CHARACTERISTIC =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTING_CHARACTERISTIC,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Setting Characteristic",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelSettingCharacteristic,
  /* command            = */"SOUR{Hardware}:POW:LBEH",
  /* integerDefault     = */RSBTC_VAL_RF_LEVEL_CHARACTERISTIC_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_PEP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_PEP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level PEP",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW:PEP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_USER_LIMIT_PEP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_USER_LIMIT_PEP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level User Limit PEP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW:LIM",
  /* integerDefault     = */0,
  /* doubleDefault      = */20.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_COUPLING_AB =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_COUPLING_AB,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Coupling AB",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR2:POW:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATOR_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATOR_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Attenuator Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRfLevelAttenMode,
  /* command            = */"OUTP{Hardware}:AMOD",
  /* integerDefault     = */RSBTC_RF_LEVEL_ATTENUATOR_MODE_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelAttenuation,
  /* command            = */"SOUR{Hardware}:POW:ATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MAXIMUM =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MAXIMUM,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Attenuation Range Maximum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:AFIX:RANG:UPP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MINIMUM =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MINIMUM,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Attenuation Range Minimum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:AFIX:RANG:LOW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_RESET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_RESET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Attenuation Range Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"OUTP{Hardware}:AFIX:RANG:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level ALC State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowAlcState,
  /* command            = */"SOUR{Hardware}:POW:ALC",
  /* integerDefault     = */RSBTC_VAL_POWER_ALC_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_DETECTOR_SENSITIVITY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_DETECTOR_SENSITIVITY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level ALC Detector Sensitivity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelALCDetectorSensitivity,
  /* command            = */"SOUR{Hardware}:POW:ALC:DSEN",
  /* integerDefault     = */RSBTC_VAL_RF_ALC_SENSITIVITY_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SAMPLE_LEVEL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SAMPLE_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level ALC Sample Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalLevelALCSampleLevel,
  /* command            = */"SOUR{Hardware}:POW:ALC:SLEV",
  /* integerDefault     = */RSBTC_VAL_RF_ALC_SAMPLE_FULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SEARCH_ONCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SEARCH_ONCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level ALC Search Once",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW:ALC:SONC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:FREQ:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSweepMode,
  /* command            = */"SOUR{Hardware}:SWE:MODE",
  /* integerDefault     = */RSBTC_VAL_SWEEP_MODE_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_START =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_START,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Start",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:SWE:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */100000000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STOP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STOP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Stop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:SWE:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */500000000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_CENTER =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_CENTER,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Center",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:SWE:CENT",
  /* integerDefault     = */0,
  /* doubleDefault      = */300000000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPAN =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPAN,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Span",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFreqSweSpan,
  /* command            = */"SOUR{Hardware}:SWE:SPAN",
  /* integerDefault     = */0,
  /* doubleDefault      = */400000000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPACING =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPACING,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Spacing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngFreqSweepSpacing,
  /* command            = */"SOUR{Hardware}:SWE:SPAC",
  /* integerDefault     = */RSBTC_VAL_FREQ_SWEEP_SPACING_LIN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SHAPE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalSweepShape,
  /* command            = */"SOUR{Hardware}:SWE:SHAP",
  /* integerDefault     = */RSBTC_VAL_RF_SWEEP_SHAPE_TRIANGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LINEAR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LINEAR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Step Linear",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngOutpFreq,
  /* command            = */"SOUR{Hardware}:SWE:STEP",
  /* integerDefault     = */0,
  /* doubleDefault      = */1000000,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LOGARITHMIC =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LOGARITHMIC,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Step Logarithmic",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngFreqSweLogStep,
  /* command            = */"SOUR{Hardware}:SWE:STEP:LOG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.01,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_DWELL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_DWELL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Dwell",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSweepDwell,
  /* command            = */"SOUR{Hardware}:SWE:DWEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.025,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_RESET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_RESET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_EXECUTE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_EXECUTE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Frequency Sweep Execute",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:EXEC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:POW:MODE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSweepMode,
  /* command            = */"SOUR{Hardware}:SWE:POW:MODE",
  /* integerDefault     = */RSBTC_VAL_SWEEP_MODE_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_START =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_START,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Start",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:POW:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STOP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STOP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Stop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:POW:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */2.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_SHAPE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_SHAPE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Shape",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalSweepShape,
  /* command            = */"SOUR{Hardware}:SWE:POW:SHAP",
  /* integerDefault     = */RSBTC_VAL_RF_SWEEP_SHAPE_TRIANGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STEP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STEP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Step",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:POW:STEP",
  /* integerDefault     = */0,
  /* doubleDefault      = */1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_DWELL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_DWELL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Dwell",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSweepDwell,
  /* command            = */"SOUR{Hardware}:SWE:POW:DWEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.025,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_RESET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_RESET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_EXECUTE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_EXECUTE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Level Sweep Execute",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:SWE:POW:EXEC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_SIGNAL_SOURCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_SIGNAL_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Signal Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalModulationSignalSource_001,
  /* command            = */"SOUR{Hardware}:IQ:SOUR",
  /* integerDefault     = */RSBTC_VAL_RF_MODULATION_SIGNAL_INTERNAL_BASEBAND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_IQ_WIDEBAND =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_IQ_WIDEBAND,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation IQ Wideband",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:WBST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_OPTIMIZATION_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_OPTIMIZATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Optimization Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBBImpairOptMode,
  /* command            = */"SOUR{Hardware}:BB:IMP:OPT:MODE",
  /* integerDefault     = */RSBTC_VAL_BB_IMPAIR_MODE_FAST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_INTERNAL_BASEBAND_GAIN =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_INTERNAL_BASEBAND_GAIN,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Internal Baseband Gain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngModGain,
  /* command            = */"SOUR{Hardware}:IQ:GAIN",
  /* integerDefault     = */RSBTC_VAL_MOD_GAIN_DB2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_GAIN =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_GAIN,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Wideband IQ Gain",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngModGain,
  /* command            = */"SOUR{Hardware}:BB:IQG",
  /* integerDefault     = */RSBTC_VAL_MOD_GAIN_DB2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_CREST_FACTOR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_CREST_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Wideband IQ Crest Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngModWCrestFactor,
  /* command            = */"SOUR{Hardware}:IQ:CRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */6.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_I_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_I_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments I Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:LEAK:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_Q_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_Q_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments Q Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:LEAK:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIRMENTS_QUADRATURE_ERR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIRMENTS_QUADRATURE_ERR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments Quadrature Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBQuadrOffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:QUAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIR_AMPLITUDE_IMBALANCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIR_AMPLITUDE_IMBALANCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments Amplitude Imbalance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBAmplImb,
  /* command            = */"SOUR{Hardware}:BB:IMP:IQR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_SKEW =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_SKEW,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments Skew",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:SKEW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_IQ_DELAY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_IQ_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulation Baseband Impairments IQ Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalModulationBasebandImpairmentsIQDelay,
  /* command            = */"SOUR{Hardware}:BB:IMP:IQD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulator Impairments State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:IMP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_I_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_I_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulator Impairments I Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:IQ:IMP:LEAK:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_Q_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_Q_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulator Impairments Q Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:IQ:IMP:LEAK:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_QUADRATURE_ERROR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_QUADRATURE_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulator Impairments Quadrature Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBQuadrOffs,
  /* command            = */"SOUR{Hardware}:IQ:IMP:QUAD:ANGL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_AMPLITUDE_IMBALANCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal Modulator Impairments Amplitude Imbalance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBAmplImb,
  /* command            = */"SOUR{Hardware}:IQ:IMP:IQR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_SOURCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Sample Rate Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputSampleRateSource,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:SRAT:SOUR",
  /* integerDefault     = */RSBTC_VAL_RF_MOD_IQ_DIGITAL_OUT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_VALUE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Sample Rate Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputSampleRateValue,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:SRAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */400.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_CONNECTED_DEVICE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_CONNECTED_DEVICE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Connected Device",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:CDEV?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_RESET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_RESET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:OFL:HOLD:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SET_LEVEL_VIA =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SET_LEVEL_VIA,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Set Level Via",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputSetLevelVia,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:POW:VIA",
  /* integerDefault     = */RSBTC_VAL_RF_MOD_IQ_DIGITAL_PEAK_LEVEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_PEAK_LEVEL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_PEAK_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Peak Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputLevel,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:POW:PEP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_LEVEL =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_LEVEL,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output Level",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputLevel,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:POW:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_ACTIVE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_ACTIVE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output User Variation Active",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputUserVariationActive,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:POW:STEP:MODE",
  /* integerDefault     = */RSBTC_VAL_RF_MOD_IQ_DIGITAL_USER_VARIATION_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_STEP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_STEP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Output User Variation Step",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQDigitalOutputUserVariationStep,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:DIG:BBMM:POW:STEP:INCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_I_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_I_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments I Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:LEAK:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_Q_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_Q_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments Q Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:LEAK:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments Quadrature Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBQuadrOffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:QUAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments Amplitude Imbalance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBAmplImb,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:IQR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_SKEW =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_SKEW,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments Skew",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:SKEW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_IQ_DELAY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_IQ_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Digital Impairments IQ Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:DIG:BBMM:IQD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputType,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:TYPE",
  /* integerDefault     = */RSBTC_VAL_RF_MOD_IQ_ANALOG_OUT_TYPE_SINGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_MODE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_MODE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputMode,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:MODE",
  /* integerDefault     = */RSBTC_VAL_RF_MOD_IQ_ANALOG_OUT_MODE_FIXED,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_IQ_LEVEL_VP =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_IQ_LEVEL_VP,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output IQ Level Vp",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputIQLevelVp_001,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */4.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_COUPLE_IQ_BIAS =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_COUPLE_IQ_BIAS,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output Couple IQ Bias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:BIAS:COUP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_BIAS =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_BIAS,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output I Settings Bias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputIQSettingsBias,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:BIAS:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_BIAS =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_BIAS,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output Q Settings Bias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputIQSettingsBias,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:BIAS:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output I Settings Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputIQSettingsOffset,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:OFFS:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Output Q Settings Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngRFSignalIQAnalogOutputIQSettingsOffset,
  /* command            = */"SOUR{Hardware}:IQ:OUTP:ANAL:OFFS:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_STATE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_I_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_I_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments I Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:LEAK:I",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_Q_OFFSET =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_Q_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments Q Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBoffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:LEAK:Q",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments Quadrature Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBQuadrOffs,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:QUAD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments Amplitude Imbalance",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBBAmplImb,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:IQR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_SKEW =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_SKEW,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments Skew",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:SKEW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_IQ_DELAY =
{
  /* constant           = */RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_IQ_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"RF Signal IQ Analog Digital Impairments IQ Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BB:IMP:ANAL:BBMM:IQD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_REMUX =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_REMUX,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Transport Stream Remux",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:REM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_TYPE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Transport Stream Player Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGeneratorTransportStreamPlayerType,
  /* command            = */"SOUR{Hardware}:MMG:REM:INP:PLAY{Player}:TYPE",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_TSTREAM_TYPE_ES,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_INPUT_STATE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_INPUT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Transport Stream Player Input State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:REM:INP:PLAY{Player}",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_STATUS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGeneratorCommand,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:COMM",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_PLAY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player File",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PLAY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_DATE_AND_TIME =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_DATE_AND_TIME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player File Date And Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:READ:FIL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_SIZE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player File Size",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:READ:FIL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_LOOP_TIME =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_LOOP_TIME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Original Loop Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:READ:PLAY:LENG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Original Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:READ:ORIG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_BYTE_RATE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_BYTE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Byte Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:BYT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Data Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:TSRATE",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenPacketLength,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PLEN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_NULLPACKET_STUFFING =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_NULLPACKET_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Nullpacket Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_STOP_DATA =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_STOP_DATA,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Stop Data",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenStopData,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:STOP",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_STOP_DATA_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Settings Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenTsPacket,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:TSP",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_TS_PACKET_H184,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID_TEST_PACKET =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID_TEST_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Settings PID Test Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDtvPidTestPacket,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PIDT",
  /* integerDefault     = */RSBTC_DTV_PID_TEST_NULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Settings PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPid,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PAYLOAD =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PAYLOAD,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Settings Payload",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PRBS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Player Output Settings PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_START =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_START,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Play Window Start",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEEK:STAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_STOP =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_STOP,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Play Window Stop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEEK:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_RESET =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_RESET,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Play Window Reset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEEK:RES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_POSITION =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Play Window Position",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEEK:POS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_CONTINUITY_COUNTER =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_CONTINUITY_COUNTER,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Seamless Loop Continuity Counter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEAM:CC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_PCR_DTS_PTS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_PCR_DTS_PTS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Seamless Loop PCR DTS PTS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEAM:PCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_TDT_TOT =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_TDT_TOT,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Seamless Loop TDT TOT",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:PLAY{Player}:CONF:SEAM:TT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_OUTPUT_CONFIG_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_OUTPUT_CONFIG_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Output Config Data Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:OUTP:CONF:RATE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_ALIAS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_ALIAS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input Alias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:ALI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Service",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputType,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:TYPE",
  /* integerDefault     = */RSBTC_VAL_IP_INPUT_TYPE_UNICAST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_MULTICAST_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_MULTICAST_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input Multicast Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:MULT:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"226.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PORT =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PORT,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputPort,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:PORT",
  /* integerDefault     = */6002,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_IGMPV3_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input IGMPv3 Source Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:IGMP:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PING_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PING_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator IP Input Ping Source Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:INP:IP{Ip}:IGMP:PING?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_MODE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_MODE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGMode,
  /* command            = */"SOUR{Hardware}:MMG:GAT:MODE",
  /* integerDefault     = */RSBTC_VAL_MMG_GATEWAY_MODE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_STATUS_INFO =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_STATUS_INFO,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway Status Info",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"L1-Error",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_USE_CASE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_USE_CASE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Use Case",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIUseCase,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:USEC",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_USE_CASE_SPNORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PROFILES =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PROFILES,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Profiles",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIProfilesNumber,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:INP:NPR",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUPS =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUPS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Groups",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLPGroups,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:INP:NGRP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLP,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:INP:NPLP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_VV_STREAM_GENERATION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_VV_STREAM_GENERATION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI VV Stream Generation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:INP:VVST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUP_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUP_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Group ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLPGroupID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_PROFILE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_PROFILE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Map To Profile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:MAPT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Input Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIInputType,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:INP:TYPE",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_INPUT_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_SELECT =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_SELECT,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Input Select",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIInputSelect,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:INP:SEL",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_INPUT_SELECT_P1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_GENERATOR_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_GENERATOR_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Generator Data Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIGeneratorDataRate,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:GEN:DAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */36.0e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_COMMON_SLOT_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_COMMON_SLOT_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Common Slot Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MICommonSlotInterval,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:CSL:INT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_CHAPTERS =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_CHAPTERS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Num Chapters",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MINumChapters,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:NCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_EIT_PACKETS =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_EIT_PACKETS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Num EIT Packets",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MINumEITPackets,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:NEIT",
  /* integerDefault     = */50,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_PLP_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_PLP_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI TS Over PLP ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLPGroupID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:TSPL:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_CPLP =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_CPLP,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI TS Over CPLP",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:TSCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PRBS_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PRBS_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PRBS PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPRBSPID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:PIDP",
  /* integerDefault     = */8190,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_NUMBER =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_NUMBER,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Number",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:NPLP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:GRO{PLPGroup}:INP:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2ModePlpId,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:ID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_GROUP =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_GROUP,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Map To Group",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:MAPT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PlpType,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:TYPE",
  /* integerDefault     = */RSBTC_VAL_DVBT2_PLP_TYPE_DT1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_DATA =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_DATA,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Data",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLPData,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:DATA",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_PLP_DATA_FULL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_PAYLOAD_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_PAYLOAD_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI PLP Payload Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIPLPPayloadType,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:PAYL?",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_PLP_PAYLOAD_TS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NEW_TS_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NEW_TS_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI New TS ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:TSID",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BB_MODE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BB_MODE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI BB Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2BbMode,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:BB_M",
  /* integerDefault     = */RSBTC_VAL_DVBT2_BB_MODE_HEM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_AUTO_ISSY =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_AUTO_ISSY,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Auto ISSY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:AUTO:ISSY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_ISSY =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_ISSY,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI ISSY",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2IssyMode,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:ISSY",
  /* integerDefault     = */RSBTC_VAL_DVBT2_MODE_ISSY_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_MAX_BUFFER_SIZE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_MAX_BUFFER_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Max Buffer Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:BUFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BUFFER_SIZE_UNIT =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BUFFER_SIZE_UNIT,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Buffer Size Unit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIBufferSizeUnit,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:BUFS:UNIT",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_BSIZE_UNIT_BITS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_DESIGN_DELAY =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_DESIGN_DELAY,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Design Delay",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIDesignDelay,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:DES:DEL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_NULL_PACKET_DELETION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_NULL_PACKET_DELETION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Null Packet Deletion",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:NPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI In-Band Signalling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:IBS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_A =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_A,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI In-Band Signalling A",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:IBS:A",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_B =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_B,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI In-Band Signalling B",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:IBS:B",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FEC_FRAME =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FEC_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI FEC Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2BicmFec,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:FECF",
  /* integerDefault     = */RSBTC_VAL_DVBT2_BICM_FEC_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CODE_RATE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CODE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Code Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2CRate,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:RATE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_CRATE_R35,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Constellation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2Constel,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_CONSTEL_T256,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION_ROTATION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION_ROTATION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Constellation Rotation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:CROT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Time Interleaver Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TimeInt,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:TIL:TYPE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_TIME_TYPE_T0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FRAME_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FRAME_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Frame Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIFrameInterval,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:TIL:FINT",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_LENGTH =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Time Interleaver Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2TimeInterLen,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:TIL:LENG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FIRST_FRAME_INDEX =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FIRST_FRAME_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI First Frame Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2BICMFirstFrameIndex,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:FRAM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_AUTO_NUM_BLOCKS_MAX =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_AUTO_NUM_BLOCKS_MAX,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Auto Num Blocks Max",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:AUTO:MAXB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_NUM_BLOCKS_MAX =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_NUM_BLOCKS_MAX,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Num Blocks Max",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MINumBlocksMax,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:MAXB",
  /* integerDefault     = */202,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_MAX_NUM_BLOCKS_MAX =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_MAX_NUM_BLOCKS_MAX,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Max Num Blocks Max",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PLP{MMPlp}:MAX:MAXB?",
  /* integerDefault     = */202,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_CHANNEL_BANDWIDTH =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_CHANNEL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Channel Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2MIChBWidth,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF:CHAN:BAND",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2MI_CH_BWIDTH_BW_8,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_FFT_SIZE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_FFT_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing FFT Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2FftMode,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:FFT:MODE",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_FFT_M32E,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_GUARD_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_GUARD_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Guard Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2GuardInt,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:GUAR:INT",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_GUARD_G1128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_PILOT_PATTERN =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_PILOT_PATTERN,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Pilot Pattern",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PilotPatt,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:PIL",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_PILOT_PP7,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAMES_PER_SUPER_FRAME =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAMES_PER_SUPER_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Per Super Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2T2SuperFrame,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:NT2F",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_DATA_SYMBOLS_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_DATA_SYMBOLS_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Data Symbols Per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIFramingDataSymbolsPerT2Frame,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:LDAT",
  /* integerDefault     = */59,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_SUBSLICES_PER_T2_FRAME =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_SUBSLICES_PER_T2_FRAME,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing Subslices Per T2 Frame",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SubslicT2Fram,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:NSUB",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAME_DURATION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAME_DURATION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Framing T2 Frame Duration",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:TF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_SCHEDULING =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_SCHEDULING,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Scheduling",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIT2SystemScheduling,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:SCH",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_SHCEDULING_STATIC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TRANSMISSION_SYSTEM =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TRANSMISSION_SYSTEM,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Transmission System",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIT2TransSyst,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:TXSY",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_TRANS_SISO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_PEAK_TO_AVERAGE_POWER_RATIO =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_PEAK_TO_AVERAGE_POWER_RATIO,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Peak To Average Power Ratio",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2PeakAverPow,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:PAPR",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_PEAK_AVER_POW_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FUTURE_EXTENSION_FRAMES =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FUTURE_EXTENSION_FRAMES,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Future Extension Frames",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:FEF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System FEF Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2Fef,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:FEF:TYPE",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_LENGTH =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System FEF Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIT2SystemFEFLength,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:FEF:LENG",
  /* integerDefault     = */550000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_INTERVAL =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_INTERVAL,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System FEF Interval",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIT2SystemFEFInterval,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:FEF:INT",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TIME_FREQUENCY_SLICING =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TIME_FREQUENCY_SLICING,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Time Frequency Slicing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:TFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_T2_VERSION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_T2_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 T2 Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2L1Version,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:T2V",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_L1_VER_V131,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_MODULATION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_MODULATION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 Post Modulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2L1PostModul,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:CONS",
  /* integerDefault     = */RSBTC_VAL_IQC_DVBT2_L1_POST_T64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_REPETITION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_REPETITION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 Repetition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:REP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_EXTENSION =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_EXTENSION,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 Post Extension",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:EXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_SCRAMBLED =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_SCRAMBLED,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 Post Scrambled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:SCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_BIAS_BALANCING_BITS =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_BIAS_BALANCING_BITS,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 Bias Balancing Bits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:BIAS:BITS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_T2_BASE_LITE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_T2_BASE_LITE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System T2 Base Lite",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:L:T2B",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_RF_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_RF_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System L1 RF Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:RFS:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_CELL_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_CELL_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Cell ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:CELL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_NETWORK_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_NETWORK_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System Network ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:NETW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_ID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_ID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI T2 System ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDvbt2SystIDHex,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:T2SY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_TIMESTAMP_MODE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_TIMESTAMP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 Timestamp Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIOutputT2TimestampMode,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:TSP:MODE",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_TSTAMP_MODE_REL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TIME_OFFSET =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TIME_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output Time Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIOutputTimeOffset,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:TSP:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TOTAL_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TOTAL_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output Total Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:TOT:DAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_RESTART =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_RESTART,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output Restart",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 MI PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGVBT2MIOutputT2MIPID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:OUTP:PID",
  /* integerDefault     = */4096,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_SID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_SID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 MI SID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDVBT2InputSignalT2MISID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:OUTP:SID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_TS_TYPE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_TS_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 MI TS Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIOutputT2MITSType,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:TSTY",
  /* integerDefault     = */RSBTC_VAL_MMG_DVBT2MI_OUT_TS_TYPE_SINGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PMT_PID =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PMT_PID,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 MI PMT PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIOutputT2MIPMTPID,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:PMTP",
  /* integerDefault     = */4096,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)rsbtc_hex_WriteCallback,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"MM Generator Gateway DVBT2 MI Output T2 MI Data Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngMMGDVBT2MIOutputT2MIDataRate,
  /* command            = */"SOUR{Hardware}:MMG:GAT:T2MI:PROF{Profile}:OUTP:DAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */72.0e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_STATE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SENSOR_TYPE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SENSOR_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Sensor Type",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENSe:TYPE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_POWER =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ:POW?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_UNIT =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_UNIT,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Unit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowerMeterUnit,
  /* command            = */"SENS:UNIT",
  /* integerDefault     = */RSBTC_VAL_POWER_METER_UNIT_DBM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_ZERO =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_ZERO,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Zero",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:ZERO",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowerMeterSource,
  /* command            = */"SENS:SOUR",
  /* integerDefault     = */RSBTC_VAL_PWR_METER_SOURCE_TX,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE_FREQUENCY =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:FREQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e9,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER_STATE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source Rel Power State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowerMeterRelPowerState,
  /* command            = */"SENS:REL:STAT",
  /* integerDefault     = */RSBTC_VAL_PWR_METER_REL_STAT_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE_M2REF =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE_M2REF,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source M2Ref",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:REL:M2R",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE_REF_POWER =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE_REF_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source Ref Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngPowerMeterRefPower,
  /* command            = */"SENS:REL:REFP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Source Rel Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"READ:POW:REL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_TYPE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Average Filter Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowerMeterAverageFilterType,
  /* command            = */"SENS:FILT:TYPE",
  /* integerDefault     = */RSBTC_VAL_PWR_METER_FILTER_AUTO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_LENGTH =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Average Filter Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngPowerMeterFilterLength,
  /* command            = */"SENS:FILT:LENG",
  /* integerDefault     = */RSBTC_VAL_PWR_METER_FILTER_LEN_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_POWER_METER_AVERAGE_AUTO_ONCE =
{
  /* constant           = */RSBTC_ATTR_POWER_METER_AVERAGE_AUTO_ONCE,
#if defined (_DEBUG)
  /* debug name         = */"Power Meter Average Auto Once",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:FILT:SONC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_STATUS =
{
  /* constant           = */RSBTC_ATTR_TSGEN_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngMMGeneratorCommand,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:COMM",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_PLAY,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_SEEK_POSITION =
{
  /* constant           = */RSBTC_ATTR_TSGEN_SEEK_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Seek Position",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEEK:POS?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_PLAYFILE =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_PLAYFILE,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Playfile",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:PLAY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_FILE_DATE_AND_SIZE =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_FILE_DATE_AND_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player File Date and Size",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:READ:FILEINFO?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_ORIGINAL_TS_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_TSGEN_ORIGINAL_TS_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Original TS Data Rate",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:READ:ORIG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_BYTE_RATE =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_BYTE_RATE,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Byte Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:BYT",
  /* integerDefault     = */0,
  /* doubleDefault      = */1.0e6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_TS_DATA_RATE =
{
  /* constant           = */RSBTC_ATTR_TSGEN_TS_DATA_RATE,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player TS Data Rate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:TSRATE",
  /* integerDefault     = */0,
  /* doubleDefault      = */5.0e+6,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAY_WINDOW_START =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAY_WINDOW_START,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Play Window Start",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEEK:START",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAY_WINDOW_STOP =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAY_WINDOW_STOP,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Play Window Stop",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEEK:STOP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PACKET_LENGTH =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PACKET_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Packet Length",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenPacketLength,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:PLEN?",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_PLENGTH_188,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_TS_SERIAL_OUTPUT =
{
  /* constant           = */RSBTC_ATTR_TSGEN_TS_SERIAL_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player TS Serial Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTSGENPlayerTSSerialOutput,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:ASIF",
  /* integerDefault     = */RSBTC_VAL_TSGEN_ASIBURST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_ORIGINAL_LOOP_TIME =
{
  /* constant           = */RSBTC_ATTR_TSGEN_ORIGINAL_LOOP_TIME,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Original Loop Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:READ:PLAYFILE:LENG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_NULLPACKET_STUFFING =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_NULLPACKET_STUFFING,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Nullpacket Stuffing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:STUF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_CONTINUITY_COUNTER =
{
  /* constant           = */RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_CONTINUITY_COUNTER,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Seamless Loop Continuity Counter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEAM:CC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_PCR_DTS_PTS =
{
  /* constant           = */RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_PCR_DTS_PTS,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Seamless Loop PCR DTS PTS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEAM:PCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_TDT_TOT =
{
  /* constant           = */RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_TDT_TOT,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Seamless Loop TDT TOT",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:SEAM:TT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_STOP_DATA =
{
  /* constant           = */RSBTC_ATTR_TSGEN_STOP_DATA,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Stop Data",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenStopData,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:STOP",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_STOP_DATA_NONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_TEST_TS_PACKET =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_TEST_TS_PACKET,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Test TS Packet",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngTsgenTsPacket,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:TSP",
  /* integerDefault     = */RSBTC_VAL_MM_GENERATOR_TS_PACKET_H184,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PAYLOAD_TEST_STUFF =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PAYLOAD_TEST_STUFF,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player Payload Test Stuff",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TSGEN_PLAYER_PRBS =
{
  /* constant           = */RSBTC_ATTR_TSGEN_PLAYER_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"TSGEN Player PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SOUR{Hardware}:TSGEN:CONF:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_SYSTEM_DISPLAY_UPDATE =
{
  /* constant           = */RSBTC_ATTR_SYSTEM_DISPLAY_UPDATE,
#if defined (_DEBUG)
  /* debug name         = */"System Display Update",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:DISP:UPD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_SYSTEM_KLOCK =
{
  /* constant           = */RSBTC_ATTR_SYSTEM_KLOCK,
#if defined (_DEBUG)
  /* debug name         = */"System Keypad Lock",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngSystemKLock,
  /* command            = */"SYST:KLOC",
  /* integerDefault     = */RSBTC_VAL_SYST_KLOCK_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_SYSTEM_REBOOT =
{
  /* constant           = */RSBTC_ATTR_SYSTEM_REBOOT,
#if defined (_DEBUG)
  /* debug name         = */"System Reboot",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */":SYST:REB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_SYSTEM_RESTART =
{
  /* constant           = */RSBTC_ATTR_SYSTEM_RESTART,
#if defined (_DEBUG)
  /* debug name         = */"System Restart",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */":SYST:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_SYSTEM_SHUTDOWN =
{
  /* constant           = */RSBTC_ATTR_SYSTEM_SHUTDOWN,
#if defined (_DEBUG)
  /* debug name         = */"System Shutdown",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */":SYST:SHUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_ERROR_LIST =
{
  /* constant           = */RSBTC_ATTR_ERROR_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Error List",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */":SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_PRESET =
{
  /* constant           = */RSBTC_ATTR_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_RCL =
{
  /* constant           = */RSBTC_ATTR_RCL,
#if defined (_DEBUG)
  /* debug name         = */"RCL",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRclSave,
  /* command            = */"*RCL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_SAV =
{
  /* constant           = */RSBTC_ATTR_SAV,
#if defined (_DEBUG)
  /* debug name         = */"SAV",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngRclSave,
  /* command            = */"*SAV",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_TX_ADJUST_ALL =
{
  /* constant           = */RSBTC_ATTR_TX_ADJUST_ALL,
#if defined (_DEBUG)
  /* debug name         = */"TX Adjust All",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CAL{Hardware}:ALL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_ADJUST_IO_MODULATOR_LOCAL_AB =
{
  /* constant           = */RSBTC_ATTR_TX_ADJUST_IO_MODULATOR_LOCAL_AB,
#if defined (_DEBUG)
  /* debug name         = */"TX Adjust IO Modulator Local AB",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CAL{Hardware}:IQM:LOC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_TX_LAST_FULL_ADJUSTMENT =
{
  /* constant           = */RSBTC_ATTR_TX_LAST_FULL_ADJUSTMENT,
#if defined (_DEBUG)
  /* debug name         = */"TX Last Full Adjustment",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CAL{Hardware}:ALL:DATE?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_WAIT_FOR_OPC_AFTER_WRITES,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_MEASUREMENT_STATE =
{
  /* constant           = */RSBTC_ATTR_BER_MEASUREMENT_STATE,
#if defined (_DEBUG)
  /* debug name         = */"BER Measurement State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BER:MEAS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_MEASUREMENT_RESTART =
{
  /* constant           = */RSBTC_ATTR_BER_MEASUREMENT_RESTART,
#if defined (_DEBUG)
  /* debug name         = */"BER Measurement Restart",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BER:REST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_ALIAS =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_ALIAS,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input Alias",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:ALI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Service",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_TYPE =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputType,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:TYPE",
  /* integerDefault     = */RSBTC_VAL_IP_INPUT_TYPE_UNICAST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_MULTICAST_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_MULTICAST_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input Multicast Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:MULT:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"226.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_PORT =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_PORT,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngIPInputPort,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:PORT",
  /* integerDefault     = */6002,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_IGMPV3_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input IGMPv3 Source Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:IGMP:ADDR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0.0.0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_IP_INPUT_PING_SOURCE_ADDRESS =
{
  /* constant           = */RSBTC_ATTR_BER_IP_INPUT_PING_SOURCE_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"BER IP Input Ping Source Address",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR{Hardware}:BER:INP:IP{Ip}:IGMP:PING?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"1",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsAttrProperties  g_RSBTC_ATTR_BER_RESULT =
{
  /* constant           = */RSBTC_ATTR_BER_RESULT,
#if defined (_DEBUG)
  /* debug name         = */"BER Result",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_ALL_RESULTS =
{
  /* constant           = */RSBTC_ATTR_BER_ALL_RESULTS,
#if defined (_DEBUG)
  /* debug name         = */"BER All Results",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_EVALUATION =
{
  /* constant           = */RSBTC_ATTR_BER_EVALUATION,
#if defined (_DEBUG)
  /* debug name         = */"BER Evaluation",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER:EVAL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_STATE =
{
  /* constant           = */RSBTC_ATTR_BER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"BER State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER:STAT?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_ERROR_COUNT =
{
  /* constant           = */RSBTC_ATTR_BER_ERROR_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"BER Error Count",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER:COUN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_GATING_TIME =
{
  /* constant           = */RSBTC_ATTR_BER_GATING_TIME,
#if defined (_DEBUG)
  /* debug name         = */"BER Gating Time",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"READ:BER:GATE:TIME?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_GATING_MODE =
{
  /* constant           = */RSBTC_ATTR_BER_GATING_MODE,
#if defined (_DEBUG)
  /* debug name         = */"BER Gating Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerGatMode,
  /* command            = */"SENS:BER:GATE:MODE",
  /* integerDefault     = */RSBTC_VAL_BER_GATING_INFINITE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_GATING_TIME_USER =
{
  /* constant           = */RSBTC_ATTR_BER_GATING_TIME_USER,
#if defined (_DEBUG)
  /* debug name         = */"BER Gating Time User",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BER:TIME:USER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"00:00:01",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"BER Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerSelMeas,
  /* command            = */"SENS:BER",
  /* integerDefault     = */RSBTC_VAL_BER_INPUT_SERIAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_SIGNAL_IP_TS_CHANNEL =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_SIGNAL_IP_TS_CHANNEL,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Signal IP TS Channel",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngInputSignalIPTSChannel,
  /* command            = */"SENS:BER:TSCH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_CLOCK =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_CLOCK,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Clock",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerInputPolarity,
  /* command            = */"SENS:BER:SER:CLOC",
  /* integerDefault     = */RSBTC_BER_INPUT_POLARITY_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_DATA =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_DATA,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Data",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerInputPolarity,
  /* command            = */"SENS:BER:SER:DATA",
  /* integerDefault     = */RSBTC_BER_INPUT_POLARITY_NORMAL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_ENABLE =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_ENABLE,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Enable",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerFuncInp,
  /* command            = */"SENS:BER:SER:ENAB",
  /* integerDefault     = */RSBTC_BER_FUNC_INPUT_ALWAYS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_TRESHOLD_CLK_DATA_EN =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_TRESHOLD_CLK_DATA_EN,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Treshold Clk Data En",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rsbtc_rngBERInputTresholdClkDataEn,
  /* command            = */"SENS:BER:SER:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.1,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_FORMAT =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBERInputFormat,
  /* command            = */"SENS:BER:FORM",
  /* integerDefault     = */RSBTC_VAL_BER_INPUT_FORMAT_ASI,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_SIGNAL =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Signal",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBerDataStream,
  /* command            = */"SENSe:BER:SIGN",
  /* integerDefault     = */RSBTC_VAL_BER_SIGNAL_STUF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_PID_FILTER =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_PID_FILTER,
#if defined (_DEBUG)
  /* debug name         = */"BER Input PID Filter",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:BER:PIDF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_PID =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_PID,
#if defined (_DEBUG)
  /* debug name         = */"BER Input PID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngBERInputPID,
  /* command            = */"SENS:BER:PID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_SETTINGS_PAYLOAD =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_SETTINGS_PAYLOAD,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Settings Payload",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPayload,
  /* command            = */"SENS:BER:PAYL",
  /* integerDefault     = */RSBTC_VAL_DTV_PAYLOAD_PRBS,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_BER_INPUT_SETTINGS_PRBS =
{
  /* constant           = */RSBTC_ATTR_BER_INPUT_SETTINGS_PRBS,
#if defined (_DEBUG)
  /* debug name         = */"BER Input Settings PRBS",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rsbtc_rngDTVPrbsMode,
  /* command            = */"SENS:BER:PRBS",
  /* integerDefault     = */RSBTC_VAL_DTV_PRBS_P231,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsAttrProperties  g_RSBTC_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSBTC_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsReadAttr_CallbackPtr)NULL,
  /* writeCallback      = */(RsWriteAttr_CallbackPtr)NULL,
  /* checkCallback      = */(RsCheckAttr_CallbackPtr)NULL,
  /* checkStatusCallback      = */(RsCheckStatusAttr_CallbackPtr)NULL,
  /* coerceCallback     = */(RsCoerceAttr_CallbackPtr)NULL,
  /* rngTableCallback   = */(RsRangeTable_CallbackPtr)NULL,
  /* userCallback       = */(RsUserAttr_CallbackPtr)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsAttrPropertiesPtr rsbtc_RsAttrPropertiesList[] =
{
&g_RSBTC_RS_ATTR_RANGE_CHECK,
&g_RSBTC_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSBTC_RS_ATTR_CACHE,
&g_RSBTC_RS_ATTR_SIMULATE,
&g_RSBTC_RS_ATTR_RECORD_COERCIONS,
&g_RSBTC_RS_ATTR_INTERCHANGE_CHECK,
&g_RSBTC_RS_ATTR_SPY,
&g_RSBTC_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSBTC_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSBTC_RS_ATTR_GROUP_CAPABILITIES,
&g_RSBTC_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSBTC_RS_ATTR_CHANNEL_COUNT,
&g_RSBTC_RS_ATTR_DRIVER_SETUP,
&g_RSBTC_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSBTC_RS_ATTR_INSTRUMENT_MODEL,
&g_RSBTC_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSBTC_RS_ATTR_OPTIONS_LIST,
&g_RSBTC_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSBTC_RS_ATTR_LOGICAL_NAME,
&g_RSBTC_RS_ATTR_PRIMARY_ERROR,
&g_RSBTC_RS_ATTR_SECONDARY_ERROR,
&g_RSBTC_RS_ATTR_ERROR_ELABORATION,
&g_RSBTC_RS_ATTR_VISA_RM_SESSION,
&g_RSBTC_RS_ATTR_IO_SESSION,
&g_RSBTC_RS_ATTR_IO_SESSION_TYPE,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSBTC_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSBTC_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSBTC_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSBTC_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSBTC_RS_ATTR_ENGINE_REVISION,
&g_RSBTC_RS_ATTR_OPC_CALLBACK,
&g_RSBTC_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSBTC_RS_ATTR_OPC_TIMEOUT,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_TYPE,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_DTV_STANDARD,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_ATV_STANDARD,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_TRANSMISSION_AUDIO_BC_STANDARD,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_POLARITY,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_CN,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_EB_N0_RATIO,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_BANDWIDTH_COUPLING,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_RECEIVER_BANDWIDTH,
&g_RSBTC_ATTR_BASEBAND_SIGNAL_AWGN_SETTINGS_GENERATED_NOISE_BW,
&g_RSBTC_ATTR_IP_INPUT,
&g_RSBTC_ATTR_IP_INPUT_ALIAS,
&g_RSBTC_ATTR_IP_INPUT_TYPE,
&g_RSBTC_ATTR_IP_INPUT_MULTICAST_ADDRESS,
&g_RSBTC_ATTR_IP_INPUT_PORT,
&g_RSBTC_ATTR_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
&g_RSBTC_ATTR_IP_INPUT_PING_SOURCE_ADDRESS,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_INTERFACE,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PID,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_SID,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_NUMBER_OF_PLP,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_INPUT_FORMAT,
&g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_PACKET_LENGTH,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_STUFFING,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_PLP_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBT2_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_ANALYZER_RESET_LOG_FILE,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_MEAS_MODE,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN1,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN2,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMIN3,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX1,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX2,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX3,
&g_RSBTC_ATTR_DVBT2_INPUT_SIGNAL_T2_MI_PACKET_TIMING_T2_MI_TMAX4,
&g_RSBTC_ATTR_DVBT2_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBT2_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBT2_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBT2_CONFIGURING_PAYLOAD_TEST_PACKET,
&g_RSBTC_ATTR_DVBT2_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_ID,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_GROUP_ID,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_PLP_TYPE,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_BB_MODE,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_ISSY,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_NULL_PACKET_DELETION,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_A,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_IN_BAND_SIGNALING_B,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_OTHER_IN_BAND_PLPS,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_CM_TYPE,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_FLAG,
&g_RSBTC_ATTR_DVBT2_MODE_STREAM_STATIC_PADDING_FLAG,
&g_RSBTC_ATTR_DVBT2_BICM_FEC_FRAME,
&g_RSBTC_ATTR_DVBT2_BICM_CODE_RATE,
&g_RSBTC_ATTR_DVBT2_BICM_CONSTELLATION,
&g_RSBTC_ATTR_DVBT2_BICM_CONSTELLATION_ROTATION,
&g_RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_TYPE,
&g_RSBTC_ATTR_DVBT2_BICM_FRAME_INTERVAL,
&g_RSBTC_ATTR_DVBT2_BICM_TIME_INTERLEAVER_LENGTH,
&g_RSBTC_ATTR_DVBT2_BICM_FIRST_FRAME_INDEX,
&g_RSBTC_ATTR_DVBT2_BICM_FEC_BLOCKS_PER_IF,
&g_RSBTC_ATTR_DVBT2_BICM_FEC_MAX_NUMBER_OF_BLOCKS,
&g_RSBTC_ATTR_DVBT2_FRAMING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_DVBT2_FRAMING_USED_BANDWIDTH,
&g_RSBTC_ATTR_DVBT2_FRAMING_BANDWIDTH_VARIATION,
&g_RSBTC_ATTR_DVBT2_FRAMING_FFT_SIZE,
&g_RSBTC_ATTR_DVBT2_FRAMING_GUARD_INTERVAL,
&g_RSBTC_ATTR_DVBT2_FRAMING_PILOT_PATTERN,
&g_RSBTC_ATTR_DVBT2_FRAMING_T2_FRAMES_PER_SUPER_FRAME,
&g_RSBTC_ATTR_DVBT2_FRAMING_OFDM_SYMBOLS_PER_T2_FRAME,
&g_RSBTC_ATTR_DVBT2_FRAMING_DATA_SYMBOLS_PER_T2_FRAME,
&g_RSBTC_ATTR_DVBT2_FRAMING_SUBSLICES_PER_T2_FRAME,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_MODE,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_PROFILE_MODE,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TRANSMISSION_SYSTEM,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP_MODE,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_MISO_GROUP,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_PEAK_TO_AVRAGE_POWER_RATIO,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FUTURE_EXTENSION_FRAMES,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_TYPE,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_LENGTH,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_INTERVAL,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_FEF_PAYLOAD,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TIME_FREQUENCY_SLICING,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_T2_VERSION,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_MODULATION,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_REPETITION,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_EXTENSION,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_POST_SCRAMBLED,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_T2_BASE_LITE,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NUM_AUX_STREAMS,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_RF_SIGNALLING,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_L1_SIGNALLING_FREQUENCY,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_CELL_ID,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_NETWORK_ID,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_ID,
&g_RSBTC_ATTR_DVBT2_T2_SYSTEM_TX_ID_AVAILABILITY,
&g_RSBTC_ATTR_DVBT2_SFN_PROCESS_DELAY,
&g_RSBTC_ATTR_DVBT2_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_DVBT2_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_DVBT2_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_DVBT2_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_DVBT2_SFN_MUTE_FIRST_SUPER_FRAME_P1,
&g_RSBTC_ATTR_DVBT2_SFN_1PPS_ROUTING,
&g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE,
&g_RSBTC_ATTR_DVBT2_SFN_UPDATE_TIMESTAMP,
&g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_DATE,
&g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_UTC_TIME,
&g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_OFFSET,
&g_RSBTC_ATTR_DVBT2_SFN_TIMESTAMP_MODE_SECONDS_SINCE_2000,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_SUPER_FRAME_DURATION,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_T2_FRAME_DURATION,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_FUTURE_EXTENSION_FRAME_DURATION,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_P1_SYMBOL_DURATION,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TP2,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_OFDM_SYMBOL_DURATION_TS,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_BITS,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_PRE_SIGNALING_CELLS,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_BITS,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_L1_POST_SIGNALING_CELLS,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_PER_T2_FRAME,
&g_RSBTC_ATTR_DVBT2_FRAME_INFO_PLP_DATA_CELLS_IN_CURRENT_T2_FRAME,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_NUMBER_OF_PLP,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MAX_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBC2_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DVBC2_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_DVBC2_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBC2_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBC2_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBC2_CONFIGURING_PAYLOAD_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBC2_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_ID,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_BUNDLING,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_PLP_TYPE,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_BB_MODE,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_ISSY,
&g_RSBTC_ATTR_DVBC2_MODE_STREAM_ADAPTATION_NULL_PACKET_DELETION,
&g_RSBTC_ATTR_DVBC2_BICM_FEC_FRAME,
&g_RSBTC_ATTR_DVBC2_BICM_CODE_RATE,
&g_RSBTC_ATTR_DVBC2_BICM_CONSTELLATION,
&g_RSBTC_ATTR_DVBC2_BICM_XFEC_FRAME_LENGTH,
&g_RSBTC_ATTR_DVBC2_BICM_MAPPED_TO_DATA_SLICE,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_REL,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_REL,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_MIN_ABS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_MAX_ABS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_DATA_SLICES,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_ID,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_TI_DEPTH,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_TYPE,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_FEC_HEADER_TYPE,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_NUMBER_OF_MAPPED_PLPS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_LEFT,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_REL,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_OFFSET_RIGHT,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_REL,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_REL,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_WIDTH,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_ABS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_POSITION_ABS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_ABS,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_START_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_TUNE_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_DATA_SLICE_STOP_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_BICM_NUMBER_OF_XFEC_FRAMES,
&g_RSBTC_ATTR_DVBC2_NOTCH_NUMBER_OF_NOTCHES,
&g_RSBTC_ATTR_DVBC2_NOTCH_START_REL,
&g_RSBTC_ATTR_DVBC2_NOTCH_STOP_REL,
&g_RSBTC_ATTR_DVBC2_NOTCH_WIDTH,
&g_RSBTC_ATTR_DVBC2_NOTCH_TYPE,
&g_RSBTC_ATTR_DVBC2_NOTCH_START_ABS,
&g_RSBTC_ATTR_DVBC2_NOTCH_STOP_ABS,
&g_RSBTC_ATTR_DVBC2_NOTCH_START_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_NOTCH_STOP_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_FRAMING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_DVBC2_FRAMING_C2_BANDWIDTH,
&g_RSBTC_ATTR_DVBC2_FRAMING_USED_BANDWIDTH,
&g_RSBTC_ATTR_DVBC2_FRAMING_GUARD_INTERVAL,
&g_RSBTC_ATTR_DVBC2_FRAMING_BASEBAND_FILTER,
&g_RSBTC_ATTR_DVBC2_FRAMING_DX,
&g_RSBTC_ATTR_DVBC2_FRAMING_START_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_FRAMING_CALC_CENTER_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_FRAMING_ADJUST_RF_FREQUENCY,
&g_RSBTC_ATTR_DVBC2_FRAMING_CARRIER_SPACING,
&g_RSBTC_ATTR_DVBC2_FRAMING_NUMBER_OF_PREAMBLE_SYMBOLS,
&g_RSBTC_ATTR_DVBC2_C2_SYSTEM_NETWORK_ID,
&g_RSBTC_ATTR_DVBC2_C2_SYSTEM_ID,
&g_RSBTC_ATTR_DVBC2_C2_SYSTEM_L1_TIME_INTERLEAVER,
&g_RSBTC_ATTR_DVBC2_C2_SYSTEM_RESERVED_TONES,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_SOURCE_LP,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_LP,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_STUFFING_LP,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_PACKET_LENGTH_LP,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_DVBT_INPUT_SIGNAL_TEST_SIGNAL_LP,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE_LP,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_MEASURED_DATA_RATE_LP,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBT_INPUT_SIGNAL_USEFUL_DATA_RATE_LP,
&g_RSBTC_ATTR_DVBT_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBT_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBT_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBT_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_DVBT_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBT_SYSTEM_NETWORK_MODE,
&g_RSBTC_ATTR_DVBT_CODING_CONTROL,
&g_RSBTC_ATTR_DVBT_CODING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_DVBT_CODING_USED_BANDWIDTH,
&g_RSBTC_ATTR_DVBT_CODING_FFT_MODE,
&g_RSBTC_ATTR_DVBT_CODING_GUARD_INTERVAL,
&g_RSBTC_ATTR_DVBT_CODING_DVBH_STATE,
&g_RSBTC_ATTR_DVBT_CODING_DVBH_SYMBOL_INTERLEAVER,
&g_RSBTC_ATTR_DVBT_CODING_HIERARCHY,
&g_RSBTC_ATTR_DVBT_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DVBT_CODING_CODE_RATE,
&g_RSBTC_ATTR_DVBT_CODING_CODE_RATE_LP,
&g_RSBTC_ATTR_DVBT_SETTINGS_TPS_CELL_ID,
&g_RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_STATE,
&g_RSBTC_ATTR_DVBT_SETTINGS_TPS_RESERVED_BITS,
&g_RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING,
&g_RSBTC_ATTR_DVBT_SETTINGS_TIME_SLICING_LP,
&g_RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC,
&g_RSBTC_ATTR_DVBT_SETTINGS_MPE_FEC_LP,
&g_RSBTC_ATTR_DVBT_SFN_NETWORK_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_PROCESSING_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_DVBT_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_MAXIMUM_DELAY,
&g_RSBTC_ATTR_DVBT_SFN_DISPATCH_TIME,
&g_RSBTC_ATTR_DVBT_SFN_MUTE_1ST_OFDM_SYMBOL,
&g_RSBTC_ATTR_DVBT_SFN_1PPS_ROUTING,
&g_RSBTC_ATTR_DVBT_SFN_OFFSET,
&g_RSBTC_ATTR_DVBT_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_DVBT_SPECIAL_SCRAMBLER,
&g_RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER_LP,
&g_RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION,
&g_RSBTC_ATTR_DVBT_SPECIAL_SYNC_BYTE_INVERSION_LP,
&g_RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_DVBT_SPECIAL_REED_SOLOMON_LP,
&g_RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
&g_RSBTC_ATTR_DVBT_SPECIAL_CONVOLUTIONAL_INTERLEAVER_LP,
&g_RSBTC_ATTR_DVBT_SPECIAL_BIT_INTERLEAVER,
&g_RSBTC_ATTR_DVBT_SPECIAL_SYMBOL_INTERLEAVER,
&g_RSBTC_ATTR_DVBT_SPECIAL_GUARD_INSERTION,
&g_RSBTC_ATTR_DVBT_SPECIAL_DISABLE_CARRIERS,
&g_RSBTC_ATTR_DVBT_SPECIAL_LOAD_CARRIERS,
&g_RSBTC_ATTR_DVBT_SPECIAL_STORE_CARRIERS,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_DVBC_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBC_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DVBC_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBC_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBC_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBC_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_DVBC_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBC_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_DVBC_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DVBC_CODING_ROLL_OFF,
&g_RSBTC_ATTR_DVBC_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_DVBC_SPECIAL_SCRAMBLER,
&g_RSBTC_ATTR_DVBC_SPECIAL_SYNC_BYTE_INVERSION,
&g_RSBTC_ATTR_DVBC_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_DVBC_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_DVBS_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBS_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DVBS_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBS_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBS_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBS_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_DVBS_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBS_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_DVBS_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DVBS_CODING_ROLL_OFF,
&g_RSBTC_ATTR_DVBS_CODING_CODE_RATE,
&g_RSBTC_ATTR_DVBS_CID_ENABLED,
&g_RSBTC_ATTR_DVBS_CID_HOST_SIGNAL,
&g_RSBTC_ATTR_DVBS_CID_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_DVBS_CID_CHIP_RATE,
&g_RSBTC_ATTR_DVBS_CID_DELTA_PSD,
&g_RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID,
&g_RSBTC_ATTR_DVBS_CID_GLOBAL_UNIQUE_ID_CRC,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_LATITUDE,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_LONGITUDE,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_ENABLED,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_NUMBER,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED,
&g_RSBTC_ATTR_DVBS_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER,
&g_RSBTC_ATTR_DVBS_PHASE_NOISE_ENABLED,
&g_RSBTC_ATTR_DVBS_PHASE_NOISE_CW_MODE,
&g_RSBTC_ATTR_DVBS_PHASE_NOISE_MAGNITUDE,
&g_RSBTC_ATTR_DVBS_PHASE_NOISE_SHAPE,
&g_RSBTC_ATTR_DVBS_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_DVBS_SPECIAL_SCRAMBLER,
&g_RSBTC_ATTR_DVBS_SPECIAL_SYNC_BYTE_INVERSION,
&g_RSBTC_ATTR_DVBS_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_DVBS_SPECIAL_CONVOLUTIONAL_INTERLEAVER,
&g_RSBTC_ATTR_8VBS_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_8VSB_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_8VSB_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_8VSB_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_8VSB_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_8VSB_CONFIGURING_PID,
&g_RSBTC_ATTR_8VSB_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_8VSB_CONFIGURING_PRBS,
&g_RSBTC_ATTR_8VSB_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_8VSB_CODING_CONSTELLATION,
&g_RSBTC_ATTR_8VSB_CODING_ROLL_OFF,
&g_RSBTC_ATTR_8VSB_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_8VSB_SPECIAL_RANDOMIZER,
&g_RSBTC_ATTR_8VSB_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_8VSB_SPECIAL_INTERLEAVER,
&g_RSBTC_ATTR_8VSB_SPECIAL_PILOT,
&g_RSBTC_ATTR_8VSB_SPECIAL_PILOT_VALUE,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_J83B_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_J83B_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_J83B_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_J83B_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_J83B_CONFIGURING_PID,
&g_RSBTC_ATTR_J83B_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_J83B_CONFIGURING_PRBS,
&g_RSBTC_ATTR_J83B_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_J83B_CODING_CONSTELLATION,
&g_RSBTC_ATTR_J83B_CODING_ROLL_OFF,
&g_RSBTC_ATTR_J83B_CODING_INTERLEAVER_MODE,
&g_RSBTC_ATTR_J83B_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_J83B_SPECIAL_CHECKSUM_GENERATOR,
&g_RSBTC_ATTR_J83B_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_J83B_SPECIAL_INTERLEAVER,
&g_RSBTC_ATTR_J83B_SPECIAL_RANDOMIZER,
&g_RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_ISDBT_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_ISDBT_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_ISDBT_INPUT_SIGNAL_MEAS_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_REMUX,
&g_RSBTC_ATTR_READ_ISDBT_EXTERNAL_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_ISDBT_EXTERNAL_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_ISDBT_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_ISDBT_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_ISDBT_CONFIGURING_PID,
&g_RSBTC_ATTR_ISDBT_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_ISDBT_CONFIGURING_PRBS,
&g_RSBTC_ATTR_ISDBT_SYSTEM_NETWORK_MODE,
&g_RSBTC_ATTR_ISDBT_CODING_SYSTEM,
&g_RSBTC_ATTR_ISDBT_CODING_CONTROL,
&g_RSBTC_ATTR_ISDBT_CODING_IIP_PID,
&g_RSBTC_ATTR_ISDBT_CODING_PORTION,
&g_RSBTC_ATTR_ISDBT_CODING_CONSTELLATION,
&g_RSBTC_ATTR_ISDBT_CODING_SEGMENTS,
&g_RSBTC_ATTR_ISDBT_CODING_CODE_RATE,
&g_RSBTC_ATTR_ISDBT_CODING_TIME_INTERLEAVING,
&g_RSBTC_ATTR_ISDBT_CODING_ISDBT_MODE,
&g_RSBTC_ATTR_ISDBT_CODING_GUARD_INTERVAL,
&g_RSBTC_ATTR_ISDBT_CODING_SUBCHANNEL,
&g_RSBTC_ATTR_ISDBT_CODING_BANDWIDTH_VARIATION,
&g_RSBTC_ATTR_ISDBT_CODING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_ISDBT_CODING_USED_BANDWIDTH,
&g_RSBTC_ATTR_ISDBT_SFN_NETWORK_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_PROCESSING_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_ISDBT_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_MAXIMUM_DELAY,
&g_RSBTC_ATTR_ISDBT_SFN_DISPATCH_TIME,
&g_RSBTC_ATTR_ISDBT_SFN_MUTE_1ST_OFDM_SYMBOL,
&g_RSBTC_ATTR_ISDBT_SFN_1PPS_ROUTING,
&g_RSBTC_ATTR_ISDBT_SFN_OFFSET,
&g_RSBTC_ATTR_ISDBT_EEW_STATE,
&g_RSBTC_ATTR_ISDBT_EEW_SIGNAL_TYPE,
&g_RSBTC_ATTR_ISDBT_EEW_AREA_INFORMATION,
&g_RSBTC_ATTR_ISDBT_EEW_APPLY,
&g_RSBTC_ATTR_ISDBT_EEW_NUMBER_OF_EPICENTERS,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_INFORMATION_TYPE,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_WARNING_ID,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_LATITUDE,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_LONGITUDE,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_DEPTH,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_OCCURRENCE_TIME,
&g_RSBTC_ATTR_ISDBT_EEW_EPICENTER_APPLY,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SCRAMBLER,
&g_RSBTC_ATTR_ISDBT_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BYTE_INTERLEAVER,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_BIT_INTERLEAVER,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_ALERT_BROADCASTING_FLAG,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC1,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_AC_DATA_AC2,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_GUARD_INSERTION,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_TX_PARAM_SWITCH_INDICATOR,
&g_RSBTC_ATTR_ISDBT_SPECIAL_SETTINGS_MOD_TMCC_NEXT,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_DTMB_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DTMB_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DTMB_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DTMB_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DTMB_CONFIGURING_PID,
&g_RSBTC_ATTR_DTMB_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_DTMB_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DTMB_CODING_NETWORK_MODE,
&g_RSBTC_ATTR_DTMB_CODING_CONTROL,
&g_RSBTC_ATTR_DTMB_CODING_SINGLE_CARRIER_MODE,
&g_RSBTC_ATTR_DTMB_CODING_DUAL_PILOT_TONE,
&g_RSBTC_ATTR_DTMB_CODING_CONTROL_FRAMES,
&g_RSBTC_ATTR_DTMB_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DTMB_CODING_CODE_RATE,
&g_RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL,
&g_RSBTC_ATTR_DTMB_CODING_GUARD_INTERVAL_PN,
&g_RSBTC_ATTR_DTMB_CODING_TIME_INTERLEAVER,
&g_RSBTC_ATTR_DTMB_CODING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_DTMB_SFN_NETWORK_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_PROCESSING_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_DTMB_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_READ_DTMB_CODING_LOCAL_MAXIMUM_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_DISPATCH_TIME,
&g_RSBTC_ATTR_DTMB_SFN_SIP_RESTAMPING,
&g_RSBTC_ATTR_DTMB_SFN_MUTE_1ST_SIGNAL_FRAME,
&g_RSBTC_ATTR_DTMB_SFN_1PPS_ROUTING,
&g_RSBTC_ATTR_DTMB_SFN_DISTRIBUTION_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_RF_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_DELAY_OFFSET,
&g_RSBTC_ATTR_READ_DTMB_CODING_LOCAL_DELAY,
&g_RSBTC_ATTR_DTMB_SFN_TX_ADDRESS,
&g_RSBTC_ATTR_DTMB_SFN_DELAY_ADJUST,
&g_RSBTC_ATTR_DTMB_SFN_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_DTMB_SFN_TX_POWER,
&g_RSBTC_ATTR_DTMB_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_DTMB_SPECIAL_GI_POWER_BOOST,
&g_RSBTC_ATTR_DTMB_SPECIAL_SI_POWER_NORMALIZATION,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_CM_MODE,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_NUM_INPUT_STREAMS,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_DVBS2_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DVBS2_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DVBS2_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DVBS2_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_DVBS2_CONFIGURING_PID,
&g_RSBTC_ATTR_DVBS2_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_DVBS2_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DVBS2_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_DVBS2_CODING_ROLL_OFF,
&g_RSBTC_ATTR_DVBS2_CODING_ANNEX_M,
&g_RSBTC_ATTR_DVBS2_CODING_NUM_TIME_SLICE,
&g_RSBTC_ATTR_DVBS2_CODING_S2_X,
&g_RSBTC_ATTR_DVBS2_CODING_S2_X_SUPER_FRAME,
&g_RSBTC_ATTR_DVBS2_CODING_S2_X_CHANNEL_BONDING,
&g_RSBTC_ATTR_DVBS2_CODING_TSN,
&g_RSBTC_ATTR_DVBS2_CODING_ISI,
&g_RSBTC_ATTR_DVBS2_CODING_MODULATION_CODING,
&g_RSBTC_ATTR_DVBS2_CODING_FECFRAME,
&g_RSBTC_ATTR_DVBS2_CODING_PILOTS,
&g_RSBTC_ATTR_DVBS2_CODING_NUM_SYMBOLS,
&g_RSBTC_ATTR_DVBS2_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DVBS2_CODING_CODE_RATE,
&g_RSBTC_ATTR_DVBS2_CID_ENABLED,
&g_RSBTC_ATTR_DVBS2_CID_HOST_SIGNAL,
&g_RSBTC_ATTR_DVBS2_CID_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_DVBS2_CID_CHIP_RATE,
&g_RSBTC_ATTR_DVBS2_CID_DELTA_PSD,
&g_RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID,
&g_RSBTC_ATTR_DVBS2_CID_GLOBAL_UNIQUE_ID_CRC,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE_LONGITUDE_ENABLED,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_LATITUDE,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_LONGITUDE,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_ENABLED,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_NUMBER,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_ENABLED,
&g_RSBTC_ATTR_DVBS2_CID_CONTENT_TELEPHONE_EXTENSION_NUMBER,
&g_RSBTC_ATTR_DVBS2_PHASE_NOISE_ENABLED,
&g_RSBTC_ATTR_DVBS2_PHASE_NOISE_CW_MODE,
&g_RSBTC_ATTR_DVBS2_PHASE_NOISE_MAGNITUDE,
&g_RSBTC_ATTR_DVBS2_PHASE_NOISE_SHAPE,
&g_RSBTC_ATTR_DVBS2_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLING_SEQUENCE_ID,
&g_RSBTC_ATTR_DVBS2_SPECIAL_PL_GOLD_CODE_INDEX,
&g_RSBTC_ATTR_DVBS2_SPECIAL_PL_SCRAMBLER,
&g_RSBTC_ATTR_DVBS2_SPECIAL_PL_DATASLICES_PRBS,
&g_RSBTC_ATTR_DVBS2_SPECIAL_BCH,
&g_RSBTC_ATTR_DVBS2_SPECIAL_LDPC_CC,
&g_RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_PAYLOAD,
&g_RSBTC_ATTR_DVBS2_SPECIAL_CRC_8_IN_HEADER,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_DIRECTV_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_REQ_SOURCE_DATA_RATE,
&g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MAXIMUM_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_DIRECTV_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_DIRECTV_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_DIRECTV_CONFIGURING_PRBS,
&g_RSBTC_ATTR_DIRECTV_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_DIRECTV_CODING_CONSTELLATION,
&g_RSBTC_ATTR_DIRECTV_CODING_ROLL_OFF,
&g_RSBTC_ATTR_DIRECTV_CODING_CODE_RATE,
&g_RSBTC_ATTR_DIRECTV_SPECIAL_SETTINGS_STATE,
&g_RSBTC_ATTR_DIRECTV_SPECIAL_INSERT_ERRORS_AFTER_CONV_ENC,
&g_RSBTC_ATTR_DIRECTV_PHASE_NOISE,
&g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_MAGNITUDE,
&g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_CW_MODE,
&g_RSBTC_ATTR_DIRECTV_PHASE_NOISE_SHAPE,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_PACKET_LENGTH,
&g_RSBTC_ATTR_ATSCMH_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_ATSCMH_INPUT_SIGNAL_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_ATSCMH_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_ATSCMH_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_ATSCMH_CONFIGURING_PID,
&g_RSBTC_ATTR_ATSCMH_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_ATSCMH_CONFIGURING_PRBS,
&g_RSBTC_ATTR_ATSCMH_CODING_SYMBOL_RATE,
&g_RSBTC_ATTR_ATSCMH_CODING_CONSTELLATION,
&g_RSBTC_ATTR_ATSCMH_CODING_CONTROL,
&g_RSBTC_ATTR_ATSCMH_CODING_ROLL_OFF,
&g_RSBTC_ATTR_ATSCMH_CODING_MH_STATE,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MODE,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MHE_PID,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_RF_WATERMARK,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_TX_ADDRESS,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_ID,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_BURY_RATIO,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MTXID_TRANSMISSION,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_TRANSMITTER_ID,
&g_RSBTC_ATTR_ATSCMH_CODING_NETWORK_MARKET_ID,
&g_RSBTC_ATTR_ATSCMH_SFN_PROCESSING_DELAY,
&g_RSBTC_ATTR_ATSCMH_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_ATSCMH_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_ATSCMH_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_ATSCMH_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_ATSCMH_SFN_MAXIMUM_DELAY,
&g_RSBTC_ATTR_ATSCMH_SFN_DISPATCH_TIME,
&g_RSBTC_ATTR_ATSCMH_SFN_MUTE_1ST_OFDM_SYMBOL,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_RANDOMIZER,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_INTERLEAVER,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_SFN_INITIALIZATION,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_TRELLIS_INITIALIZATION,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_PILOT,
&g_RSBTC_ATTR_ATSCMH_SPECIAL_PILOT_VALUE,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STATUS_INFO,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_CONFORMANCE_CHECK,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_INTERFACE,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_STL_RESET_LOG_FILE,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_NUMBER_OF_PLPS,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_ADDRESS,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_DESTINATION_IP_PORT,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_TYPE,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_INPUT_PROTOCOL,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_ID,
&g_RSBTC_ATTR_ATSC3_INPUT_SIGNAL_PLP_TEST_SIGNAL,
&g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_PACKET_LENGTH,
&g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_ATSC3_INPUT_SIGNAL_PLP_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_PID,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_TEST_IP_PACKET,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_ATSC3_CONFIGURING_PRBS,
&g_RSBTC_ATTR_ATSC3_ALP_ENCAPSULATION_TYPE,
&g_RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_PADDING,
&g_RSBTC_ATTR_ATSC3_ENCAPS_BB_FRAME_COUNTER,
&g_RSBTC_ATTR_ATSC3_BICM_LOW_LEVEL_SIGNALING,
&g_RSBTC_ATTR_ATSC3_BICM_LAYER,
&g_RSBTC_ATTR_ATSC3_BICM_LDM_INJECTION_LEVEL,
&g_RSBTC_ATTR_ATSC3_BICM_SIZE,
&g_RSBTC_ATTR_ATSC3_BICM_SCRAMBLER_TYPE,
&g_RSBTC_ATTR_ATSC3_BICM_FEC_TYPE,
&g_RSBTC_ATTR_ATSC3_BICM_CODE_RATE,
&g_RSBTC_ATTR_ATSC3_BICM_CONSTELLATION,
&g_RSBTC_ATTR_ATSC3_BICM_SUBSLICING_TYPE,
&g_RSBTC_ATTR_ATSC3_BICM_NUMBER_OF_SUBSLICES,
&g_RSBTC_ATTR_ATSC3_BICM_SUBSLICE_INTERVAL,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MODE,
&g_RSBTC_ATTR_ATSC3_BICM_EXTENDED_INTERLEAVING,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_DEPTH,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTER_SUBFRAME,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_TI_BLOCKS,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_NUMBER_OF_FEC_BLOCKS,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_MAX_NUMBER_OF_FEC_BLOCKS,
&g_RSBTC_ATTR_ATSC3_BICM_TIME_INTERLEAVER_CELL_INTERLEAVER,
&g_RSBTC_ATTR_ATSC3_NUMBER_OF_SUBFRAMES,
&g_RSBTC_ATTR_ATSC3_OFDM_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MIMO,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_MISO,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FFT_SIZE,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_REDUCED_CARRIER_MODE,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_GUARD_INTERVAL,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_TOTAL_NUMBER_OF_DATA_OFDM_SYMBOLS,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SISO_PILOT_PATTERN,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PILOT_BOOST_MODE,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_FIRST,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_LAST,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_SUBFRAME_BOUNDARY_SYMBOL_NULL_CELLS,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_FREQUENCY_INTERLEAVER,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_DURATION,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_USED_BANDWIDTH,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_NUMBER_OF_PLPS_IN_SUBFRAME,
&g_RSBTC_ATTR_ATSC3_SUBFRAMING_OFDM_PLP_IDS_IN_SUBFRAME,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_MODE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_LOW_LEVEL_SIGNALING,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TIME_INFO,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_RETURN_CHANNEL,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_NUMBER_OF_TRANSMITTERS,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TRANSMITTER_INDEX,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_MODE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_ADDRESS,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_TXID_INJECTION_LEVEL,
&g_RSBTC_ATTR_ATSC3_SYSTEM_NETWORK_BROADCAST_STREAM_ID,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_PEAK_TO_AVERAGE_POWER_RATIO,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_MODE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_LENGTH,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_EXCESS_SAMPLES_PER_SYMBOL,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_FINAL_EXCESS_SAMPLES,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_TIME_OFFSET,
&g_RSBTC_ATTR_ATSC3_SYSTEM_FRAME_ADDITIONAL_SAMPLES,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_VERSION,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_BASIC_FEC_TYPE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_PREAMBLE_SYMBOLS,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_REDUCED_CARRIER_MODE_PREAMBLE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_PILOT_PATTERN_DX_PREAMBLE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_VERSION,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_FEC_TYPE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_DETAIL_ADDITIONAL_PARITY_MODE,
&g_RSBTC_ATTR_ATSC3_SYSTEM_L1_NUMBER_OF_RFS,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_FRAME_DURATION,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_BYTES,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_BASIC_CELLS,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_BYTES,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_L1_DETAIL_CELLS,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_DURATION,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MAJOR_VERSION,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MINOR_VERSION,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_MIN_TIME_TO_NEXT,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_SYSTEM_BANDWIDTH,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_BSR_COEFFICIENT,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_STRUCTURE,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_FFT_SIZE,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_GUARD_INTERVAL,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_PILOT_PATTERN_DX,
&g_RSBTC_ATTR_ATSC3_FRAME_INFO_BOOTSTRAP_PREAMBLE_L1_BASIC_FEC_TYPE,
&g_RSBTC_ATTR_ATSC3_SFN_PROCESSING_DELAY,
&g_RSBTC_ATTR_ATSC3_SFN_DYNAMIC_DELAY,
&g_RSBTC_ATTR_ATSC3_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_ATSC3_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_ATSC3_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_ATSC3_SFN_MUTE,
&g_RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY,
&g_RSBTC_ATTR_ATSC3_SFN_NETWORK_DELAY_JITTER,
&g_RSBTC_ATTR_ATSC3_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_ATSC3_SPECIAL_PREAMBLE_COMPATIBILITY_MODE,
&g_RSBTC_ATTR_ATSC3_SPECIAL_TMP_COMPATIBILITY_MODE,
&g_RSBTC_ATTR_ATSC3_SPECIAL_LMT_COMPATIBILITY_MODE,
&g_RSBTC_ATTR_ATSC3_SPECIAL_STL_MISO,
&g_RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_MINOR_VERSION,
&g_RSBTC_ATTR_ATSC3_SPECIAL_BOOTSTRAP_EMERGENCY_ALERT_SIGNALING,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_CMMB_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_READ_CMMB_MEASURED_DATA_RATE,
&g_RSBTC_ATTR_READ_CMMB_MEASURED_REQUIRED_DATA_RATE,
&g_RSBTC_ATTR_READ_CMMB_STREAM_FORMAT,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_NUMBER_OF_SERVICES,
&g_RSBTC_ATTR_CMMB_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_CMMB_CONFIGURING_TRANSMITTER_ID,
&g_RSBTC_ATTR_CMMB_CONFIGURING_AREA_ID,
&g_RSBTC_ATTR_CMMB_CONFIGURING_PAYLOAD_TEST_SIGNAL,
&g_RSBTC_ATTR_CMMB_CONFIGURING_PRBS,
&g_RSBTC_ATTR_CMMB_CODING_CONTROL,
&g_RSBTC_ATTR_CMMB_CODING_BANDWIDTH,
&g_RSBTC_ATTR_CMMB_CODING_OFDM_MODE,
&g_RSBTC_ATTR_CMMB_SPECIAL_SETTINGS_STATE,
&g_RSBTC_ATTR_CMMB_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_CMMB_SPECIAL_BYTE_INTERLEAVER,
&g_RSBTC_ATTR_CMMB_SPECIAL_BIT_INTERLEAVER,
&g_RSBTC_ATTR_CMMB_SPECIAL_SCRAMBLING,
&g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_TEST_SIGNAL,
&g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_ISDBTMM_INPUT_SIGNAL_STUFFING,
&g_RSBTC_ATTR_READ_ISDBTMM_INPUT_DATA_RATE,
&g_RSBTC_ATTR_READ_ISDBTMM_MAX_USEFUL_DATA_RATE,
&g_RSBTC_ATTR_ISDBTMM_CONFIGURING_TEST_TS_PACKET,
&g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PAYLOAD_TEST_TS_PACKET,
&g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PID_TEST_PACKET,
&g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PID,
&g_RSBTC_ATTR_ISDBTMM_CONFIGURING_PRBS,
&g_RSBTC_ATTR_ISDBTMM_CODING_CONTROL,
&g_RSBTC_ATTR_ISDBTMM_CODING_PARTIAL_RECEPTION,
&g_RSBTC_ATTR_ISDBTMM_CODING_NUMBER_OF_SUPER_SEGMENTS,
&g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_OFDM_SEGMENTS,
&g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CONSTELLATION,
&g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CODE_RATE,
&g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_TIME_INTERLEAVING,
&g_RSBTC_ATTR_ISDBTMM_CODING_LAYER_CENTER_SUBCHANNEL,
&g_RSBTC_ATTR_ISDBTMM_CODING_SUPER_SEGMENTS_TYPE,
&g_RSBTC_ATTR_ISDBTMM_CODING_NUMBER_SEGMENTS,
&g_RSBTC_ATTR_ISDBTMM_CODING_EMERGENCY_ALARM,
&g_RSBTC_ATTR_ISDBTMM_CODING_ISDBT_MODE,
&g_RSBTC_ATTR_ISDBTMM_CODING_GUARD_INTERVAL,
&g_RSBTC_ATTR_ISDBTMM_CODING_REFERENCE_CHANNEL,
&g_RSBTC_ATTR_ISDBTMM_CODING_BANDWIDTH,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BYTE_INTERLEAVER,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_BIT_INTERLEAVER,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_FREQUENCY_INTERLEAVER,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_REED_SOLOMON,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SCRAMBLER,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TX_PARAM_SWITCHING_INDICATOR,
&g_RSBTC_ATTR_ISDBTMM_SPECIAL_SETTINGS_TMCC_NEXT,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INPUT_FORMAT,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_ETI_SIGNAL,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_NUMBER_OF_STREAMS,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_MODE_IDENTITY,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_SUBCHANNEL_ID,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_PROFILE,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_PROTECTION_LEVEL,
&g_RSBTC_ATTR_TDMB_INPUT_SIGNAL_INFO_DATA_RATE,
&g_RSBTC_ATTR_TDMB_NETWORK_MODE,
&g_RSBTC_ATTR_TDMB_NETWORK_TTI,
&g_RSBTC_ATTR_TDMB_NETWORK_TII_MAIN_ID,
&g_RSBTC_ATTR_TDMB_NETWORK_TII_SUB_ID,
&g_RSBTC_ATTR_TDMB_SFN_NETWORK_COMPENSATION,
&g_RSBTC_ATTR_TDMB_SFN_TX_COMPENSATION_DELAY,
&g_RSBTC_ATTR_TDMB_SFN_TX_PROCESSING_DELAY,
&g_RSBTC_ATTR_TDMB_SFN_TX_DELAY,
&g_RSBTC_ATTR_TDMB_SFN_STATIC_DELAY,
&g_RSBTC_ATTR_TDMB_SFN_TOTAL_DELAY,
&g_RSBTC_ATTR_TDMB_SFN_MAX_DEVIATION_TIME,
&g_RSBTC_ATTR_TDMB_SFN_1PPS_ROUTING,
&g_RSBTC_ATTR_TDMB_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_TDMB_SPECIAL_TRANSMISSION_MODE,
&g_RSBTC_ATTR_TDMB_SPECIAL_SELECT_TRANSMISSION_MODE,
&g_RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL,
&g_RSBTC_ATTR_TDMB_SPECIAL_PRBS_TEST_SIGNAL_SETTINGS,
&g_RSBTC_ATTR_TDMB_SPECIAL_TEST_SIGNAL_SCID,
&g_RSBTC_ATTR_ANALOG_TV_VIDEO_INPUT_SIGNAL,
&g_RSBTC_ATTR_ANALOG_TV_VIDEO_VISION_PICTURE,
&g_RSBTC_ATTR_ANALOG_TV_VIDEO_LOAD_FILE,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_INPUT_SIGNAL,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_AF_1,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_AF_2,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_MONO,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_LEFT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_1,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_RIGHT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_FREQUENCY_SOUND_CHANNEL_2,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_MONO,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_LEFT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_1,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_RIGHT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_GENERATOR_LEVEL_SOUND_CHANNEL_2,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LOAD_FILE,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_MONO,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_LEFT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_1,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_RIGHT,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_LEVEL_SOUND_CHANNEL_2,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_1,
&g_RSBTC_ATTR_ANALOG_TV_AUDIO_PLAYER_ATTENUATION_2,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_SOURCE,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_SOUND_MODE,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_1,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_AF_2,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_MONO,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_LEFT,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_1,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_RIGHT,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_FREQ_SOUND_CHANNEL_2,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_MONO,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_LEFT,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_1,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_RIGHT,
&g_RSBTC_ATTR_ANALOG_TV_NICAM_GENERATOR_LEVEL_SOUND_CHANNEL_2,
&g_RSBTC_ATTR_ANALOG_TV_SOUND_MODULATION_MODE,
&g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_MONO,
&g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_1,
&g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_SUBCARRIER_2,
&g_RSBTC_ATTR_ANALOG_TV_SOUND_MOD_FREQ_DEVIATION_PILOT,
&g_RSBTC_ATTR_ANALOG_TV_BTSC_LOAD_FILE,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_CARRIER,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VIDEO,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_FILTER,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_VSB_CHARACTERISTIC,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_GD_PRECORRECTION,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_RESIDUAL_CARRIER,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_PREEMPHASIS,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_PREEMPHASIS,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_1,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_GAIN_ADJUST_2,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_NICAM_ROLL_OFF,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_MONO,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_1,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_SUBCARRIER_2,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_MONO,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_1,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_FREQUENCY_SUBCARRIER_2,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_MONO,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_1,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_MODULATION_LEVEL_SUBCARRIER_2,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_PILOT,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOMINAL_FREQUENCY_DEVIATION_PILOT,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_MONO,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_1,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_NOM_FREQUENCY_DEVIATION_SUBCARRIER_2,
&g_RSBTC_ATTR_ANALOG_TV_SPECIAL_SOUND_AM_MODULATION_DEPTH,
&g_RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_1,
&g_RSBTC_ATTR_AUDIO_BC_FM_INPUT_SIGNAL_SOURCE_2,
&g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_1,
&g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_CHANNEL_2,
&g_RSBTC_ATTR_AUDIO_BC_FM_AF_MODE,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_MONO,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_LEFT,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_FREQUENCY_RIGHT,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_MONO,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_LEFT,
&g_RSBTC_ATTR_AUDIO_BC_FM_GENERATOR_LEVEL_RIGHT,
&g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_LOAD_FILE,
&g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_1,
&g_RSBTC_ATTR_AUDIO_BC_FM_AUDIO_PLAYER_ATTENUATION_2,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_MODE,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_PREEMPHASIS,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_RDS,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_NOM_FREQ_DEV_AUDIO,
&g_RSBTC_ATTR_READ_AUDIO_BC_FM_MODULATION_FREQ_DEV_AUDIO,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEV_RDS,
&g_RSBTC_ATTR_AUDIO_BC_FM_MODULATION_FREQ_DEVIATION_PILOT,
&g_RSBTC_ATTR_AUDIO_BC_RDS_GROUP_SEQUENCE,
&g_RSBTC_ATTR_AUDIO_BC_RDS_PI,
&g_RSBTC_ATTR_AUDIO_BC_RDS_PS,
&g_RSBTC_ATTR_AUDIO_BC_RDS_TP,
&g_RSBTC_ATTR_AUDIO_BC_RDS_TA,
&g_RSBTC_ATTR_AUDIO_BC_RDS_PTY,
&g_RSBTC_ATTR_AUDIO_BC_RDS_PTYN,
&g_RSBTC_ATTR_AUDIO_BC_RDS_RT,
&g_RSBTC_ATTR_AUDIO_BC_RDS_RT_READY,
&g_RSBTC_ATTR_AUDIO_BC_RDS_MS,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_DYNAMIC_PTY,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_COMPRESSED,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_ART_HEAD,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_STEREO,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_CT,
&g_RSBTC_ATTR_AUDIO_BC_RDS_DI_CT_OFFSET,
&g_RSBTC_ATTR_AUDIO_BC_AF_METHOD,
&g_RSBTC_ATTR_AUDIO_BC_AF_A_NUMBER_OF_FREQUENCIES,
&g_RSBTC_ATTR_AUDIO_BC_AF_A_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_LISTS,
&g_RSBTC_ATTR_AUDIO_BC_AF_B_NUMBER_OF_FREQUENCIES,
&g_RSBTC_ATTR_AUDIO_BC_AF_B_TUNING_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_AF_B_AF_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_AF_B_AF_ORDER,
&g_RSBTC_ATTR_AUDIO_BC_EON_PI,
&g_RSBTC_ATTR_AUDIO_BC_EON_PS,
&g_RSBTC_ATTR_AUDIO_BC_EON_TP,
&g_RSBTC_ATTR_AUDIO_BC_EON_TA,
&g_RSBTC_ATTR_AUDIO_BC_EON_LA,
&g_RSBTC_ATTR_AUDIO_BC_EON_EG,
&g_RSBTC_ATTR_AUDIO_BC_EON_ILS,
&g_RSBTC_ATTR_AUDIO_BC_EON_LSN,
&g_RSBTC_ATTR_AUDIO_BC_EON_PTY,
&g_RSBTC_ATTR_AUDIO_BC_EON_PIN,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_METHOD,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_A_NUMBER_OF_FREQUENCIES,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_A_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_NUMBER_OF_FREQUENCIES,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_TUNING_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_EON_AF_MAPPED_FREQ_AF_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_TMC,
&g_RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_00,
&g_RSBTC_ATTR_AUDIO_BC_TMC_GROUP_3A_VAR_01,
&g_RSBTC_ATTR_AUDIO_BC_TMC_NUMBER_OF_8A_GROUPS,
&g_RSBTC_ATTR_AUDIO_BC_TMC_8A_BLOCK,
&g_RSBTC_ATTR_AUDIO_BC_TMC_APPLY,
&g_RSBTC_ATTR_AUDIO_BC_TMC_READY,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A_READY,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_A,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B_READY,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_GROUP_B,
&g_RSBTC_ATTR_AUDIO_BC_OPEN_FORMAT_APPLY,
&g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_SETTINGS,
&g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PILOT,
&g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_PILOT,
&g_RSBTC_ATTR_AUDIO_BC_FM_SPECIAL_PHASE_OFFSET_RDS,
&g_RSBTC_ATTR_AUDIO_BC_AM_INPUT_SIGNAL_SOURCE,
&g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_CHANNEL,
&g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_FREQUENCY,
&g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_GENERATOR_LEVEL,
&g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_LOAD_FILE,
&g_RSBTC_ATTR_AUDIO_BC_AM_AUDIO_PLAYER_ATTENUATION,
&g_RSBTC_ATTR_AUDIO_BC_AM_NOMINAL_MODULATION_DEPTH,
&g_RSBTC_ATTR_READ_AUDIO_BC_AM_MODULATION_DEPTH,
&g_RSBTC_ATTR_ARB_MEMORY_USAGE,
&g_RSBTC_ATTR_ARB_WAVEFORM_DELETE,
&g_RSBTC_ATTR_ARB_DEFRAG,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_STATE,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_USAGE,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_WAVEFORM,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLES,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SAMPLE_RATE,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_SEQUENCE_DURATION,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_LEVEL,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_ATTENUATION,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_ARBITRARY_WAVEFORM_GENERATION_POINTS,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_IQ_SWAP,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_CONNECTED_INSTRUMENT,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_SOURCE,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_SAMPLE_RATE_VALUE,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_IQ_AUTO_SETTINGS,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_MEASUREMENT_PERIOD,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_SET_AUTO_LEVEL,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_CREST_FACTOR,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL_PEAK,
&g_RSBTC_ATTR_AUDIO_BC_DIGITAL_IQ_INPUT_LEVEL,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_ENABLED,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_IQ_SWAP,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE_SOURCE,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SAMPLE_RATE,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CONNECTED_DEVICE,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_SET_LEVEL_VIA,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_PEAK_LEVEL,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_LEVEL,
&g_RSBTC_ATTR_BASEBAND_DIGITAL_IQ_OUTPUT_CREST_FACTOR,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_SOURCE,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_ROUTING,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_REFERENCE,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_POLARITY,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_ATTENUATION,
&g_RSBTC_ATTR_INTERFERER_SIGNAL_LEVEL,
&g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY,
&g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY,
&g_RSBTC_ATTR_TX_DISTORTION,
&g_RSBTC_ATTR_RX_DISTORTION,
&g_RSBTC_ATTR_TX_DISTORTION_LIMITER,
&g_RSBTC_ATTR_TX_DISTORTION_LIMITER_POSITION,
&g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_GAIN,
&g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_GAIN,
&g_RSBTC_ATTR_TX_DISTORTION_NONLINEARITY_PHASE,
&g_RSBTC_ATTR_RX_DISTORTION_NONLINEARITY_PHASE,
&g_RSBTC_ATTR_TX_DISTORTION_FREQUENCY_RESPONSE,
&g_RSBTC_ATTR_FADING_SIMULATOR_SIGNAL_ROUTING,
&g_RSBTC_ATTR_FADING_SIMULATOR_STATE,
&g_RSBTC_ATTR_FADING_BIRTH_DEATH_PROPAGATION_STATE,
&g_RSBTC_ATTR_FADING_MOVING_PROPAGATION_STATE,
&g_RSBTC_ATTR_FADING_2_CHANNEL_INTERFERER_STATE,
&g_RSBTC_ATTR_FADING_STANDARD_PARAMETER_SET,
&g_RSBTC_ATTR_FADING_CONFIGURATION,
&g_RSBTC_ATTR_FADING_LOAD_FILE,
&g_RSBTC_ATTR_FADING_STORE_FILE,
&g_RSBTC_ATTR_FADING_DELETE_FILE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_BASIC_DELAY,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_STATE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_PROFILE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_PATH_LOSS,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_ADDITIONAL_DELAY,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DELAY,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_POWER_RATIO,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_CONST_PHASE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_SPEED,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_RATIO,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_RESULTING_DOPPLER_SHIFT,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SHIFT,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_FREQUENCY_SPREAD,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_COEFFICIENT,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_CORRELATION_PATH_PHASE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_LOCAL_CONSTANT,
&g_RSBTC_ATTR_FADING_STANDARD_DELAY_LOGNORMAL_STATE_STANDARD_DEVIATION,
&g_RSBTC_ATTR_FADING_PAR_DEL30_STATE,
&g_RSBTC_ATTR_FADING_PAR_DEL30_PROFILE,
&g_RSBTC_ATTR_FADING_PAR_DEL30_PATH_LOSS,
&g_RSBTC_ATTR_FADING_PAR_DEL30_BASIC_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL30_ADDITIONAL_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL30_RESULTING_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL30_POWER_RATIO,
&g_RSBTC_ATTR_FADING_PAR_DEL30_CONST_PHASE,
&g_RSBTC_ATTR_FADING_PAR_DEL30_SPEED,
&g_RSBTC_ATTR_FADING_PAR_DEL30_FREQ_RATIO,
&g_RSBTC_ATTR_FADING_PAR_DEL30_RESULT_DOPPLER_SHIFT,
&g_RSBTC_ATTR_FADING_PAR_DEL30_CORRELATION_PATH,
&g_RSBTC_ATTR_FADING_PAR_DEL30_COEFFICIENT,
&g_RSBTC_ATTR_FADING_PAR_DEL30_PHASE,
&g_RSBTC_ATTR_FADING_PAR_DEL30_LOGNORMAL_STATE,
&g_RSBTC_ATTR_FADING_PAR_DEL30_LOCAL_CONSTANT,
&g_RSBTC_ATTR_FADING_PAR_DEL30_STANDARD_DEVIATION,
&g_RSBTC_ATTR_FADING_PAR_DEL30_STATE_MODE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_STATE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_PROFILE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_PATH_LOSS,
&g_RSBTC_ATTR_FADING_PAR_DEL50_BASIC_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL50_ADDITIONAL_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL50_RESULTING_DELAY,
&g_RSBTC_ATTR_FADING_PAR_DEL50_POWER_RATIO,
&g_RSBTC_ATTR_FADING_PAR_DEL50_CONST_PHASE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_SPEED,
&g_RSBTC_ATTR_FADING_PAR_DEL50_FREQ_RATIO,
&g_RSBTC_ATTR_FADING_PAR_DEL50_RESULT_DOPPLER_SHIFT,
&g_RSBTC_ATTR_FADING_PAR_DEL50_CORRELATION_PATH,
&g_RSBTC_ATTR_FADING_PAR_DEL50_COEFFICIENT,
&g_RSBTC_ATTR_FADING_PAR_DEL50_PHASE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_LOGNORMAL_STATE,
&g_RSBTC_ATTR_FADING_PAR_DEL50_LOCAL_CONSTANT,
&g_RSBTC_ATTR_FADING_PAR_DEL50_STANDARD_DEVIATION,
&g_RSBTC_ATTR_FADING_PAR_DEL50_STATE_MODE,
&g_RSBTC_ATTR_FADING_PAR_PROFILE_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_PATH_LOSS_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_MIN_DELAY_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_DELAY_GRID_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_POSITIONS_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_MAX_DELAY_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_START_OFFSET_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_HOPPING_DWELL_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_SPEED_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_FREQ_RATIO_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_RES_DOPPLER_SHIFT_BIRTH_DEATH,
&g_RSBTC_ATTR_FADING_PAR_REF_PATH_STATE,
&g_RSBTC_ATTR_FADING_PAR_REF_PATH_LOSS,
&g_RSBTC_ATTR_FADING_PAR_REF_PATH_DELAY,
&g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_STATE,
&g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_LOSS,
&g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_DELAY,
&g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PK,
&g_RSBTC_ATTR_FADING_PAR_MOVING_PATH_VARIATION_PERIOD,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_STATE,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_PROFILE,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_LOSS,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_SPEED,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_FREQ_RATIO,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_DOPLER_SHIFT,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_REF_PATH_MIN_DELAY,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_STATE,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_PROFILE,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_LOSS,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_FREQ_RATIO,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_DOPLER_SHIFT,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MIN_DELAY,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PATH_MAX_DELAY,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_MODE,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_PERIOD,
&g_RSBTC_ATTR_FADING_2PATH_DYN_DEL_MOVING_DWELL,
&g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_MAGNITUDE,
&g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_COLUMN_PHASE,
&g_RSBTC_ATTR_FADING_MIMO_MATRIX_VALUE_CONFLICT_COLUMN,
&g_RSBTC_ATTR_FADING_MIMO_MATRIX_ACCEPT,
&g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_GAIN,
&g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_PHASE,
&g_RSBTC_ATTR_FADING_MIMO_RELATIVE_TAP_VECTOR_SET_TO_UNITY,
&g_RSBTC_ATTR_FADING_GENERAL_SPEED_UNIT,
&g_RSBTC_ATTR_FADING_GENERAL_REFERENCE,
&g_RSBTC_ATTR_FADING_GENERAL_COMMON_SPEED_FOR_ALL_PATHS,
&g_RSBTC_ATTR_FADING_GENERAL_SIGNAL_DEDICATED_TO,
&g_RSBTC_ATTR_FADING_GENERAL_VIRTUAL_RF,
&g_RSBTC_ATTR_FADING_GENERAL_IGNORE_RF_CHANGES,
&g_RSBTC_ATTR_FADING_GENERAL_FREQUENCY_HOPPING_MODE,
&g_RSBTC_ATTR_FADING_GENERAL_RESTART_EVENT,
&g_RSBTC_ATTR_FADING_GENERAL_RESTART,
&g_RSBTC_ATTR_FADING_INSERTION_LOSS_MODE,
&g_RSBTC_ATTR_FADING_INSERTION_LOSS,
&g_RSBTC_ATTR_FADING_INSERTION_LOSS_CLIPPED_SAMPLES,
&g_RSBTC_ATTR_FADING_GLOBAL_FADER_COUPLING_START_SEED,
&g_RSBTC_ATTR_FADING_STANDARD_DEVIATION_COUPLED,
&g_RSBTC_ATTR_FADING_LOCAL_CONSTANT_COUPLED,
&g_RSBTC_ATTR_FADING_DEFAULT,
&g_RSBTC_ATTR_FADING_SPEED_COUPLED,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_TARGET_NAME,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECTION_STATE,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_CONNECT,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_REMOTE_DISCONNECT,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTION_STATE,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_DIGITAL_IQ_CONNECTED_INSTRUMENT,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_FREQUENCY,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_LEVEL,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_STATE,
&g_RSBTC_ATTR_FADING_EXTERNAL_RF_SIGNAL_GEN_RF_COUPLING,
&g_RSBTC_ATTR_NOISE_A_NOISE_B,
&g_RSBTC_ATTR_NOISE_SAVE_USER_PROFILE,
&g_RSBTC_ATTR_NOISE_SELECT,
&g_RSBTC_ATTR_NOISE_AWGN,
&g_RSBTC_ATTR_NOISE_AWGN_CN,
&g_RSBTC_ATTR_NOISE_AWGN_EB_N0_RATIO,
&g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_BANDWIDTH_COUPLING,
&g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_RECEIVER_BANDWIDTH,
&g_RSBTC_ATTR_NOISE_AWGN_SETTINGS_GENERATED_NOISE_BANDWIDTH,
&g_RSBTC_ATTR_NOISE_IMPULSIVE,
&g_RSBTC_ATTR_NOISE_IMPULSIVE_CI,
&g_RSBTC_ATTR_NOISE_IMPULSIVE_FRAME_DURATION,
&g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSES_PER_BURST,
&g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MIN,
&g_RSBTC_ATTR_NOISE_IMPULSIVE_PULSE_SPACING_MAX,
&g_RSBTC_ATTR_PHASE_NOISE,
&g_RSBTC_ATTR_PHASE_NOISE_SSB_SHAPE_PROFILE,
&g_RSBTC_ATTR_PHASE_NOISE_AT_100_HZ,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_TRIPPED,
&g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CLEAR,
&g_RSBTC_ATTR_RF_SIGNAL_OUTPUT_PROTECTION_CIRCUIT_STATUS,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_UNIT,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY,
&g_RSBTC_ATTR_RF_SIGNAL_ACTUAL_CENTER_FREQUENCY,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_COUPLING_AB,
&g_RSBTC_ATTR_RF_SIGNAL_VSB_FREQUENCY,
&g_RSBTC_ATTR_RF_SIGNAL_DELTA_PHASE,
&g_RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_LOCAL_OSCILLATOR_OUT_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_CHANNEL_FILE,
&g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_NUMBER,
&g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_NAME,
&g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_STORE,
&g_RSBTC_ATTR_RF_SIGNAL_CHANNEL_TABLE_DELETE,
&g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SOURCE,
&g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_ADJUSTMENT_DAC_VALUE,
&g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQUENCY,
&g_RSBTC_ATTR_RF_SIGNAL_EXTERNAL_REF_FREQ_SYNC_BANDWIDTH,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL,
&g_RSBTC_ATTR_RF_SIGNAL_VOLTAGE_LEVEL,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_DIGITAL_ATTENUATION,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTINGS_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SETTING_CHARACTERISTIC,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_PEP,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_USER_LIMIT_PEP,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_COUPLING_AB,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATOR_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MAXIMUM,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_MINIMUM,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ATTENUATION_RANGE_RESET,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_DETECTOR_SENSITIVITY,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SAMPLE_LEVEL,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_ALC_SEARCH_ONCE,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_START,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STOP,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_CENTER,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPAN,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SPACING,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_SHAPE,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LINEAR,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_STEP_LOGARITHMIC,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_DWELL,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_RESET,
&g_RSBTC_ATTR_RF_SIGNAL_FREQUENCY_SWEEP_EXECUTE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_START,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STOP,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_SHAPE,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_STEP,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_DWELL,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_RESET,
&g_RSBTC_ATTR_RF_SIGNAL_LEVEL_SWEEP_EXECUTE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_SIGNAL_SOURCE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_IQ_WIDEBAND,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_OPTIMIZATION_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_INTERNAL_BASEBAND_GAIN,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_GAIN,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_WIDEBAND_IQ_CREST_FACTOR,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_I_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_Q_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIRMENTS_QUADRATURE_ERR,
&g_RSBTC_ATTR_RF_SIGNAL_MOD_BB_IMPAIR_AMPLITUDE_IMBALANCE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_SKEW,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATION_BASEBAND_IMPAIRMENTS_IQ_DELAY,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_I_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_Q_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_QUADRATURE_ERROR,
&g_RSBTC_ATTR_RF_SIGNAL_MODULATOR_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_SOURCE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SAMPLE_RATE_VALUE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_CONNECTED_DEVICE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_RESET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_SET_LEVEL_VIA,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_PEAK_LEVEL,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_LEVEL,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_ACTIVE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_OUTPUT_USER_VARIATION_STEP,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_I_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_Q_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_SKEW,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_DIGITAL_IMPAIRMENTS_IQ_DELAY,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_TYPE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_MODE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_IQ_LEVEL_VP,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_COUPLE_IQ_BIAS,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_BIAS,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_BIAS,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_I_SETTINGS_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_OUTPUT_Q_SETTINGS_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_STATE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_I_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_Q_OFFSET,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_QUADRATURE_ERROR,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_AMPLITUDE_IMBALANCE,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_SKEW,
&g_RSBTC_ATTR_RF_SIGNAL_IQ_ANALOG_DIGITAL_IMPAIRMENTS_IQ_DELAY,
&g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_REMUX,
&g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_TYPE,
&g_RSBTC_ATTR_MM_GENERATOR_TRANSPORT_STREAM_PLAYER_INPUT_STATE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_STATUS,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_DATE_AND_TIME,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_FILE_SIZE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_LOOP_TIME,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_ORIGINAL_DATA_RATE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_BYTE_RATE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_DATA_RATE,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_PACKET_LENGTH,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_NULLPACKET_STUFFING,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_STOP_DATA,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_TEST_TS_PACKET,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID_TEST_PACKET,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PID,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PAYLOAD,
&g_RSBTC_ATTR_MM_GENERATOR_PLAYER_OUTPUT_SETTINGS_PRBS,
&g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_START,
&g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_STOP,
&g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_RESET,
&g_RSBTC_ATTR_MM_GENERATOR_PLAY_WINDOW_POSITION,
&g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_CONTINUITY_COUNTER,
&g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_PCR_DTS_PTS,
&g_RSBTC_ATTR_MM_GENERATOR_SEAMLESS_LOOP_TDT_TOT,
&g_RSBTC_ATTR_MM_GENERATOR_OUTPUT_CONFIG_DATA_RATE,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_ALIAS,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_TYPE,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_MULTICAST_ADDRESS,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PORT,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
&g_RSBTC_ATTR_MM_GENERATOR_IP_INPUT_PING_SOURCE_ADDRESS,
&g_RSBTC_ATTR_MMG_GATEWAY_MODE,
&g_RSBTC_ATTR_MMG_GATEWAY_STATUS_INFO,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_USE_CASE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PROFILES,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUPS,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_VV_STREAM_GENERATION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_GROUP_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_PROFILE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_INPUT_SELECT,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_GENERATOR_DATA_RATE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_COMMON_SLOT_INTERVAL,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_CHAPTERS,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NUM_EIT_PACKETS,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_PLP_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_TS_OVER_CPLP,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PRBS_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_NUMBER,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_DATA_RATE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MAP_TO_GROUP,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_DATA,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_PLP_PAYLOAD_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_NEW_TS_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BB_MODE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_AUTO_ISSY,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_ISSY,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_MAX_BUFFER_SIZE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_BUFFER_SIZE_UNIT,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_DESIGN_DELAY,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_NULL_PACKET_DELETION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_A,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_MODE_STREAM_INBAND_SIGNALLING_B,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FEC_FRAME,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CODE_RATE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_CONSTELLATION_ROTATION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FRAME_INTERVAL,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_TIME_INTERLEAVER_LENGTH,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_FIRST_FRAME_INDEX,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_AUTO_NUM_BLOCKS_MAX,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_NUM_BLOCKS_MAX,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_BICM_MAX_NUM_BLOCKS_MAX,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_CHANNEL_BANDWIDTH,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_FFT_SIZE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_GUARD_INTERVAL,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_PILOT_PATTERN,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAMES_PER_SUPER_FRAME,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_DATA_SYMBOLS_PER_T2_FRAME,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_SUBSLICES_PER_T2_FRAME,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_FRAMING_T2_FRAME_DURATION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_SCHEDULING,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TRANSMISSION_SYSTEM,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_PEAK_TO_AVERAGE_POWER_RATIO,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FUTURE_EXTENSION_FRAMES,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_LENGTH,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_FEF_INTERVAL,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_TIME_FREQUENCY_SLICING,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_T2_VERSION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_MODULATION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_REPETITION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_EXTENSION,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_POST_SCRAMBLED,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_BIAS_BALANCING_BITS,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_T2_BASE_LITE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_L1_RF_FREQUENCY,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_CELL_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_NETWORK_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_T2_SYSTEM_ID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_TIMESTAMP_MODE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TIME_OFFSET,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_TOTAL_DATA_RATE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_RESTART,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_SID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_TS_TYPE,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_PMT_PID,
&g_RSBTC_ATTR_MMG_GATEWAY_DVBT2MI_OUTPUT_T2_MI_DATA_RATE,
&g_RSBTC_ATTR_POWER_METER_STATE,
&g_RSBTC_ATTR_POWER_METER_SENSOR_TYPE,
&g_RSBTC_ATTR_POWER_METER_POWER,
&g_RSBTC_ATTR_POWER_METER_UNIT,
&g_RSBTC_ATTR_POWER_METER_ZERO,
&g_RSBTC_ATTR_POWER_METER_SOURCE,
&g_RSBTC_ATTR_POWER_METER_SOURCE_FREQUENCY,
&g_RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER_STATE,
&g_RSBTC_ATTR_POWER_METER_SOURCE_M2REF,
&g_RSBTC_ATTR_POWER_METER_SOURCE_REF_POWER,
&g_RSBTC_ATTR_POWER_METER_SOURCE_REL_POWER,
&g_RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_TYPE,
&g_RSBTC_ATTR_POWER_METER_AVERAGE_FILTER_LENGTH,
&g_RSBTC_ATTR_POWER_METER_AVERAGE_AUTO_ONCE,
&g_RSBTC_ATTR_TSGEN_STATUS,
&g_RSBTC_ATTR_TSGEN_SEEK_POSITION,
&g_RSBTC_ATTR_TSGEN_PLAYER_PLAYFILE,
&g_RSBTC_ATTR_TSGEN_PLAYER_FILE_DATE_AND_SIZE,
&g_RSBTC_ATTR_TSGEN_ORIGINAL_TS_DATA_RATE,
&g_RSBTC_ATTR_TSGEN_PLAYER_BYTE_RATE,
&g_RSBTC_ATTR_TSGEN_TS_DATA_RATE,
&g_RSBTC_ATTR_TSGEN_PLAY_WINDOW_START,
&g_RSBTC_ATTR_TSGEN_PLAY_WINDOW_STOP,
&g_RSBTC_ATTR_TSGEN_PACKET_LENGTH,
&g_RSBTC_ATTR_TSGEN_TS_SERIAL_OUTPUT,
&g_RSBTC_ATTR_TSGEN_ORIGINAL_LOOP_TIME,
&g_RSBTC_ATTR_TSGEN_PLAYER_NULLPACKET_STUFFING,
&g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_CONTINUITY_COUNTER,
&g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_PCR_DTS_PTS,
&g_RSBTC_ATTR_TSGEN_SEAMLESS_LOOP_TDT_TOT,
&g_RSBTC_ATTR_TSGEN_STOP_DATA,
&g_RSBTC_ATTR_TSGEN_PLAYER_TEST_TS_PACKET,
&g_RSBTC_ATTR_TSGEN_PAYLOAD_TEST_STUFF,
&g_RSBTC_ATTR_TSGEN_PLAYER_PRBS,
&g_RSBTC_ATTR_SYSTEM_DISPLAY_UPDATE,
&g_RSBTC_ATTR_SYSTEM_KLOCK,
&g_RSBTC_ATTR_SYSTEM_REBOOT,
&g_RSBTC_ATTR_SYSTEM_RESTART,
&g_RSBTC_ATTR_SYSTEM_SHUTDOWN,
&g_RSBTC_ATTR_ERROR_LIST,
&g_RSBTC_ATTR_PRESET,
&g_RSBTC_ATTR_RCL,
&g_RSBTC_ATTR_SAV,
&g_RSBTC_ATTR_TX_ADJUST_ALL,
&g_RSBTC_ATTR_TX_ADJUST_IO_MODULATOR_LOCAL_AB,
&g_RSBTC_ATTR_TX_LAST_FULL_ADJUSTMENT,
&g_RSBTC_ATTR_BER_MEASUREMENT_STATE,
&g_RSBTC_ATTR_BER_MEASUREMENT_RESTART,
&g_RSBTC_ATTR_BER_IP_INPUT,
&g_RSBTC_ATTR_BER_IP_INPUT_ALIAS,
&g_RSBTC_ATTR_BER_IP_INPUT_TYPE,
&g_RSBTC_ATTR_BER_IP_INPUT_MULTICAST_ADDRESS,
&g_RSBTC_ATTR_BER_IP_INPUT_PORT,
&g_RSBTC_ATTR_BER_IP_INPUT_IGMPV3_SOURCE_ADDRESS,
&g_RSBTC_ATTR_BER_IP_INPUT_PING_SOURCE_ADDRESS,
&g_RSBTC_ATTR_BER_RESULT,
&g_RSBTC_ATTR_BER_ALL_RESULTS,
&g_RSBTC_ATTR_BER_EVALUATION,
&g_RSBTC_ATTR_BER_STATE,
&g_RSBTC_ATTR_BER_ERROR_COUNT,
&g_RSBTC_ATTR_BER_GATING_TIME,
&g_RSBTC_ATTR_BER_GATING_MODE,
&g_RSBTC_ATTR_BER_GATING_TIME_USER,
&g_RSBTC_ATTR_BER_INPUT,
&g_RSBTC_ATTR_BER_INPUT_SIGNAL_IP_TS_CHANNEL,
&g_RSBTC_ATTR_BER_INPUT_CLOCK,
&g_RSBTC_ATTR_BER_INPUT_DATA,
&g_RSBTC_ATTR_BER_INPUT_ENABLE,
&g_RSBTC_ATTR_BER_INPUT_TRESHOLD_CLK_DATA_EN,
&g_RSBTC_ATTR_BER_INPUT_FORMAT,
&g_RSBTC_ATTR_BER_INPUT_SIGNAL,
&g_RSBTC_ATTR_BER_INPUT_PID_FILTER,
&g_RSBTC_ATTR_BER_INPUT_PID,
&g_RSBTC_ATTR_BER_INPUT_SETTINGS_PAYLOAD,
&g_RSBTC_ATTR_BER_INPUT_SETTINGS_PRBS,
&g_RSBTC_ATTR_ID_QUERY_RESPONSE,

NULL
};
